/*******************************************************************
*   MA_SID_2010_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'MA_SID_2010_CHGS.ASC' FIXED / 
 KEY                        1-  18
 NREVCD                    19-  20
 REVCD1                    21-  24 (A)
 REVCD2                    25-  28 (A)
 REVCD3                    29-  32 (A)
 REVCD4                    33-  36 (A)
 REVCD5                    37-  40 (A)
 REVCD6                    41-  44 (A)
 REVCD7                    45-  48 (A)
 REVCD8                    49-  52 (A)
 REVCD9                    53-  56 (A)
 REVCD10                   57-  60 (A)
 REVCD11                   61-  64 (A)
 REVCD12                   65-  68 (A)
 REVCD13                   69-  72 (A)
 REVCD14                   73-  76 (A)
 REVCD15                   77-  80 (A)
 REVCD16                   81-  84 (A)
 REVCD17                   85-  88 (A)
 REVCD18                   89-  92 (A)
 REVCD19                   93-  96 (A)
 REVCD20                   97- 100 (A)
 REVCD21                  101- 104 (A)
 REVCD22                  105- 108 (A)
 REVCD23                  109- 112 (A)
 REVCD24                  113- 116 (A)
 REVCD25                  117- 120 (A)
 REVCD26                  121- 124 (A)
 REVCD27                  125- 128 (A)
 REVCD28                  129- 132 (A)
 REVCD29                  133- 136 (A)
 REVCD30                  137- 140 (A)
 REVCD31                  141- 144 (A)
 REVCHG1                  145- 156
 REVCHG2                  157- 168
 REVCHG3                  169- 180
 REVCHG4                  181- 192
 REVCHG5                  193- 204
 REVCHG6                  205- 216
 REVCHG7                  217- 228
 REVCHG8                  229- 240
 REVCHG9                  241- 252
 REVCHG10                 253- 264
 REVCHG11                 265- 276
 REVCHG12                 277- 288
 REVCHG13                 289- 300
 REVCHG14                 301- 312
 REVCHG15                 313- 324
 REVCHG16                 325- 336
 REVCHG17                 337- 348
 REVCHG18                 349- 360
 REVCHG19                 361- 372
 REVCHG20                 373- 384
 REVCHG21                 385- 396
 REVCHG22                 397- 408
 REVCHG23                 409- 420
 REVCHG24                 421- 432
 REVCHG25                 433- 444
 REVCHG26                 445- 456
 REVCHG27                 457- 468
 REVCHG28                 469- 480
 REVCHG29                 481- 492
 REVCHG30                 493- 504
 REVCHG31                 505- 516
 UNIT1                    517- 524
 UNIT2                    525- 532
 UNIT3                    533- 540
 UNIT4                    541- 548
 UNIT5                    549- 556
 UNIT6                    557- 564
 UNIT7                    565- 572
 UNIT8                    573- 580
 UNIT9                    581- 588
 UNIT10                   589- 596
 UNIT11                   597- 604
 UNIT12                   605- 612
 UNIT13                   613- 620
 UNIT14                   621- 628
 UNIT15                   629- 636
 UNIT16                   637- 644
 UNIT17                   645- 652
 UNIT18                   653- 660
 UNIT19                   661- 668
 UNIT20                   669- 676
 UNIT21                   677- 684
 UNIT22                   685- 692
 UNIT23                   693- 700
 UNIT24                   701- 708
 UNIT25                   709- 716
 UNIT26                   717- 724
 UNIT27                   725- 732
 UNIT28                   733- 740
 UNIT29                   741- 748
 UNIT30                   749- 756
 UNIT31                   757- 764.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 NREVCD                  (F3.0) /
 REVCHG1                 (F6.2) /
 REVCHG2                 (F6.2) /
 REVCHG3                 (F6.2) /
 REVCHG4                 (F6.2) /
 REVCHG5                 (F6.2) /
 REVCHG6                 (F6.2) /
 REVCHG7                 (F6.2) /
 REVCHG8                 (F6.2) /
 REVCHG9                 (F6.2) /
 REVCHG10                (F6.2) /
 REVCHG11                (F6.2) /
 REVCHG12                (F6.2) /
 REVCHG13                (F6.2) /
 REVCHG14                (F6.2) /
 REVCHG15                (F6.2) /
 REVCHG16                (F6.2) /
 REVCHG17                (F6.2) /
 REVCHG18                (F6.2) /
 REVCHG19                (F6.2) /
 REVCHG20                (F6.2) /
 REVCHG21                (F6.2) /
 REVCHG22                (F6.2) /
 REVCHG23                (F6.2) /
 REVCHG24                (F6.2) /
 REVCHG25                (F6.2) /
 REVCHG26                (F6.2) /
 REVCHG27                (F6.2) /
 REVCHG28                (F6.2) /
 REVCHG29                (F6.2) /
 REVCHG30                (F6.2) /
 REVCHG31                (F6.2) /
 UNIT1                   (F4.0) /
 UNIT2                   (F4.0) /
 UNIT3                   (F4.0) /
 UNIT4                   (F4.0) /
 UNIT5                   (F4.0) /
 UNIT6                   (F4.0) /
 UNIT7                   (F4.0) /
 UNIT8                   (F4.0) /
 UNIT9                   (F4.0) /
 UNIT10                  (F4.0) /
 UNIT11                  (F4.0) /
 UNIT12                  (F4.0) /
 UNIT13                  (F4.0) /
 UNIT14                  (F4.0) /
 UNIT15                  (F4.0) /
 UNIT16                  (F4.0) /
 UNIT17                  (F4.0) /
 UNIT18                  (F4.0) /
 UNIT19                  (F4.0) /
 UNIT20                  (F4.0) /
 UNIT21                  (F4.0) /
 UNIT22                  (F4.0) /
 UNIT23                  (F4.0) /
 UNIT24                  (F4.0) /
 UNIT25                  (F4.0) /
 UNIT26                  (F4.0) /
 UNIT27                  (F4.0) /
 UNIT28                  (F4.0) /
 UNIT29                  (F4.0) /
 UNIT30                  (F4.0) /
 UNIT31                  (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY                     "HCUP record identifier"
 NREVCD                  "Number of revenue codes for this discharge"
 REVCD1                  "Revenue code 1 (as received from source)"
 REVCD2                  "Revenue code 2 (as received from source)"
 REVCD3                  "Revenue code 3 (as received from source)"
 REVCD4                  "Revenue code 4 (as received from source)"
 REVCD5                  "Revenue code 5 (as received from source)"
 REVCD6                  "Revenue code 6 (as received from source)"
 REVCD7                  "Revenue code 7 (as received from source)"
 REVCD8                  "Revenue code 8 (as received from source)"
 REVCD9                  "Revenue code 9 (as received from source)"
 REVCD10                 "Revenue code 10 (as received from source)"
 REVCD11                 "Revenue code 11 (as received from source)"
 REVCD12                 "Revenue code 12 (as received from source)"
 REVCD13                 "Revenue code 13 (as received from source)"
 REVCD14                 "Revenue code 14 (as received from source)"
 REVCD15                 "Revenue code 15 (as received from source)"
 REVCD16                 "Revenue code 16 (as received from source)"
 REVCD17                 "Revenue code 17 (as received from source)"
 REVCD18                 "Revenue code 18 (as received from source)"
 REVCD19                 "Revenue code 19 (as received from source)"
 REVCD20                 "Revenue code 20 (as received from source)"
 REVCD21                 "Revenue code 21 (as received from source)"
 REVCD22                 "Revenue code 22 (as received from source)"
 REVCD23                 "Revenue code 23 (as received from source)"
 REVCD24                 "Revenue code 24 (as received from source)"
 REVCD25                 "Revenue code 25 (as received from source)"
 REVCD26                 "Revenue code 26 (as received from source)"
 REVCD27                 "Revenue code 27 (as received from source)"
 REVCD28                 "Revenue code 28 (as received from source)"
 REVCD29                 "Revenue code 29 (as received from source)"
 REVCD30                 "Revenue code 30 (as received from source)"
 REVCD31                 "Revenue code 31 (as received from source)"
 REVCHG1                 "Detailed charges for revenue code 1 (as received from source)"
 REVCHG2                 "Detailed charges for revenue code 2 (as received from source)"
 REVCHG3                 "Detailed charges for revenue code 3 (as received from source)"
 REVCHG4                 "Detailed charges for revenue code 4 (as received from source)"
 REVCHG5                 "Detailed charges for revenue code 5 (as received from source)"
 REVCHG6                 "Detailed charges for revenue code 6 (as received from source)"
 REVCHG7                 "Detailed charges for revenue code 7 (as received from source)"
 REVCHG8                 "Detailed charges for revenue code 8 (as received from source)"
 REVCHG9                 "Detailed charges for revenue code 9 (as received from source)"
 REVCHG10                "Detailed charges for revenue code 10 (as received from source)"
 REVCHG11                "Detailed charges for revenue code 11 (as received from source)"
 REVCHG12                "Detailed charges for revenue code 12 (as received from source)"
 REVCHG13                "Detailed charges for revenue code 13 (as received from source)"
 REVCHG14                "Detailed charges for revenue code 14 (as received from source)"
 REVCHG15                "Detailed charges for revenue code 15 (as received from source)"
 REVCHG16                "Detailed charges for revenue code 16 (as received from source)"
 REVCHG17                "Detailed charges for revenue code 17 (as received from source)"
 REVCHG18                "Detailed charges for revenue code 18 (as received from source)"
 REVCHG19                "Detailed charges for revenue code 19 (as received from source)"
 REVCHG20                "Detailed charges for revenue code 20 (as received from source)"
 REVCHG21                "Detailed charges for revenue code 21 (as received from source)"
 REVCHG22                "Detailed charges for revenue code 22 (as received from source)"
 REVCHG23                "Detailed charges for revenue code 23 (as received from source)"
 REVCHG24                "Detailed charges for revenue code 24 (as received from source)"
 REVCHG25                "Detailed charges for revenue code 25 (as received from source)"
 REVCHG26                "Detailed charges for revenue code 26 (as received from source)"
 REVCHG27                "Detailed charges for revenue code 27 (as received from source)"
 REVCHG28                "Detailed charges for revenue code 28 (as received from source)"
 REVCHG29                "Detailed charges for revenue code 29 (as received from source)"
 REVCHG30                "Detailed charges for revenue code 30 (as received from source)"
 REVCHG31                "Detailed charges for revenue code 31 (as received from source)"
 UNIT1                   "Units of service 1 (as received from source)"
 UNIT2                   "Units of service 2 (as received from source)"
 UNIT3                   "Units of service 3 (as received from source)"
 UNIT4                   "Units of service 4 (as received from source)"
 UNIT5                   "Units of service 5 (as received from source)"
 UNIT6                   "Units of service 6 (as received from source)"
 UNIT7                   "Units of service 7 (as received from source)"
 UNIT8                   "Units of service 8 (as received from source)"
 UNIT9                   "Units of service 9 (as received from source)"
 UNIT10                  "Units of service 10 (as received from source)"
 UNIT11                  "Units of service 11 (as received from source)"
 UNIT12                  "Units of service 12 (as received from source)"
 UNIT13                  "Units of service 13 (as received from source)"
 UNIT14                  "Units of service 14 (as received from source)"
 UNIT15                  "Units of service 15 (as received from source)"
 UNIT16                  "Units of service 16 (as received from source)"
 UNIT17                  "Units of service 17 (as received from source)"
 UNIT18                  "Units of service 18 (as received from source)"
 UNIT19                  "Units of service 19 (as received from source)"
 UNIT20                  "Units of service 20 (as received from source)"
 UNIT21                  "Units of service 21 (as received from source)"
 UNIT22                  "Units of service 22 (as received from source)"
 UNIT23                  "Units of service 23 (as received from source)"
 UNIT24                  "Units of service 24 (as received from source)"
 UNIT25                  "Units of service 25 (as received from source)"
 UNIT26                  "Units of service 26 (as received from source)"
 UNIT27                  "Units of service 27 (as received from source)"
 UNIT28                  "Units of service 28 (as received from source)"
 UNIT29                  "Units of service 29 (as received from source)"
 UNIT30                  "Units of service 30 (as received from source)"
 UNIT31                  "Units of service 31 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE NREVCD
 (-9,-8,-6,-5=SYSMIS).
RECODE REVCHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT6
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT7
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT8
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT9
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT10
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT11
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT12
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT13
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT14
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT15
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT16
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT17
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT18
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT19
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT20
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT21
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT22
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT23
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT24
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT25
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT26
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT27
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT28
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT29
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT30
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT31
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'MA_SID_2010_CHGS.SAV' /COMPRESSED.
