/*******************************************************************
*   MD_SID_1993_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'MD_SID_1993_CHGS.ASC' FIXED / 
 PROCESS               1-  11
 CHG1                 12-  23
 CHG2                 24-  35
 CHG3                 36-  47
 CHG4                 48-  59
 CHG5                 60-  71
 CHG6                 72-  83
 CHG7                 84-  95
 CHG8                 96- 107
 CHG9                108- 119
 CHG10               120- 131
 CHG11               132- 143
 CHG12               144- 155
 CHG13               156- 167
 CHG14               168- 179
 CHG15               180- 191
 CHG16               192- 203
 CHG17               204- 215
 CHG18               216- 227
 CHG19               228- 239
 CHG20               240- 251
 CHG21               252- 263
 CHG22               264- 275
 CHG23               276- 287
 CHG24               288- 299
 CHG25               300- 311
 CHG26               312- 323
 CHG27               324- 335
 CHG28               336- 347
 CHG29               348- 359
 CHG30               360- 371
 CHG31               372- 383.


***  Specify write formats  ***.
FORMATS
 PROCESS             (F6.0) /
 CHG1                (F5.2) /
 CHG2                (F5.2) /
 CHG3                (F5.2) /
 CHG4                (F5.2) /
 CHG5                (F5.2) /
 CHG6                (F5.2) /
 CHG7                (F5.2) /
 CHG8                (F5.2) /
 CHG9                (F5.2) /
 CHG10               (F5.2) /
 CHG11               (F5.2) /
 CHG12               (F5.2) /
 CHG13               (F5.2) /
 CHG14               (F5.2) /
 CHG15               (F5.2) /
 CHG16               (F5.2) /
 CHG17               (F5.2) /
 CHG18               (F5.2) /
 CHG19               (F5.2) /
 CHG20               (F5.2) /
 CHG21               (F5.2) /
 CHG22               (F5.2) /
 CHG23               (F5.2) /
 CHG24               (F5.2) /
 CHG25               (F5.2) /
 CHG26               (F5.2) /
 CHG27               (F5.2) /
 CHG28               (F5.2) /
 CHG29               (F5.2) /
 CHG30               (F5.2) /
 CHG31               (F5.2) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 PROCESS   "I:HCUP-3 discharge processing ID number"
 CHG1      "I:Detailed charges 1 (from data source)"
 CHG2      "I:Detailed charges 2 (from data source)"
 CHG3      "I:Detailed charges 3 (from data source)"
 CHG4      "I:Detailed charges 4 (from data source)"
 CHG5      "I:Detailed charges 5 (from data source)"
 CHG6      "I:Detailed charges 6 (from data source)"
 CHG7      "I:Detailed charges 7 (from data source)"
 CHG8      "I:Detailed charges 8 (from data source)"
 CHG9      "I:Detailed charges 9 (from data source)"
 CHG10     "I:Detailed charges 10 (from data source)"
 CHG11     "I:Detailed charges 11 (from data source)"
 CHG12     "I:Detailed charges 12 (from data source)"
 CHG13     "I:Detailed charges 13 (from data source)"
 CHG14     "I:Detailed charges 14 (from data source)"
 CHG15     "I:Detailed charges 15 (from data source)"
 CHG16     "I:Detailed charges 16 (from data source)"
 CHG17     "I:Detailed charges 17 (from data source)"
 CHG18     "I:Detailed charges 18 (from data source)"
 CHG19     "I:Detailed charges 19 (from data source)"
 CHG20     "I:Detailed charges 20 (from data source)"
 CHG21     "I:Detailed charges 21 (from data source)"
 CHG22     "I:Detailed charges 22 (from data source)"
 CHG23     "I:Detailed charges 23 (from data source)"
 CHG24     "I:Detailed charges 24 (from data source)"
 CHG25     "I:Detailed charges 25 (from data source)"
 CHG26     "I:Detailed charges 26 (from data source)"
 CHG27     "I:Detailed charges 27 (from data source)"
 CHG28     "I:Detailed charges 28 (from data source)"
 CHG29     "I:Detailed charges 29 (from data source)"
 CHG30     "I:Detailed charges 30 (from data source)"
 CHG31     "I:Detailed charges 31 (from data source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).



SAVE OUTFILE = 'MD_SID_1993_CHGS.SAV' /COMPRESSED.
