/*******************************************************************
*   ME_SID_2003_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'ME_SID_2003_CHGS.ASC' FIXED / 
 KEY                   1-  14
 REVCD1               15-  18 (A)
 REVCD2               19-  22 (A)
 REVCD3               23-  26 (A)
 REVCD4               27-  30 (A)
 REVCD5               31-  34 (A)
 REVCD6               35-  38 (A)
 REVCD7               39-  42 (A)
 REVCD8               43-  46 (A)
 REVCD9               47-  50 (A)
 REVCD10              51-  54 (A)
 REVCD11              55-  58 (A)
 REVCD12              59-  62 (A)
 REVCD13              63-  66 (A)
 REVCD14              67-  70 (A)
 REVCD15              71-  74 (A)
 REVCD16              75-  78 (A)
 REVCD17              79-  82 (A)
 REVCD18              83-  86 (A)
 REVCD19              87-  90 (A)
 REVCD20              91-  94 (A)
 REVCD21              95-  98 (A)
 REVCD22              99- 102 (A)
 REVCD23             103- 106 (A)
 REVCD24             107- 110 (A)
 REVCD25             111- 114 (A)
 REVCD26             115- 118 (A)
 REVCD27             119- 122 (A)
 REVCD28             123- 126 (A)
 REVCD29             127- 130 (A)
 REVCD30             131- 134 (A)
 REVCD31             135- 138 (A)
 REVCD32             139- 142 (A)
 REVCD33             143- 146 (A)
 UNIT1               147- 154
 UNIT2               155- 162
 UNIT3               163- 170.


***  Specify write formats  ***.
FORMATS
 KEY                 (F8.0) /
 UNIT1               (F4.0) /
 UNIT2               (F4.0) /
 UNIT3               (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 REVCD1    "Revenue code 1 (as received from source)"
 REVCD2    "Revenue code 2 (as received from source)"
 REVCD3    "Revenue code 3 (as received from source)"
 REVCD4    "Revenue code 4 (as received from source)"
 REVCD5    "Revenue code 5 (as received from source)"
 REVCD6    "Revenue code 6 (as received from source)"
 REVCD7    "Revenue code 7 (as received from source)"
 REVCD8    "Revenue code 8 (as received from source)"
 REVCD9    "Revenue code 9 (as received from source)"
 REVCD10   "Revenue code 10 (as received from source)"
 REVCD11   "Revenue code 11 (as received from source)"
 REVCD12   "Revenue code 12 (as received from source)"
 REVCD13   "Revenue code 13 (as received from source)"
 REVCD14   "Revenue code 14 (as received from source)"
 REVCD15   "Revenue code 15 (as received from source)"
 REVCD16   "Revenue code 16 (as received from source)"
 REVCD17   "Revenue code 17 (as received from source)"
 REVCD18   "Revenue code 18 (as received from source)"
 REVCD19   "Revenue code 19 (as received from source)"
 REVCD20   "Revenue code 20 (as received from source)"
 REVCD21   "Revenue code 21 (as received from source)"
 REVCD22   "Revenue code 22 (as received from source)"
 REVCD23   "Revenue code 23 (as received from source)"
 REVCD24   "Revenue code 24 (as received from source)"
 REVCD25   "Revenue code 25 (as received from source)"
 REVCD26   "Revenue code 26 (as received from source)"
 REVCD27   "Revenue code 27 (as received from source)"
 REVCD28   "Revenue code 28 (as received from source)"
 REVCD29   "Revenue code 29 (as received from source)"
 REVCD30   "Revenue code 30 (as received from source)"
 REVCD31   "Revenue code 31 (as received from source)"
 REVCD32   "Revenue code 32 (as received from source)"
 REVCD33   "Revenue code 33 (as received from source)"
 UNIT1     "Units of service 1 (as received from source)"
 UNIT2     "Units of service 2 (as received from source)"
 UNIT3     "Units of service 3 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'ME_SID_2003_CHGS.SAV' /COMPRESSED.
