/*******************************************************************
*   NY_SID_2003_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'NY_SID_2003_CHGS.ASC' FIXED / 
 KEY                        1-  14
 CHG1                      15-  26
 CHG2                      27-  38
 CHG3                      39-  50
 CHG4                      51-  62
 CHG5                      63-  74
 CHG6                      75-  86
 CHG7                      87-  98
 CHG8                      99- 110
 CHG9                     111- 122
 CHG10                    123- 134
 CHG11                    135- 146
 CHG12                    147- 158
 CHG13                    159- 170
 CHG14                    171- 182
 CHG15                    183- 194
 CHG16                    195- 206
 CHG17                    207- 218
 CHG18                    219- 230
 CHG19                    231- 242
 CHG20                    243- 254
 CHG21                    255- 266
 CHG22                    267- 278
 CHG23                    279- 290
 CHG24                    291- 302
 CHG25                    303- 314
 CHG26                    315- 326
 CHG27                    327- 338
 CHG28                    339- 350
 CHG29                    351- 362
 CHG30                    363- 374
 CHG31                    375- 386
 CHG32                    387- 398
 CHG33                    399- 410
 CHG34                    411- 422
 CHG35                    423- 434
 CHG36                    435- 446
 CHG37                    447- 458
 CHG38                    459- 470
 CHG39                    471- 482
 CHG40                    483- 494
 CHG41                    495- 506
 CHG42                    507- 518
 CHG43                    519- 530
 CHG44                    531- 542
 CHG45                    543- 554
 CHG46                    555- 566
 CHG47                    567- 578
 CHG48                    579- 590
 CHG49                    591- 602
 CHG50                    603- 614
 CHG51                    615- 626
 CHG52                    627- 638
 CHG53                    639- 650
 CHG54                    651- 662
 CHG55                    663- 674
 CHG56                    675- 686
 CHG57                    687- 698
 RATE1                    699- 705
 RATE2                    706- 712
 RATE3                    713- 719
 RATE4                    720- 726
 RATE5                    727- 733
 REVCD1                   734- 737 (A)
 REVCD2                   738- 741 (A)
 REVCD3                   742- 745 (A)
 REVCD4                   746- 749 (A)
 REVCD5                   750- 753 (A)
 REVCD6                   754- 757 (A)
 REVCD7                   758- 761 (A)
 REVCD8                   762- 765 (A)
 REVCD9                   766- 769 (A)
 REVCD10                  770- 773 (A)
 REVCD11                  774- 777 (A)
 REVCD12                  778- 781 (A)
 REVCD13                  782- 785 (A)
 REVCD14                  786- 789 (A)
 REVCD15                  790- 793 (A)
 REVCD16                  794- 797 (A)
 REVCD17                  798- 801 (A)
 REVCD18                  802- 805 (A)
 REVCD19                  806- 809 (A)
 REVCD20                  810- 813 (A)
 REVCD21                  814- 817 (A)
 REVCD22                  818- 821 (A)
 REVCD23                  822- 825 (A)
 REVCD24                  826- 829 (A)
 REVCD25                  830- 833 (A)
 REVCD26                  834- 837 (A)
 REVCD27                  838- 841 (A)
 REVCD28                  842- 845 (A)
 REVCD29                  846- 849 (A)
 REVCD30                  850- 853 (A)
 REVCD31                  854- 857 (A)
 REVCD32                  858- 861 (A)
 REVCD33                  862- 865 (A)
 REVCD34                  866- 869 (A)
 REVCD35                  870- 873 (A)
 REVCD36                  874- 877 (A)
 REVCD37                  878- 881 (A)
 REVCD38                  882- 885 (A)
 REVCD39                  886- 889 (A)
 REVCD40                  890- 893 (A)
 REVCD41                  894- 897 (A)
 REVCD42                  898- 901 (A)
 REVCD43                  902- 905 (A)
 REVCD44                  906- 909 (A)
 REVCD45                  910- 913 (A)
 REVCD46                  914- 917 (A)
 REVCD47                  918- 921 (A)
 REVCD48                  922- 925 (A)
 REVCD49                  926- 929 (A)
 REVCD50                  930- 933 (A)
 REVCD51                  934- 937 (A)
 REVCD52                  938- 941 (A)
 REVCD53                  942- 945 (A)
 REVCD54                  946- 949 (A)
 REVCD55                  950- 953 (A)
 REVCD56                  954- 957 (A)
 REVCD57                  958- 961 (A)
 UNIT1                    962- 969
 UNIT2                    970- 977
 UNIT3                    978- 985
 UNIT4                    986- 993
 UNIT5                    994-1001.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 CHG1                    (F6.2) /
 CHG2                    (F6.2) /
 CHG3                    (F6.2) /
 CHG4                    (F6.2) /
 CHG5                    (F6.2) /
 CHG6                    (F6.2) /
 CHG7                    (F6.2) /
 CHG8                    (F6.2) /
 CHG9                    (F6.2) /
 CHG10                   (F6.2) /
 CHG11                   (F6.2) /
 CHG12                   (F6.2) /
 CHG13                   (F6.2) /
 CHG14                   (F6.2) /
 CHG15                   (F6.2) /
 CHG16                   (F6.2) /
 CHG17                   (F6.2) /
 CHG18                   (F6.2) /
 CHG19                   (F6.2) /
 CHG20                   (F6.2) /
 CHG21                   (F6.2) /
 CHG22                   (F6.2) /
 CHG23                   (F6.2) /
 CHG24                   (F6.2) /
 CHG25                   (F6.2) /
 CHG26                   (F6.2) /
 CHG27                   (F6.2) /
 CHG28                   (F6.2) /
 CHG29                   (F6.2) /
 CHG30                   (F6.2) /
 CHG31                   (F6.2) /
 CHG32                   (F6.2) /
 CHG33                   (F6.2) /
 CHG34                   (F6.2) /
 CHG35                   (F6.2) /
 CHG36                   (F6.2) /
 CHG37                   (F6.2) /
 CHG38                   (F6.2) /
 CHG39                   (F6.2) /
 CHG40                   (F6.2) /
 CHG41                   (F6.2) /
 CHG42                   (F6.2) /
 CHG43                   (F6.2) /
 CHG44                   (F6.2) /
 CHG45                   (F6.2) /
 CHG46                   (F6.2) /
 CHG47                   (F6.2) /
 CHG48                   (F6.2) /
 CHG49                   (F6.2) /
 CHG50                   (F6.2) /
 CHG51                   (F6.2) /
 CHG52                   (F6.2) /
 CHG53                   (F6.2) /
 CHG54                   (F6.2) /
 CHG55                   (F6.2) /
 CHG56                   (F6.2) /
 CHG57                   (F6.2) /
 RATE1                   (F5.2) /
 RATE2                   (F5.2) /
 RATE3                   (F5.2) /
 RATE4                   (F5.2) /
 RATE5                   (F5.2) /
 UNIT1                   (F4.0) /
 UNIT2                   (F4.0) /
 UNIT3                   (F4.0) /
 UNIT4                   (F4.0) /
 UNIT5                   (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 CHG1      "Detailed charges 1 (as received from source)"
 CHG2      "Detailed charges 2 (as received from source)"
 CHG3      "Detailed charges 3 (as received from source)"
 CHG4      "Detailed charges 4 (as received from source)"
 CHG5      "Detailed charges 5 (as received from source)"
 CHG6      "Detailed charges 6 (as received from source)"
 CHG7      "Detailed charges 7 (as received from source)"
 CHG8      "Detailed charges 8 (as received from source)"
 CHG9      "Detailed charges 9 (as received from source)"
 CHG10     "Detailed charges 10 (as received from source)"
 CHG11     "Detailed charges 11 (as received from source)"
 CHG12     "Detailed charges 12 (as received from source)"
 CHG13     "Detailed charges 13 (as received from source)"
 CHG14     "Detailed charges 14 (as received from source)"
 CHG15     "Detailed charges 15 (as received from source)"
 CHG16     "Detailed charges 16 (as received from source)"
 CHG17     "Detailed charges 17 (as received from source)"
 CHG18     "Detailed charges 18 (as received from source)"
 CHG19     "Detailed charges 19 (as received from source)"
 CHG20     "Detailed charges 20 (as received from source)"
 CHG21     "Detailed charges 21 (as received from source)"
 CHG22     "Detailed charges 22 (as received from source)"
 CHG23     "Detailed charges 23 (as received from source)"
 CHG24     "Detailed charges 24 (as received from source)"
 CHG25     "Detailed charges 25 (as received from source)"
 CHG26     "Detailed charges 26 (as received from source)"
 CHG27     "Detailed charges 27 (as received from source)"
 CHG28     "Detailed charges 28 (as received from source)"
 CHG29     "Detailed charges 29 (as received from source)"
 CHG30     "Detailed charges 30 (as received from source)"
 CHG31     "Detailed charges 31 (as received from source)"
 CHG32     "Detailed charges 32 (as received from source)"
 CHG33     "Detailed charges 33 (as received from source)"
 CHG34     "Detailed charges 34 (as received from source)"
 CHG35     "Detailed charges 35 (as received from source)"
 CHG36     "Detailed charges 36 (as received from source)"
 CHG37     "Detailed charges 37 (as received from source)"
 CHG38     "Detailed charges 38 (as received from source)"
 CHG39     "Detailed charges 39 (as received from source)"
 CHG40     "Detailed charges 40 (as received from source)"
 CHG41     "Detailed charges 41 (as received from source)"
 CHG42     "Detailed charges 42 (as received from source)"
 CHG43     "Detailed charges 43 (as received from source)"
 CHG44     "Detailed charges 44 (as received from source)"
 CHG45     "Detailed charges 45 (as received from source)"
 CHG46     "Detailed charges 46 (as received from source)"
 CHG47     "Detailed charges 47 (as received from source)"
 CHG48     "Detailed charges 48 (as received from source)"
 CHG49     "Detailed charges 49 (as received from source)"
 CHG50     "Detailed charges 50 (as received from source)"
 CHG51     "Detailed charges 51 (as received from source)"
 CHG52     "Detailed charges 52 (as received from source)"
 CHG53     "Detailed charges 53 (as received from source)"
 CHG54     "Detailed charges 54 (as received from source)"
 CHG55     "Detailed charges 55 (as received from source)"
 CHG56     "Detailed charges 56 (as received from source)"
 CHG57     "Detailed charges 57 (as received from source)"
 RATE1     "Daily rate 1 (as received from source)"
 RATE2     "Daily rate 2 (as received from source)"
 RATE3     "Daily rate 3 (as received from source)"
 RATE4     "Daily rate 4 (as received from source)"
 RATE5     "Daily rate 5 (as received from source)"
 REVCD1    "Revenue code 1 (as received from source)"
 REVCD2    "Revenue code 2 (as received from source)"
 REVCD3    "Revenue code 3 (as received from source)"
 REVCD4    "Revenue code 4 (as received from source)"
 REVCD5    "Revenue code 5 (as received from source)"
 REVCD6    "Revenue code 6 (as received from source)"
 REVCD7    "Revenue code 7 (as received from source)"
 REVCD8    "Revenue code 8 (as received from source)"
 REVCD9    "Revenue code 9 (as received from source)"
 REVCD10   "Revenue code 10 (as received from source)"
 REVCD11   "Revenue code 11 (as received from source)"
 REVCD12   "Revenue code 12 (as received from source)"
 REVCD13   "Revenue code 13 (as received from source)"
 REVCD14   "Revenue code 14 (as received from source)"
 REVCD15   "Revenue code 15 (as received from source)"
 REVCD16   "Revenue code 16 (as received from source)"
 REVCD17   "Revenue code 17 (as received from source)"
 REVCD18   "Revenue code 18 (as received from source)"
 REVCD19   "Revenue code 19 (as received from source)"
 REVCD20   "Revenue code 20 (as received from source)"
 REVCD21   "Revenue code 21 (as received from source)"
 REVCD22   "Revenue code 22 (as received from source)"
 REVCD23   "Revenue code 23 (as received from source)"
 REVCD24   "Revenue code 24 (as received from source)"
 REVCD25   "Revenue code 25 (as received from source)"
 REVCD26   "Revenue code 26 (as received from source)"
 REVCD27   "Revenue code 27 (as received from source)"
 REVCD28   "Revenue code 28 (as received from source)"
 REVCD29   "Revenue code 29 (as received from source)"
 REVCD30   "Revenue code 30 (as received from source)"
 REVCD31   "Revenue code 31 (as received from source)"
 REVCD32   "Revenue code 32 (as received from source)"
 REVCD33   "Revenue code 33 (as received from source)"
 REVCD34   "Revenue code 34 (as received from source)"
 REVCD35   "Revenue code 35 (as received from source)"
 REVCD36   "Revenue code 36 (as received from source)"
 REVCD37   "Revenue code 37 (as received from source)"
 REVCD38   "Revenue code 38 (as received from source)"
 REVCD39   "Revenue code 39 (as received from source)"
 REVCD40   "Revenue code 40 (as received from source)"
 REVCD41   "Revenue code 41 (as received from source)"
 REVCD42   "Revenue code 42 (as received from source)"
 REVCD43   "Revenue code 43 (as received from source)"
 REVCD44   "Revenue code 44 (as received from source)"
 REVCD45   "Revenue code 45 (as received from source)"
 REVCD46   "Revenue code 46 (as received from source)"
 REVCD47   "Revenue code 47 (as received from source)"
 REVCD48   "Revenue code 48 (as received from source)"
 REVCD49   "Revenue code 49 (as received from source)"
 REVCD50   "Revenue code 50 (as received from source)"
 REVCD51   "Revenue code 51 (as received from source)"
 REVCD52   "Revenue code 52 (as received from source)"
 REVCD53   "Revenue code 53 (as received from source)"
 REVCD54   "Revenue code 54 (as received from source)"
 REVCD55   "Revenue code 55 (as received from source)"
 REVCD56   "Revenue code 56 (as received from source)"
 REVCD57   "Revenue code 57 (as received from source)"
 UNIT1     "Units of service 1 (as received from source)"
 UNIT2     "Units of service 2 (as received from source)"
 UNIT3     "Units of service 3 (as received from source)"
 UNIT4     "Units of service 4 (as received from source)"
 UNIT5     "Units of service 5 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG45
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG46
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG47
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG48
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG49
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG50
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG51
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG52
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG53
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG54
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG55
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG56
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG57
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE RATE1
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE RATE2
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE RATE3
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE RATE4
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE RATE5
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'NY_SID_2003_CHGS.SAV' /COMPRESSED.
