/*******************************************************************
* Creation Date: 07/25/2018   
*   SD_SID_2016_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'SD_SID_2016_CHGS.ASC' FIXED SKIP=2 / 
 CHARGE                          1-  12
 KEY                            13-  27
 REVCODE                        28-  31 (A).


***  Specify write formats  ***.
FORMATS
 CHARGE                       (F6.2) /
 KEY                          (F8.0) /
.


***  Assign labels to the variables ***.
VARIABLE LABELS 
 CHARGE                       "Line item charges (as received from source)"
 KEY                          "HCUP record identifier"
 REVCODE                      "Line item revenue code (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHARGE
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).



SAVE OUTFILE = 'SD_SID_2016_CHGS.SAV' /COMPRESSED.
