/*******************************************************************
* Creation Date: 12/03/2018   
*   WV_SID_2017_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'WV_SID_2017_CHGS.ASC' FIXED SKIP=2 / 
 KEY                             1-  15
 NREVCD                         16-  18
 REVCD1                         19-  22 (A)
 REVCD2                         23-  26 (A)
 REVCD3                         27-  30 (A)
 REVCD4                         31-  34 (A)
 REVCD5                         35-  38 (A)
 REVCD6                         39-  42 (A)
 REVCD7                         43-  46 (A)
 REVCD8                         47-  50 (A)
 REVCD9                         51-  54 (A)
 REVCD10                        55-  58 (A)
 REVCD11                        59-  62 (A)
 REVCD12                        63-  66 (A)
 REVCD13                        67-  70 (A)
 REVCD14                        71-  74 (A)
 REVCD15                        75-  78 (A)
 REVCD16                        79-  82 (A)
 REVCD17                        83-  86 (A)
 REVCD18                        87-  90 (A)
 REVCD19                        91-  94 (A)
 REVCD20                        95-  98 (A)
 REVCD21                        99- 102 (A)
 REVCD22                       103- 106 (A)
 REVCD23                       107- 110 (A)
 REVCD24                       111- 114 (A)
 REVCD25                       115- 118 (A)
 REVCD26                       119- 122 (A)
 REVCD27                       123- 126 (A)
 REVCD28                       127- 130 (A)
 REVCD29                       131- 134 (A)
 REVCD30                       135- 138 (A)
 REVCD31                       139- 142 (A)
 REVCD32                       143- 146 (A)
 REVCD33                       147- 150 (A)
 REVCD34                       151- 154 (A)
 REVCD35                       155- 158 (A)
 REVCD36                       159- 162 (A)
 REVCD37                       163- 166 (A)
 REVCD38                       167- 170 (A)
 REVCD39                       171- 174 (A)
 REVCD40                       175- 178 (A)
 REVCD41                       179- 182 (A)
 REVCD42                       183- 186 (A)
 REVCD43                       187- 190 (A)
 REVCD44                       191- 194 (A)
 REVCD45                       195- 198 (A)
 REVCD46                       199- 202 (A)
 REVCD47                       203- 206 (A)
 REVCD48                       207- 210 (A)
 REVCD49                       211- 214 (A)
 REVCD50                       215- 218 (A)
 REVCD51                       219- 222 (A)
 REVCD52                       223- 226 (A)
 REVCD53                       227- 230 (A)
 REVCD54                       231- 234 (A)
 REVCD55                       235- 238 (A)
 REVCD56                       239- 242 (A)
 REVCD57                       243- 246 (A)
 REVCD58                       247- 250 (A)
 REVCD59                       251- 254 (A)
 REVCD60                       255- 258 (A)
 REVCD61                       259- 262 (A)
 REVCD62                       263- 266 (A)
 REVCD63                       267- 270 (A)
 REVCD64                       271- 274 (A)
 REVCD65                       275- 278 (A)
 REVCD66                       279- 282 (A)
 REVCD67                       283- 286 (A)
 REVCD68                       287- 290 (A)
 REVCD69                       291- 294 (A)
 REVCD70                       295- 298 (A)
 REVCD71                       299- 302 (A)
 REVCD72                       303- 306 (A)
 REVCD73                       307- 310 (A)
 REVCD74                       311- 314 (A)
 REVCD75                       315- 318 (A)
 REVCD76                       319- 322 (A)
 REVCD77                       323- 326 (A)
 REVCD78                       327- 330 (A)
 REVCD79                       331- 334 (A)
 REVCD80                       335- 338 (A)
 REVCD81                       339- 342 (A)
 REVCD82                       343- 346 (A)
 REVCD83                       347- 350 (A)
 REVCD84                       351- 354 (A)
 REVCD85                       355- 358 (A)
 REVCD86                       359- 362 (A)
 REVCD87                       363- 366 (A)
 REVCD88                       367- 370 (A)
 REVCD89                       371- 374 (A)
 REVCD90                       375- 378 (A)
 REVCD91                       379- 382 (A)
 REVCD92                       383- 386 (A)
 REVCD93                       387- 390 (A)
 REVCD94                       391- 394 (A)
 REVCD95                       395- 398 (A)
 REVCD96                       399- 402 (A)
 REVCD97                       403- 406 (A)
 REVCD98                       407- 410 (A)
 REVCD99                       411- 414 (A)
 REVCD100                      415- 418 (A)
 REVCD101                      419- 422 (A)
 REVCD102                      423- 426 (A)
 REVCD103                      427- 430 (A)
 REVCD104                      431- 434 (A)
 REVCD105                      435- 438 (A)
 REVCD106                      439- 442 (A)
 REVCD107                      443- 446 (A)
 REVCD108                      447- 450 (A)
 REVCD109                      451- 454 (A)
 REVCD110                      455- 458 (A)
 REVCD111                      459- 462 (A)
 REVCD112                      463- 466 (A)
 REVCD113                      467- 470 (A)
 REVCD114                      471- 474 (A)
 REVCD115                      475- 478 (A)
 REVCD116                      479- 482 (A)
 REVCD117                      483- 486 (A)
 REVCD118                      487- 490 (A)
 REVCD119                      491- 494 (A)
 REVCHG1                       495- 506
 REVCHG2                       507- 518
 REVCHG3                       519- 530
 REVCHG4                       531- 542
 REVCHG5                       543- 554
 REVCHG6                       555- 566
 REVCHG7                       567- 578
 REVCHG8                       579- 590
 REVCHG9                       591- 602
 REVCHG10                      603- 614
 REVCHG11                      615- 626
 REVCHG12                      627- 638
 REVCHG13                      639- 650
 REVCHG14                      651- 662
 REVCHG15                      663- 674
 REVCHG16                      675- 686
 REVCHG17                      687- 698
 REVCHG18                      699- 710
 REVCHG19                      711- 722
 REVCHG20                      723- 734
 REVCHG21                      735- 746
 REVCHG22                      747- 758
 REVCHG23                      759- 770
 REVCHG24                      771- 782
 REVCHG25                      783- 794
 REVCHG26                      795- 806
 REVCHG27                      807- 818
 REVCHG28                      819- 830
 REVCHG29                      831- 842
 REVCHG30                      843- 854
 REVCHG31                      855- 866
 REVCHG32                      867- 878
 REVCHG33                      879- 890
 REVCHG34                      891- 902
 REVCHG35                      903- 914
 REVCHG36                      915- 926
 REVCHG37                      927- 938
 REVCHG38                      939- 950
 REVCHG39                      951- 962
 REVCHG40                      963- 974
 REVCHG41                      975- 986
 REVCHG42                      987- 998
 REVCHG43                      999-1010
 REVCHG44                     1011-1022
 REVCHG45                     1023-1034
 REVCHG46                     1035-1046
 REVCHG47                     1047-1058
 REVCHG48                     1059-1070
 REVCHG49                     1071-1082
 REVCHG50                     1083-1094
 REVCHG51                     1095-1106
 REVCHG52                     1107-1118
 REVCHG53                     1119-1130
 REVCHG54                     1131-1142
 REVCHG55                     1143-1154
 REVCHG56                     1155-1166
 REVCHG57                     1167-1178
 REVCHG58                     1179-1190
 REVCHG59                     1191-1202
 REVCHG60                     1203-1214
 REVCHG61                     1215-1226
 REVCHG62                     1227-1238
 REVCHG63                     1239-1250
 REVCHG64                     1251-1262
 REVCHG65                     1263-1274
 REVCHG66                     1275-1286
 REVCHG67                     1287-1298
 REVCHG68                     1299-1310
 REVCHG69                     1311-1322
 REVCHG70                     1323-1334
 REVCHG71                     1335-1346
 REVCHG72                     1347-1358
 REVCHG73                     1359-1370
 REVCHG74                     1371-1382
 REVCHG75                     1383-1394
 REVCHG76                     1395-1406
 REVCHG77                     1407-1418
 REVCHG78                     1419-1430
 REVCHG79                     1431-1442
 REVCHG80                     1443-1454
 REVCHG81                     1455-1466
 REVCHG82                     1467-1478
 REVCHG83                     1479-1490
 REVCHG84                     1491-1502
 REVCHG85                     1503-1514
 REVCHG86                     1515-1526
 REVCHG87                     1527-1538
 REVCHG88                     1539-1550
 REVCHG89                     1551-1562
 REVCHG90                     1563-1574
 REVCHG91                     1575-1586
 REVCHG92                     1587-1598
 REVCHG93                     1599-1610
 REVCHG94                     1611-1622
 REVCHG95                     1623-1634
 REVCHG96                     1635-1646
 REVCHG97                     1647-1658
 REVCHG98                     1659-1670
 REVCHG99                     1671-1682
 REVCHG100                    1683-1694
 REVCHG101                    1695-1706
 REVCHG102                    1707-1718
 REVCHG103                    1719-1730
 REVCHG104                    1731-1742
 REVCHG105                    1743-1754
 REVCHG106                    1755-1766
 REVCHG107                    1767-1778
 REVCHG108                    1779-1790
 REVCHG109                    1791-1802
 REVCHG110                    1803-1814
 REVCHG111                    1815-1826
 REVCHG112                    1827-1838
 REVCHG113                    1839-1850
 REVCHG114                    1851-1862
 REVCHG115                    1863-1874
 REVCHG116                    1875-1886
 REVCHG117                    1887-1898
 REVCHG118                    1899-1910
 REVCHG119                    1911-1922
 UNIT1                        1923-1930
 UNIT2                        1931-1938
 UNIT3                        1939-1946
 UNIT4                        1947-1954
 UNIT5                        1955-1962
 UNIT6                        1963-1970
 UNIT7                        1971-1978
 UNIT8                        1979-1986
 UNIT9                        1987-1994
 UNIT10                       1995-2002
 UNIT11                       2003-2010
 UNIT12                       2011-2018
 UNIT13                       2019-2026
 UNIT14                       2027-2034
 UNIT15                       2035-2042
 UNIT16                       2043-2050
 UNIT17                       2051-2058
 UNIT18                       2059-2066
 UNIT19                       2067-2074
 UNIT20                       2075-2082
 UNIT21                       2083-2090
 UNIT22                       2091-2098
 UNIT23                       2099-2106
 UNIT24                       2107-2114
 UNIT25                       2115-2122
 UNIT26                       2123-2130
 UNIT27                       2131-2138
 UNIT28                       2139-2146
 UNIT29                       2147-2154
 UNIT30                       2155-2162
 UNIT31                       2163-2170
 UNIT32                       2171-2178
 UNIT33                       2179-2186
 UNIT34                       2187-2194
 UNIT35                       2195-2202
 UNIT36                       2203-2210
 UNIT37                       2211-2218
 UNIT38                       2219-2226
 UNIT39                       2227-2234
 UNIT40                       2235-2242
 UNIT41                       2243-2250
 UNIT42                       2251-2258
 UNIT43                       2259-2266
 UNIT44                       2267-2274
 UNIT45                       2275-2282
 UNIT46                       2283-2290
 UNIT47                       2291-2298
 UNIT48                       2299-2306
 UNIT49                       2307-2314
 UNIT50                       2315-2322
 UNIT51                       2323-2330
 UNIT52                       2331-2338
 UNIT53                       2339-2346
 UNIT54                       2347-2354
 UNIT55                       2355-2362
 UNIT56                       2363-2370
 UNIT57                       2371-2378
 UNIT58                       2379-2386
 UNIT59                       2387-2394
 UNIT60                       2395-2402
 UNIT61                       2403-2410
 UNIT62                       2411-2418
 UNIT63                       2419-2426
 UNIT64                       2427-2434
 UNIT65                       2435-2442
 UNIT66                       2443-2450
 UNIT67                       2451-2458
 UNIT68                       2459-2466
 UNIT69                       2467-2474
 UNIT70                       2475-2482
 UNIT71                       2483-2490
 UNIT72                       2491-2498
 UNIT73                       2499-2506
 UNIT74                       2507-2514
 UNIT75                       2515-2522
 UNIT76                       2523-2530
 UNIT77                       2531-2538
 UNIT78                       2539-2546
 UNIT79                       2547-2554
 UNIT80                       2555-2562
 UNIT81                       2563-2570
 UNIT82                       2571-2578
 UNIT83                       2579-2586
 UNIT84                       2587-2594
 UNIT85                       2595-2602
 UNIT86                       2603-2610
 UNIT87                       2611-2618
 UNIT88                       2619-2626
 UNIT89                       2627-2634
 UNIT90                       2635-2642
 UNIT91                       2643-2650
 UNIT92                       2651-2658
 UNIT93                       2659-2666
 UNIT94                       2667-2674
 UNIT95                       2675-2682
 UNIT96                       2683-2690
 UNIT97                       2691-2698
 UNIT98                       2699-2706
 UNIT99                       2707-2714
 UNIT100                      2715-2722
 UNIT101                      2723-2730
 UNIT102                      2731-2738
 UNIT103                      2739-2746
 UNIT104                      2747-2754
 UNIT105                      2755-2762
 UNIT106                      2763-2770
 UNIT107                      2771-2778
 UNIT108                      2779-2786
 UNIT109                      2787-2794
 UNIT110                      2795-2802
 UNIT111                      2803-2810
 UNIT112                      2811-2818
 UNIT113                      2819-2826
 UNIT114                      2827-2834
 UNIT115                      2835-2842
 UNIT116                      2843-2850
 UNIT117                      2851-2858
 UNIT118                      2859-2866
 UNIT119                      2867-2874.


***  Specify write formats  ***.
FORMATS
 KEY                          (F8.0) /
 NREVCD                       (F3.0) /
 REVCHG1                      (F6.2) /
 REVCHG2                      (F6.2) /
 REVCHG3                      (F6.2) /
 REVCHG4                      (F6.2) /
 REVCHG5                      (F6.2) /
 REVCHG6                      (F6.2) /
 REVCHG7                      (F6.2) /
 REVCHG8                      (F6.2) /
 REVCHG9                      (F6.2) /
 REVCHG10                     (F6.2) /
 REVCHG11                     (F6.2) /
 REVCHG12                     (F6.2) /
 REVCHG13                     (F6.2) /
 REVCHG14                     (F6.2) /
 REVCHG15                     (F6.2) /
 REVCHG16                     (F6.2) /
 REVCHG17                     (F6.2) /
 REVCHG18                     (F6.2) /
 REVCHG19                     (F6.2) /
 REVCHG20                     (F6.2) /
 REVCHG21                     (F6.2) /
 REVCHG22                     (F6.2) /
 REVCHG23                     (F6.2) /
 REVCHG24                     (F6.2) /
 REVCHG25                     (F6.2) /
 REVCHG26                     (F6.2) /
 REVCHG27                     (F6.2) /
 REVCHG28                     (F6.2) /
 REVCHG29                     (F6.2) /
 REVCHG30                     (F6.2) /
 REVCHG31                     (F6.2) /
 REVCHG32                     (F6.2) /
 REVCHG33                     (F6.2) /
 REVCHG34                     (F6.2) /
 REVCHG35                     (F6.2) /
 REVCHG36                     (F6.2) /
 REVCHG37                     (F6.2) /
 REVCHG38                     (F6.2) /
 REVCHG39                     (F6.2) /
 REVCHG40                     (F6.2) /
 REVCHG41                     (F6.2) /
 REVCHG42                     (F6.2) /
 REVCHG43                     (F6.2) /
 REVCHG44                     (F6.2) /
 REVCHG45                     (F6.2) /
 REVCHG46                     (F6.2) /
 REVCHG47                     (F6.2) /
 REVCHG48                     (F6.2) /
 REVCHG49                     (F6.2) /
 REVCHG50                     (F6.2) /
 REVCHG51                     (F6.2) /
 REVCHG52                     (F6.2) /
 REVCHG53                     (F6.2) /
 REVCHG54                     (F6.2) /
 REVCHG55                     (F6.2) /
 REVCHG56                     (F6.2) /
 REVCHG57                     (F6.2) /
 REVCHG58                     (F6.2) /
 REVCHG59                     (F6.2) /
 REVCHG60                     (F6.2) /
 REVCHG61                     (F6.2) /
 REVCHG62                     (F6.2) /
 REVCHG63                     (F6.2) /
 REVCHG64                     (F6.2) /
 REVCHG65                     (F6.2) /
 REVCHG66                     (F6.2) /
 REVCHG67                     (F6.2) /
 REVCHG68                     (F6.2) /
 REVCHG69                     (F6.2) /
 REVCHG70                     (F6.2) /
 REVCHG71                     (F6.2) /
 REVCHG72                     (F6.2) /
 REVCHG73                     (F6.2) /
 REVCHG74                     (F6.2) /
 REVCHG75                     (F6.2) /
 REVCHG76                     (F6.2) /
 REVCHG77                     (F6.2) /
 REVCHG78                     (F6.2) /
 REVCHG79                     (F6.2) /
 REVCHG80                     (F6.2) /
 REVCHG81                     (F6.2) /
 REVCHG82                     (F6.2) /
 REVCHG83                     (F6.2) /
 REVCHG84                     (F6.2) /
 REVCHG85                     (F6.2) /
 REVCHG86                     (F6.2) /
 REVCHG87                     (F6.2) /
 REVCHG88                     (F6.2) /
 REVCHG89                     (F6.2) /
 REVCHG90                     (F6.2) /
 REVCHG91                     (F6.2) /
 REVCHG92                     (F6.2) /
 REVCHG93                     (F6.2) /
 REVCHG94                     (F6.2) /
 REVCHG95                     (F6.2) /
 REVCHG96                     (F6.2) /
 REVCHG97                     (F6.2) /
 REVCHG98                     (F6.2) /
 REVCHG99                     (F6.2) /
 REVCHG100                    (F6.2) /
 REVCHG101                    (F6.2) /
 REVCHG102                    (F6.2) /
 REVCHG103                    (F6.2) /
 REVCHG104                    (F6.2) /
 REVCHG105                    (F6.2) /
 REVCHG106                    (F6.2) /
 REVCHG107                    (F6.2) /
 REVCHG108                    (F6.2) /
 REVCHG109                    (F6.2) /
 REVCHG110                    (F6.2) /
 REVCHG111                    (F6.2) /
 REVCHG112                    (F6.2) /
 REVCHG113                    (F6.2) /
 REVCHG114                    (F6.2) /
 REVCHG115                    (F6.2) /
 REVCHG116                    (F6.2) /
 REVCHG117                    (F6.2) /
 REVCHG118                    (F6.2) /
 REVCHG119                    (F6.2) /
 UNIT1                        (F4.2) /
 UNIT2                        (F4.2) /
 UNIT3                        (F4.2) /
 UNIT4                        (F4.2) /
 UNIT5                        (F4.2) /
 UNIT6                        (F4.2) /
 UNIT7                        (F4.2) /
 UNIT8                        (F4.2) /
 UNIT9                        (F4.2) /
 UNIT10                       (F4.2) /
 UNIT11                       (F4.2) /
 UNIT12                       (F4.2) /
 UNIT13                       (F4.2) /
 UNIT14                       (F4.2) /
 UNIT15                       (F4.2) /
 UNIT16                       (F4.2) /
 UNIT17                       (F4.2) /
 UNIT18                       (F4.2) /
 UNIT19                       (F4.2) /
 UNIT20                       (F4.2) /
 UNIT21                       (F4.2) /
 UNIT22                       (F4.2) /
 UNIT23                       (F4.2) /
 UNIT24                       (F4.2) /
 UNIT25                       (F4.2) /
 UNIT26                       (F4.2) /
 UNIT27                       (F4.2) /
 UNIT28                       (F4.2) /
 UNIT29                       (F4.2) /
 UNIT30                       (F4.2) /
 UNIT31                       (F4.2) /
 UNIT32                       (F4.2) /
 UNIT33                       (F4.2) /
 UNIT34                       (F4.2) /
 UNIT35                       (F4.2) /
 UNIT36                       (F4.2) /
 UNIT37                       (F4.2) /
 UNIT38                       (F4.2) /
 UNIT39                       (F4.2) /
 UNIT40                       (F4.2) /
 UNIT41                       (F4.2) /
 UNIT42                       (F4.2) /
 UNIT43                       (F4.2) /
 UNIT44                       (F4.2) /
 UNIT45                       (F4.2) /
 UNIT46                       (F4.2) /
 UNIT47                       (F4.2) /
 UNIT48                       (F4.2) /
 UNIT49                       (F4.2) /
 UNIT50                       (F4.2) /
 UNIT51                       (F4.2) /
 UNIT52                       (F4.2) /
 UNIT53                       (F4.2) /
 UNIT54                       (F4.2) /
 UNIT55                       (F4.2) /
 UNIT56                       (F4.2) /
 UNIT57                       (F4.2) /
 UNIT58                       (F4.2) /
 UNIT59                       (F4.2) /
 UNIT60                       (F4.2) /
 UNIT61                       (F4.2) /
 UNIT62                       (F4.2) /
 UNIT63                       (F4.2) /
 UNIT64                       (F4.2) /
 UNIT65                       (F4.2) /
 UNIT66                       (F4.2) /
 UNIT67                       (F4.2) /
 UNIT68                       (F4.2) /
 UNIT69                       (F4.2) /
 UNIT70                       (F4.2) /
 UNIT71                       (F4.2) /
 UNIT72                       (F4.2) /
 UNIT73                       (F4.2) /
 UNIT74                       (F4.2) /
 UNIT75                       (F4.2) /
 UNIT76                       (F4.2) /
 UNIT77                       (F4.2) /
 UNIT78                       (F4.2) /
 UNIT79                       (F4.2) /
 UNIT80                       (F4.2) /
 UNIT81                       (F4.2) /
 UNIT82                       (F4.2) /
 UNIT83                       (F4.2) /
 UNIT84                       (F4.2) /
 UNIT85                       (F4.2) /
 UNIT86                       (F4.2) /
 UNIT87                       (F4.2) /
 UNIT88                       (F4.2) /
 UNIT89                       (F4.2) /
 UNIT90                       (F4.2) /
 UNIT91                       (F4.2) /
 UNIT92                       (F4.2) /
 UNIT93                       (F4.2) /
 UNIT94                       (F4.2) /
 UNIT95                       (F4.2) /
 UNIT96                       (F4.2) /
 UNIT97                       (F4.2) /
 UNIT98                       (F4.2) /
 UNIT99                       (F4.2) /
 UNIT100                      (F4.2) /
 UNIT101                      (F4.2) /
 UNIT102                      (F4.2) /
 UNIT103                      (F4.2) /
 UNIT104                      (F4.2) /
 UNIT105                      (F4.2) /
 UNIT106                      (F4.2) /
 UNIT107                      (F4.2) /
 UNIT108                      (F4.2) /
 UNIT109                      (F4.2) /
 UNIT110                      (F4.2) /
 UNIT111                      (F4.2) /
 UNIT112                      (F4.2) /
 UNIT113                      (F4.2) /
 UNIT114                      (F4.2) /
 UNIT115                      (F4.2) /
 UNIT116                      (F4.2) /
 UNIT117                      (F4.2) /
 UNIT118                      (F4.2) /
 UNIT119                      (F4.2) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY                          "HCUP record identifier"
 NREVCD                       "Number of revenue codes for this discharge"
 REVCD1                       "Revenue code 1 (as received from source)"
 REVCD2                       "Revenue code 2 (as received from source)"
 REVCD3                       "Revenue code 3 (as received from source)"
 REVCD4                       "Revenue code 4 (as received from source)"
 REVCD5                       "Revenue code 5 (as received from source)"
 REVCD6                       "Revenue code 6 (as received from source)"
 REVCD7                       "Revenue code 7 (as received from source)"
 REVCD8                       "Revenue code 8 (as received from source)"
 REVCD9                       "Revenue code 9 (as received from source)"
 REVCD10                      "Revenue code 10 (as received from source)"
 REVCD11                      "Revenue code 11 (as received from source)"
 REVCD12                      "Revenue code 12 (as received from source)"
 REVCD13                      "Revenue code 13 (as received from source)"
 REVCD14                      "Revenue code 14 (as received from source)"
 REVCD15                      "Revenue code 15 (as received from source)"
 REVCD16                      "Revenue code 16 (as received from source)"
 REVCD17                      "Revenue code 17 (as received from source)"
 REVCD18                      "Revenue code 18 (as received from source)"
 REVCD19                      "Revenue code 19 (as received from source)"
 REVCD20                      "Revenue code 20 (as received from source)"
 REVCD21                      "Revenue code 21 (as received from source)"
 REVCD22                      "Revenue code 22 (as received from source)"
 REVCD23                      "Revenue code 23 (as received from source)"
 REVCD24                      "Revenue code 24 (as received from source)"
 REVCD25                      "Revenue code 25 (as received from source)"
 REVCD26                      "Revenue code 26 (as received from source)"
 REVCD27                      "Revenue code 27 (as received from source)"
 REVCD28                      "Revenue code 28 (as received from source)"
 REVCD29                      "Revenue code 29 (as received from source)"
 REVCD30                      "Revenue code 30 (as received from source)"
 REVCD31                      "Revenue code 31 (as received from source)"
 REVCD32                      "Revenue code 32 (as received from source)"
 REVCD33                      "Revenue code 33 (as received from source)"
 REVCD34                      "Revenue code 34 (as received from source)"
 REVCD35                      "Revenue code 35 (as received from source)"
 REVCD36                      "Revenue code 36 (as received from source)"
 REVCD37                      "Revenue code 37 (as received from source)"
 REVCD38                      "Revenue code 38 (as received from source)"
 REVCD39                      "Revenue code 39 (as received from source)"
 REVCD40                      "Revenue code 40 (as received from source)"
 REVCD41                      "Revenue code 41 (as received from source)"
 REVCD42                      "Revenue code 42 (as received from source)"
 REVCD43                      "Revenue code 43 (as received from source)"
 REVCD44                      "Revenue code 44 (as received from source)"
 REVCD45                      "Revenue code 45 (as received from source)"
 REVCD46                      "Revenue code 46 (as received from source)"
 REVCD47                      "Revenue code 47 (as received from source)"
 REVCD48                      "Revenue code 48 (as received from source)"
 REVCD49                      "Revenue code 49 (as received from source)"
 REVCD50                      "Revenue code 50 (as received from source)"
 REVCD51                      "Revenue code 51 (as received from source)"
 REVCD52                      "Revenue code 52 (as received from source)"
 REVCD53                      "Revenue code 53 (as received from source)"
 REVCD54                      "Revenue code 54 (as received from source)"
 REVCD55                      "Revenue code 55 (as received from source)"
 REVCD56                      "Revenue code 56 (as received from source)"
 REVCD57                      "Revenue code 57 (as received from source)"
 REVCD58                      "Revenue code 58 (as received from source)"
 REVCD59                      "Revenue code 59 (as received from source)"
 REVCD60                      "Revenue code 60 (as received from source)"
 REVCD61                      "Revenue code 61 (as received from source)"
 REVCD62                      "Revenue code 62 (as received from source)"
 REVCD63                      "Revenue code 63 (as received from source)"
 REVCD64                      "Revenue code 64 (as received from source)"
 REVCD65                      "Revenue code 65 (as received from source)"
 REVCD66                      "Revenue code 66 (as received from source)"
 REVCD67                      "Revenue code 67 (as received from source)"
 REVCD68                      "Revenue code 68 (as received from source)"
 REVCD69                      "Revenue code 69 (as received from source)"
 REVCD70                      "Revenue code 70 (as received from source)"
 REVCD71                      "Revenue code 71 (as received from source)"
 REVCD72                      "Revenue code 72 (as received from source)"
 REVCD73                      "Revenue code 73 (as received from source)"
 REVCD74                      "Revenue code 74 (as received from source)"
 REVCD75                      "Revenue code 75 (as received from source)"
 REVCD76                      "Revenue code 76 (as received from source)"
 REVCD77                      "Revenue code 77 (as received from source)"
 REVCD78                      "Revenue code 78 (as received from source)"
 REVCD79                      "Revenue code 79 (as received from source)"
 REVCD80                      "Revenue code 80 (as received from source)"
 REVCD81                      "Revenue code 81 (as received from source)"
 REVCD82                      "Revenue code 82 (as received from source)"
 REVCD83                      "Revenue code 83 (as received from source)"
 REVCD84                      "Revenue code 84 (as received from source)"
 REVCD85                      "Revenue code 85 (as received from source)"
 REVCD86                      "Revenue code 86 (as received from source)"
 REVCD87                      "Revenue code 87 (as received from source)"
 REVCD88                      "Revenue code 88 (as received from source)"
 REVCD89                      "Revenue code 89 (as received from source)"
 REVCD90                      "Revenue code 90 (as received from source)"
 REVCD91                      "Revenue code 91 (as received from source)"
 REVCD92                      "Revenue code 92 (as received from source)"
 REVCD93                      "Revenue code 93 (as received from source)"
 REVCD94                      "Revenue code 94 (as received from source)"
 REVCD95                      "Revenue code 95 (as received from source)"
 REVCD96                      "Revenue code 96 (as received from source)"
 REVCD97                      "Revenue code 97 (as received from source)"
 REVCD98                      "Revenue code 98 (as received from source)"
 REVCD99                      "Revenue code 99 (as received from source)"
 REVCD100                     "Revenue code 100 (as received from source)"
 REVCD101                     "Revenue code 101 (as received from source)"
 REVCD102                     "Revenue code 102 (as received from source)"
 REVCD103                     "Revenue code 103 (as received from source)"
 REVCD104                     "Revenue code 104 (as received from source)"
 REVCD105                     "Revenue code 105 (as received from source)"
 REVCD106                     "Revenue code 106 (as received from source)"
 REVCD107                     "Revenue code 107 (as received from source)"
 REVCD108                     "Revenue code 108 (as received from source)"
 REVCD109                     "Revenue code 109 (as received from source)"
 REVCD110                     "Revenue code 110 (as received from source)"
 REVCD111                     "Revenue code 111 (as received from source)"
 REVCD112                     "Revenue code 112 (as received from source)"
 REVCD113                     "Revenue code 113 (as received from source)"
 REVCD114                     "Revenue code 114 (as received from source)"
 REVCD115                     "Revenue code 115 (as received from source)"
 REVCD116                     "Revenue code 116 (as received from source)"
 REVCD117                     "Revenue code 117 (as received from source)"
 REVCD118                     "Revenue code 118 (as received from source)"
 REVCD119                     "Revenue code 119 (as received from source)"
 REVCHG1                      "Detailed charges for revenue code 1 (as received from source)"
 REVCHG2                      "Detailed charges for revenue code 2 (as received from source)"
 REVCHG3                      "Detailed charges for revenue code 3 (as received from source)"
 REVCHG4                      "Detailed charges for revenue code 4 (as received from source)"
 REVCHG5                      "Detailed charges for revenue code 5 (as received from source)"
 REVCHG6                      "Detailed charges for revenue code 6 (as received from source)"
 REVCHG7                      "Detailed charges for revenue code 7 (as received from source)"
 REVCHG8                      "Detailed charges for revenue code 8 (as received from source)"
 REVCHG9                      "Detailed charges for revenue code 9 (as received from source)"
 REVCHG10                     "Detailed charges for revenue code 10 (as received from source)"
 REVCHG11                     "Detailed charges for revenue code 11 (as received from source)"
 REVCHG12                     "Detailed charges for revenue code 12 (as received from source)"
 REVCHG13                     "Detailed charges for revenue code 13 (as received from source)"
 REVCHG14                     "Detailed charges for revenue code 14 (as received from source)"
 REVCHG15                     "Detailed charges for revenue code 15 (as received from source)"
 REVCHG16                     "Detailed charges for revenue code 16 (as received from source)"
 REVCHG17                     "Detailed charges for revenue code 17 (as received from source)"
 REVCHG18                     "Detailed charges for revenue code 18 (as received from source)"
 REVCHG19                     "Detailed charges for revenue code 19 (as received from source)"
 REVCHG20                     "Detailed charges for revenue code 20 (as received from source)"
 REVCHG21                     "Detailed charges for revenue code 21 (as received from source)"
 REVCHG22                     "Detailed charges for revenue code 22 (as received from source)"
 REVCHG23                     "Detailed charges for revenue code 23 (as received from source)"
 REVCHG24                     "Detailed charges for revenue code 24 (as received from source)"
 REVCHG25                     "Detailed charges for revenue code 25 (as received from source)"
 REVCHG26                     "Detailed charges for revenue code 26 (as received from source)"
 REVCHG27                     "Detailed charges for revenue code 27 (as received from source)"
 REVCHG28                     "Detailed charges for revenue code 28 (as received from source)"
 REVCHG29                     "Detailed charges for revenue code 29 (as received from source)"
 REVCHG30                     "Detailed charges for revenue code 30 (as received from source)"
 REVCHG31                     "Detailed charges for revenue code 31 (as received from source)"
 REVCHG32                     "Detailed charges for revenue code 32 (as received from source)"
 REVCHG33                     "Detailed charges for revenue code 33 (as received from source)"
 REVCHG34                     "Detailed charges for revenue code 34 (as received from source)"
 REVCHG35                     "Detailed charges for revenue code 35 (as received from source)"
 REVCHG36                     "Detailed charges for revenue code 36 (as received from source)"
 REVCHG37                     "Detailed charges for revenue code 37 (as received from source)"
 REVCHG38                     "Detailed charges for revenue code 38 (as received from source)"
 REVCHG39                     "Detailed charges for revenue code 39 (as received from source)"
 REVCHG40                     "Detailed charges for revenue code 40 (as received from source)"
 REVCHG41                     "Detailed charges for revenue code 41 (as received from source)"
 REVCHG42                     "Detailed charges for revenue code 42 (as received from source)"
 REVCHG43                     "Detailed charges for revenue code 43 (as received from source)"
 REVCHG44                     "Detailed charges for revenue code 44 (as received from source)"
 REVCHG45                     "Detailed charges for revenue code 45 (as received from source)"
 REVCHG46                     "Detailed charges for revenue code 46 (as received from source)"
 REVCHG47                     "Detailed charges for revenue code 47 (as received from source)"
 REVCHG48                     "Detailed charges for revenue code 48 (as received from source)"
 REVCHG49                     "Detailed charges for revenue code 49 (as received from source)"
 REVCHG50                     "Detailed charges for revenue code 50 (as received from source)"
 REVCHG51                     "Detailed charges for revenue code 51 (as received from source)"
 REVCHG52                     "Detailed charges for revenue code 52 (as received from source)"
 REVCHG53                     "Detailed charges for revenue code 53 (as received from source)"
 REVCHG54                     "Detailed charges for revenue code 54 (as received from source)"
 REVCHG55                     "Detailed charges for revenue code 55 (as received from source)"
 REVCHG56                     "Detailed charges for revenue code 56 (as received from source)"
 REVCHG57                     "Detailed charges for revenue code 57 (as received from source)"
 REVCHG58                     "Detailed charges for revenue code 58 (as received from source)"
 REVCHG59                     "Detailed charges for revenue code 59 (as received from source)"
 REVCHG60                     "Detailed charges for revenue code 60 (as received from source)"
 REVCHG61                     "Detailed charges for revenue code 61 (as received from source)"
 REVCHG62                     "Detailed charges for revenue code 62 (as received from source)"
 REVCHG63                     "Detailed charges for revenue code 63 (as received from source)"
 REVCHG64                     "Detailed charges for revenue code 64 (as received from source)"
 REVCHG65                     "Detailed charges for revenue code 65 (as received from source)"
 REVCHG66                     "Detailed charges for revenue code 66 (as received from source)"
 REVCHG67                     "Detailed charges for revenue code 67 (as received from source)"
 REVCHG68                     "Detailed charges for revenue code 68 (as received from source)"
 REVCHG69                     "Detailed charges for revenue code 69 (as received from source)"
 REVCHG70                     "Detailed charges for revenue code 70 (as received from source)"
 REVCHG71                     "Detailed charges for revenue code 71 (as received from source)"
 REVCHG72                     "Detailed charges for revenue code 72 (as received from source)"
 REVCHG73                     "Detailed charges for revenue code 73 (as received from source)"
 REVCHG74                     "Detailed charges for revenue code 74 (as received from source)"
 REVCHG75                     "Detailed charges for revenue code 75 (as received from source)"
 REVCHG76                     "Detailed charges for revenue code 76 (as received from source)"
 REVCHG77                     "Detailed charges for revenue code 77 (as received from source)"
 REVCHG78                     "Detailed charges for revenue code 78 (as received from source)"
 REVCHG79                     "Detailed charges for revenue code 79 (as received from source)"
 REVCHG80                     "Detailed charges for revenue code 80 (as received from source)"
 REVCHG81                     "Detailed charges for revenue code 81 (as received from source)"
 REVCHG82                     "Detailed charges for revenue code 82 (as received from source)"
 REVCHG83                     "Detailed charges for revenue code 83 (as received from source)"
 REVCHG84                     "Detailed charges for revenue code 84 (as received from source)"
 REVCHG85                     "Detailed charges for revenue code 85 (as received from source)"
 REVCHG86                     "Detailed charges for revenue code 86 (as received from source)"
 REVCHG87                     "Detailed charges for revenue code 87 (as received from source)"
 REVCHG88                     "Detailed charges for revenue code 88 (as received from source)"
 REVCHG89                     "Detailed charges for revenue code 89 (as received from source)"
 REVCHG90                     "Detailed charges for revenue code 90 (as received from source)"
 REVCHG91                     "Detailed charges for revenue code 91 (as received from source)"
 REVCHG92                     "Detailed charges for revenue code 92 (as received from source)"
 REVCHG93                     "Detailed charges for revenue code 93 (as received from source)"
 REVCHG94                     "Detailed charges for revenue code 94 (as received from source)"
 REVCHG95                     "Detailed charges for revenue code 95 (as received from source)"
 REVCHG96                     "Detailed charges for revenue code 96 (as received from source)"
 REVCHG97                     "Detailed charges for revenue code 97 (as received from source)"
 REVCHG98                     "Detailed charges for revenue code 98 (as received from source)"
 REVCHG99                     "Detailed charges for revenue code 99 (as received from source)"
 REVCHG100                    "Detailed charges for revenue code 100 (as received from source)"
 REVCHG101                    "Detailed charges for revenue code 101 (as received from source)"
 REVCHG102                    "Detailed charges for revenue code 102 (as received from source)"
 REVCHG103                    "Detailed charges for revenue code 103 (as received from source)"
 REVCHG104                    "Detailed charges for revenue code 104 (as received from source)"
 REVCHG105                    "Detailed charges for revenue code 105 (as received from source)"
 REVCHG106                    "Detailed charges for revenue code 106 (as received from source)"
 REVCHG107                    "Detailed charges for revenue code 107 (as received from source)"
 REVCHG108                    "Detailed charges for revenue code 108 (as received from source)"
 REVCHG109                    "Detailed charges for revenue code 109 (as received from source)"
 REVCHG110                    "Detailed charges for revenue code 110 (as received from source)"
 REVCHG111                    "Detailed charges for revenue code 111 (as received from source)"
 REVCHG112                    "Detailed charges for revenue code 112 (as received from source)"
 REVCHG113                    "Detailed charges for revenue code 113 (as received from source)"
 REVCHG114                    "Detailed charges for revenue code 114 (as received from source)"
 REVCHG115                    "Detailed charges for revenue code 115 (as received from source)"
 REVCHG116                    "Detailed charges for revenue code 116 (as received from source)"
 REVCHG117                    "Detailed charges for revenue code 117 (as received from source)"
 REVCHG118                    "Detailed charges for revenue code 118 (as received from source)"
 REVCHG119                    "Detailed charges for revenue code 119 (as received from source)"
 UNIT1                        "Units of service 1 (as received from source)"
 UNIT2                        "Units of service 2 (as received from source)"
 UNIT3                        "Units of service 3 (as received from source)"
 UNIT4                        "Units of service 4 (as received from source)"
 UNIT5                        "Units of service 5 (as received from source)"
 UNIT6                        "Units of service 6 (as received from source)"
 UNIT7                        "Units of service 7 (as received from source)"
 UNIT8                        "Units of service 8 (as received from source)"
 UNIT9                        "Units of service 9 (as received from source)"
 UNIT10                       "Units of service 10 (as received from source)"
 UNIT11                       "Units of service 11 (as received from source)"
 UNIT12                       "Units of service 12 (as received from source)"
 UNIT13                       "Units of service 13 (as received from source)"
 UNIT14                       "Units of service 14 (as received from source)"
 UNIT15                       "Units of service 15 (as received from source)"
 UNIT16                       "Units of service 16 (as received from source)"
 UNIT17                       "Units of service 17 (as received from source)"
 UNIT18                       "Units of service 18 (as received from source)"
 UNIT19                       "Units of service 19 (as received from source)"
 UNIT20                       "Units of service 20 (as received from source)"
 UNIT21                       "Units of service 21 (as received from source)"
 UNIT22                       "Units of service 22 (as received from source)"
 UNIT23                       "Units of service 23 (as received from source)"
 UNIT24                       "Units of service 24 (as received from source)"
 UNIT25                       "Units of service 25 (as received from source)"
 UNIT26                       "Units of service 26 (as received from source)"
 UNIT27                       "Units of service 27 (as received from source)"
 UNIT28                       "Units of service 28 (as received from source)"
 UNIT29                       "Units of service 29 (as received from source)"
 UNIT30                       "Units of service 30 (as received from source)"
 UNIT31                       "Units of service 31 (as received from source)"
 UNIT32                       "Units of service 32 (as received from source)"
 UNIT33                       "Units of service 33 (as received from source)"
 UNIT34                       "Units of service 34 (as received from source)"
 UNIT35                       "Units of service 35 (as received from source)"
 UNIT36                       "Units of service 36 (as received from source)"
 UNIT37                       "Units of service 37 (as received from source)"
 UNIT38                       "Units of service 38 (as received from source)"
 UNIT39                       "Units of service 39 (as received from source)"
 UNIT40                       "Units of service 40 (as received from source)"
 UNIT41                       "Units of service 41 (as received from source)"
 UNIT42                       "Units of service 42 (as received from source)"
 UNIT43                       "Units of service 43 (as received from source)"
 UNIT44                       "Units of service 44 (as received from source)"
 UNIT45                       "Units of service 45 (as received from source)"
 UNIT46                       "Units of service 46 (as received from source)"
 UNIT47                       "Units of service 47 (as received from source)"
 UNIT48                       "Units of service 48 (as received from source)"
 UNIT49                       "Units of service 49 (as received from source)"
 UNIT50                       "Units of service 50 (as received from source)"
 UNIT51                       "Units of service 51 (as received from source)"
 UNIT52                       "Units of service 52 (as received from source)"
 UNIT53                       "Units of service 53 (as received from source)"
 UNIT54                       "Units of service 54 (as received from source)"
 UNIT55                       "Units of service 55 (as received from source)"
 UNIT56                       "Units of service 56 (as received from source)"
 UNIT57                       "Units of service 57 (as received from source)"
 UNIT58                       "Units of service 58 (as received from source)"
 UNIT59                       "Units of service 59 (as received from source)"
 UNIT60                       "Units of service 60 (as received from source)"
 UNIT61                       "Units of service 61 (as received from source)"
 UNIT62                       "Units of service 62 (as received from source)"
 UNIT63                       "Units of service 63 (as received from source)"
 UNIT64                       "Units of service 64 (as received from source)"
 UNIT65                       "Units of service 65 (as received from source)"
 UNIT66                       "Units of service 66 (as received from source)"
 UNIT67                       "Units of service 67 (as received from source)"
 UNIT68                       "Units of service 68 (as received from source)"
 UNIT69                       "Units of service 69 (as received from source)"
 UNIT70                       "Units of service 70 (as received from source)"
 UNIT71                       "Units of service 71 (as received from source)"
 UNIT72                       "Units of service 72 (as received from source)"
 UNIT73                       "Units of service 73 (as received from source)"
 UNIT74                       "Units of service 74 (as received from source)"
 UNIT75                       "Units of service 75 (as received from source)"
 UNIT76                       "Units of service 76 (as received from source)"
 UNIT77                       "Units of service 77 (as received from source)"
 UNIT78                       "Units of service 78 (as received from source)"
 UNIT79                       "Units of service 79 (as received from source)"
 UNIT80                       "Units of service 80 (as received from source)"
 UNIT81                       "Units of service 81 (as received from source)"
 UNIT82                       "Units of service 82 (as received from source)"
 UNIT83                       "Units of service 83 (as received from source)"
 UNIT84                       "Units of service 84 (as received from source)"
 UNIT85                       "Units of service 85 (as received from source)"
 UNIT86                       "Units of service 86 (as received from source)"
 UNIT87                       "Units of service 87 (as received from source)"
 UNIT88                       "Units of service 88 (as received from source)"
 UNIT89                       "Units of service 89 (as received from source)"
 UNIT90                       "Units of service 90 (as received from source)"
 UNIT91                       "Units of service 91 (as received from source)"
 UNIT92                       "Units of service 92 (as received from source)"
 UNIT93                       "Units of service 93 (as received from source)"
 UNIT94                       "Units of service 94 (as received from source)"
 UNIT95                       "Units of service 95 (as received from source)"
 UNIT96                       "Units of service 96 (as received from source)"
 UNIT97                       "Units of service 97 (as received from source)"
 UNIT98                       "Units of service 98 (as received from source)"
 UNIT99                       "Units of service 99 (as received from source)"
 UNIT100                      "Units of service 100 (as received from source)"
 UNIT101                      "Units of service 101 (as received from source)"
 UNIT102                      "Units of service 102 (as received from source)"
 UNIT103                      "Units of service 103 (as received from source)"
 UNIT104                      "Units of service 104 (as received from source)"
 UNIT105                      "Units of service 105 (as received from source)"
 UNIT106                      "Units of service 106 (as received from source)"
 UNIT107                      "Units of service 107 (as received from source)"
 UNIT108                      "Units of service 108 (as received from source)"
 UNIT109                      "Units of service 109 (as received from source)"
 UNIT110                      "Units of service 110 (as received from source)"
 UNIT111                      "Units of service 111 (as received from source)"
 UNIT112                      "Units of service 112 (as received from source)"
 UNIT113                      "Units of service 113 (as received from source)"
 UNIT114                      "Units of service 114 (as received from source)"
 UNIT115                      "Units of service 115 (as received from source)"
 UNIT116                      "Units of service 116 (as received from source)"
 UNIT117                      "Units of service 117 (as received from source)"
 UNIT118                      "Units of service 118 (as received from source)"
 UNIT119                      "Units of service 119 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE NREVCD
 (-99,-88,-66,-55=SYSMIS).
RECODE REVCHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG45
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG46
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG47
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG48
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG49
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG50
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG51
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG52
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG53
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG54
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG55
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG56
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG57
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG58
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG59
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG60
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG61
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG62
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG63
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG64
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG65
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG66
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG67
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG68
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG69
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG70
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG71
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG72
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG73
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG74
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG75
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG76
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG77
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG78
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG79
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG80
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG81
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG82
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG83
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG84
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG85
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG86
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG87
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG88
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG89
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG90
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG91
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG92
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG93
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG94
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG95
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG96
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG97
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG98
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG99
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG100
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG101
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG102
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG103
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG104
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG105
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG106
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG107
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG108
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG109
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG110
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG111
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG112
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG113
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG114
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG115
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG116
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG117
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG118
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG119
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT2
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT3
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT4
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT5
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT6
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT7
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT8
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT9
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT10
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT11
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT12
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT13
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT14
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT15
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT16
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT17
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT18
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT19
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT20
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT21
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT22
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT23
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT24
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT25
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT26
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT27
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT28
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT29
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT30
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT31
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT32
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT33
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT34
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT35
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT36
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT37
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT38
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT39
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT40
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT41
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT42
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT43
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT44
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT45
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT46
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT47
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT48
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT49
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT50
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT51
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT52
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT53
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT54
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT55
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT56
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT57
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT58
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT59
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT60
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT61
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT62
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT63
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT64
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT65
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT66
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT67
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT68
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT69
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT70
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT71
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT72
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT73
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT74
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT75
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT76
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT77
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT78
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT79
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT80
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT81
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT82
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT83
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT84
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT85
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT86
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT87
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT88
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT89
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT90
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT91
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT92
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT93
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT94
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT95
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT96
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT97
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT98
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT99
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT100
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT101
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT102
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT103
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT104
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT105
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT106
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT107
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT108
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT109
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT110
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT111
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT112
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT113
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT114
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT115
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT116
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT117
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT118
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT119
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).



SAVE OUTFILE = 'WV_SID_2017_CHGS.SAV' /COMPRESSED.
