/*******************************************************************
* Creation Date: 08/18/2022   
*   GA_SID_2020_DX_PR_GRPS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY DX_PR_GRPS FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'GA_SID_2020_DX_PR_GRPS.ASC' FIXED SKIP=2 / 
 CMR_AIDS                        1-   2
 CMR_ALCOHOL                     3-   4
 CMR_ANEMDEF                     5-   6
 CMR_ARTH                        7-   8
 CMR_BLDLOSS                     9-  10
 CMR_CANCER_LEUK                11-  12
 CMR_CANCER_LYMPH               13-  14
 CMR_CANCER_METS                15-  16
 CMR_CANCER_NSITU               17-  18
 CMR_CANCER_SOLID               19-  20
 CMR_CBVD                       21-  22
 CMR_CHF                        23-  24
 CMR_COAG                       25-  26
 CMR_DEMENTIA                   27-  28
 CMR_DEPRESS                    29-  30
 CMR_DIAB_CX                    31-  32
 CMR_DIAB_UNCX                  33-  34
 CMR_DRUG_ABUSE                 35-  36
 CMR_HTN_CX                     37-  38
 CMR_HTN_UNCX                   39-  40
 CMR_LIVER_MLD                  41-  42
 CMR_LIVER_SEV                  43-  44
 CMR_LUNG_CHRONIC               45-  46
 CMR_NEURO_MOVT                 47-  48
 CMR_NEURO_OTH                  49-  50
 CMR_NEURO_SEIZ                 51-  52
 CMR_OBESE                      53-  54
 CMR_PARALYSIS                  55-  56
 CMR_PERIVASC                   57-  58
 CMR_PSYCHOSES                  59-  60
 CMR_PULMCIRC                   61-  62
 CMR_RENLFL_MOD                 63-  64
 CMR_RENLFL_SEV                 65-  66
 CMR_THYROID_HYPO               67-  68
 CMR_THYROID_OTH                69-  70
 CMR_ULCER_PEPTIC               71-  72
 CMR_VALVE                      73-  74
 CMR_VERSION                    75-  80 (A)
 CMR_WGHTLOSS                   81-  82
 I10_INJURY                     83-  84
 I10_INJURY_CUT                 85-  86
 I10_INJURY_DROWN               87-  88
 I10_INJURY_FALL                89-  90
 I10_INJURY_FIRE                91-  92
 I10_INJURY_FIREARM             93-  94
 I10_INJURY_MACHINERY           95-  96
 I10_INJURY_MVT                 97-  98
 I10_INJURY_NATURE              99- 100
 I10_INJURY_OVEREXERTION       101- 102
 I10_INJURY_POISON             103- 104
 I10_INJURY_STRUCK             105- 106
 I10_INJURY_SUFFOCATION        107- 108
 I10_INTENT_ASSAULT            109- 110
 I10_INTENT_SELF_HARM          111- 112
 I10_INTENT_UNINTENTIONAL      113- 114
 I10_MULTINJURY                115- 116
 KEY                           117- 131
 PCLASS_VERSION                132- 137 (A)
 PCLASS1                       138- 139
 PCLASS2                       140- 141
 PCLASS3                       142- 143
 PCLASS4                       144- 145
 PCLASS5                       146- 147
 PCLASS6                       148- 149
 PCLASS7                       150- 151
 PCLASS8                       152- 153
 PCLASS9                       154- 155
 PCLASS10                      156- 157
 PCLASS11                      158- 159
 PCLASS12                      160- 161
 PCLASS13                      162- 163
 PCLASS14                      164- 165
 PCLASS15                      166- 167
 PCLASS16                      168- 169
 PCLASS17                      170- 171
 PCLASS18                      172- 173
 PCLASS19                      174- 175
 PCLASS20                      176- 177
 PCLASS21                      178- 179
 PCLASS22                      180- 181
 PCLASS23                      182- 183
 PCLASS24                      184- 185
 PCLASS25                      186- 187
 PCLASS26                      188- 189
 PCLASS27                      190- 191
 PCLASS28                      192- 193
 PCLASS29                      194- 195
 PCLASS30                      196- 197
 PCLASS31                      198- 199
 PCLASS32                      200- 201
 PCLASS33                      202- 203
 PCLASS34                      204- 205
 PCLASS35                      206- 207
 PCLASS36                      208- 209
 PCLASS37                      210- 211
 PCLASS38                      212- 213
 PCLASS39                      214- 215
 PCLASS40                      216- 217
 PCLASS41                      218- 219
 PCLASS42                      220- 221
 PCLASS43                      222- 223
 PCLASS44                      224- 225
 PCLASS45                      226- 227
 PCLASS46                      228- 229
 PCLASS47                      230- 231
 PCLASS48                      232- 233
 PCLASS49                      234- 235
 PCLASS50                      236- 237
 PCLASS51                      238- 239
 PCLASS52                      240- 241
 PCLASS53                      242- 243
 PCLASS54                      244- 245
 PCLASS55                      246- 247
 PCLASS56                      248- 249
 PCLASS57                      250- 251
 PCLASS58                      252- 253
 PCLASS59                      254- 255
 PCLASS60                      256- 257
 PCLASS61                      258- 259
 PCLASS62                      260- 261
 PCLASS63                      262- 263
 PCLASS64                      264- 265
 PCLASS65                      266- 267
 PCLASS66                      268- 269
 PCLASS67                      270- 271
 PCLASS68                      272- 273
 PCLASS69                      274- 275
 PCLASS70                      276- 277
 PCLASS71                      278- 279
 PCLASS72                      280- 281
 PCLASS73                      282- 283
 PCLASS74                      284- 285
 PCLASS75                      286- 287
 PCLASS76                      288- 289
 PCLASS77                      290- 291
 PCLASS78                      292- 293
 PCLASS79                      294- 295
 PCLASS80                      296- 297
 PCLASS81                      298- 299
 PCLASS82                      300- 301
 PCLASS83                      302- 303
 PCLASS84                      304- 305
 PCLASS85                      306- 307
 PCLASS86                      308- 309
 PCLASS87                      310- 311
 PCLASS88                      312- 313
 PCLASS89                      314- 315
 PCLASS90                      316- 317
 PCLASS91                      318- 319
 PCLASS92                      320- 321
 PCLASS93                      322- 323
 PCLASS94                      324- 325
 PCLASS95                      326- 327
 PCLASS96                      328- 329
 PCLASS97                      330- 331
 PCLASS98                      332- 333
 PCLASS99                      334- 335
 PCLASS100                     336- 337
 PCLASS101                     338- 339
 PCLASS102                     340- 341
 PCLASS103                     342- 343
 PCLASS104                     344- 345
 PCLASS105                     346- 347
 PCLASS106                     348- 349
 PCLASS107                     350- 351
 PCLASS108                     352- 353
 PCLASS109                     354- 355
 PCLASS110                     356- 357
 PCLASS111                     358- 359
 PCLASS112                     360- 361
 PCLASS113                     362- 363
 PCLASS114                     364- 365
 PCLASS115                     366- 367
 PCLASS116                     368- 369
 PCLASS117                     370- 371
 PCLASS118                     372- 373
 PCLASS119                     374- 375
 PCLASS120                     376- 377
 PCLASS121                     378- 379
 PCLASS122                     380- 381
 PCLASS123                     382- 383
 PCLASS124                     384- 385
 PCLASS125                     386- 387
 PCLASS126                     388- 389
 PCLASS127                     390- 391
 PCLASS128                     392- 393
 PCLASS129                     394- 395
 PCLASS130                     396- 397
 PCLASS131                     398- 399
 PCLASS132                     400- 401
 PCLASS133                     402- 403
 PCLASS134                     404- 405
 PCLASS135                     406- 407
 PCLASS136                     408- 409
 PCLASS137                     410- 411
 PCLASS138                     412- 413
 PCLASS139                     414- 415
 PCLASS140                     416- 417
 PCLASS141                     418- 419
 PCLASS142                     420- 421
 PCLASS143                     422- 423
 PCLASS144                     424- 425
 PCLASS145                     426- 427
 PCLASS146                     428- 429
 PCLASS147                     430- 431
 PCLASS148                     432- 433
 PCLASS149                     434- 435
 PCLASS150                     436- 437
 PCLASS151                     438- 439
 PCLASS152                     440- 441
 PCLASS153                     442- 443
 PCLASS154                     444- 445
 PCLASS155                     446- 447
 PCLASS156                     448- 449
 PCLASS157                     450- 451
 PCLASS158                     452- 453
 PCLASS159                     454- 455
 PCLASS160                     456- 457
 PCLASS161                     458- 459
 PCLASS162                     460- 461
 PCLASS163                     462- 463
 PCLASS164                     464- 465
 PCLASS165                     466- 467
 PCLASS166                     468- 469
 PCLASS167                     470- 471
 PCLASS168                     472- 473
 PCLASS169                     474- 475
 PCLASS170                     476- 477
 PCLASS171                     478- 479
 PCLASS172                     480- 481
 PCLASS173                     482- 483
 PCLASS174                     484- 485
 PCLASS175                     486- 487
 PCLASS176                     488- 489
 PCLASS177                     490- 491
 PCLASS178                     492- 493
 PCLASS179                     494- 495
 PCLASS180                     496- 497
 PCLASS181                     498- 499
 PCLASS182                     500- 501
 PCLASS183                     502- 503
 PCLASS184                     504- 505
 PCLASS185                     506- 507
 PCLASS186                     508- 509
 PCLASS187                     510- 511
 PCLASS188                     512- 513
 PCLASS189                     514- 515
 PCLASS190                     516- 517
 PCLASS191                     518- 519
 PCLASS192                     520- 521
 PCLASS193                     522- 523
 PCLASS194                     524- 525
 PCLASS195                     526- 527
 PCLASS196                     528- 529
 PCLASS197                     530- 531
 PCLASS198                     532- 533
 PCLASS199                     534- 535
 PCLASS200                     536- 537
 DXCCSR_Default_DX1            538- 543 (A)
 DXCCSR_BLD001                 544- 546
 DXCCSR_BLD002                 547- 549
 DXCCSR_BLD003                 550- 552
 DXCCSR_BLD004                 553- 555
 DXCCSR_BLD005                 556- 558
 DXCCSR_BLD006                 559- 561
 DXCCSR_BLD007                 562- 564
 DXCCSR_BLD008                 565- 567
 DXCCSR_BLD009                 568- 570
 DXCCSR_BLD010                 571- 573
 DXCCSR_CIR001                 574- 576
 DXCCSR_CIR002                 577- 579
 DXCCSR_CIR003                 580- 582
 DXCCSR_CIR004                 583- 585
 DXCCSR_CIR005                 586- 588
 DXCCSR_CIR006                 589- 591
 DXCCSR_CIR007                 592- 594
 DXCCSR_CIR008                 595- 597
 DXCCSR_CIR009                 598- 600
 DXCCSR_CIR010                 601- 603
 DXCCSR_CIR011                 604- 606
 DXCCSR_CIR012                 607- 609
 DXCCSR_CIR013                 610- 612
 DXCCSR_CIR014                 613- 615
 DXCCSR_CIR015                 616- 618
 DXCCSR_CIR016                 619- 621
 DXCCSR_CIR017                 622- 624
 DXCCSR_CIR018                 625- 627
 DXCCSR_CIR019                 628- 630
 DXCCSR_CIR020                 631- 633
 DXCCSR_CIR021                 634- 636
 DXCCSR_CIR022                 637- 639
 DXCCSR_CIR023                 640- 642
 DXCCSR_CIR024                 643- 645
 DXCCSR_CIR025                 646- 648
 DXCCSR_CIR026                 649- 651
 DXCCSR_CIR027                 652- 654
 DXCCSR_CIR028                 655- 657
 DXCCSR_CIR029                 658- 660
 DXCCSR_CIR030                 661- 663
 DXCCSR_CIR031                 664- 666
 DXCCSR_CIR032                 667- 669
 DXCCSR_CIR033                 670- 672
 DXCCSR_CIR034                 673- 675
 DXCCSR_CIR035                 676- 678
 DXCCSR_CIR036                 679- 681
 DXCCSR_CIR037                 682- 684
 DXCCSR_CIR038                 685- 687
 DXCCSR_CIR039                 688- 690
 DXCCSR_DIG001                 691- 693
 DXCCSR_DIG002                 694- 696
 DXCCSR_DIG003                 697- 699
 DXCCSR_DIG004                 700- 702
 DXCCSR_DIG005                 703- 705
 DXCCSR_DIG006                 706- 708
 DXCCSR_DIG007                 709- 711
 DXCCSR_DIG008                 712- 714
 DXCCSR_DIG009                 715- 717
 DXCCSR_DIG010                 718- 720
 DXCCSR_DIG011                 721- 723
 DXCCSR_DIG012                 724- 726
 DXCCSR_DIG013                 727- 729
 DXCCSR_DIG014                 730- 732
 DXCCSR_DIG015                 733- 735
 DXCCSR_DIG016                 736- 738
 DXCCSR_DIG017                 739- 741
 DXCCSR_DIG018                 742- 744
 DXCCSR_DIG019                 745- 747
 DXCCSR_DIG020                 748- 750
 DXCCSR_DIG021                 751- 753
 DXCCSR_DIG022                 754- 756
 DXCCSR_DIG023                 757- 759
 DXCCSR_DIG024                 760- 762
 DXCCSR_DIG025                 763- 765
 DXCCSR_EAR001                 766- 768
 DXCCSR_EAR002                 769- 771
 DXCCSR_EAR003                 772- 774
 DXCCSR_EAR004                 775- 777
 DXCCSR_EAR005                 778- 780
 DXCCSR_EAR006                 781- 783
 DXCCSR_END001                 784- 786
 DXCCSR_END002                 787- 789
 DXCCSR_END003                 790- 792
 DXCCSR_END004                 793- 795
 DXCCSR_END005                 796- 798
 DXCCSR_END006                 799- 801
 DXCCSR_END007                 802- 804
 DXCCSR_END008                 805- 807
 DXCCSR_END009                 808- 810
 DXCCSR_END010                 811- 813
 DXCCSR_END011                 814- 816
 DXCCSR_END012                 817- 819
 DXCCSR_END013                 820- 822
 DXCCSR_END014                 823- 825
 DXCCSR_END015                 826- 828
 DXCCSR_END016                 829- 831
 DXCCSR_END017                 832- 834
 DXCCSR_EXT001                 835- 837
 DXCCSR_EXT002                 838- 840
 DXCCSR_EXT003                 841- 843
 DXCCSR_EXT004                 844- 846
 DXCCSR_EXT005                 847- 849
 DXCCSR_EXT006                 850- 852
 DXCCSR_EXT007                 853- 855
 DXCCSR_EXT008                 856- 858
 DXCCSR_EXT009                 859- 861
 DXCCSR_EXT010                 862- 864
 DXCCSR_EXT011                 865- 867
 DXCCSR_EXT012                 868- 870
 DXCCSR_EXT013                 871- 873
 DXCCSR_EXT014                 874- 876
 DXCCSR_EXT015                 877- 879
 DXCCSR_EXT016                 880- 882
 DXCCSR_EXT017                 883- 885
 DXCCSR_EXT018                 886- 888
 DXCCSR_EXT019                 889- 891
 DXCCSR_EXT020                 892- 894
 DXCCSR_EXT021                 895- 897
 DXCCSR_EXT022                 898- 900
 DXCCSR_EXT023                 901- 903
 DXCCSR_EXT024                 904- 906
 DXCCSR_EXT025                 907- 909
 DXCCSR_EXT026                 910- 912
 DXCCSR_EXT027                 913- 915
 DXCCSR_EXT028                 916- 918
 DXCCSR_EXT029                 919- 921
 DXCCSR_EXT030                 922- 924
 DXCCSR_EYE001                 925- 927
 DXCCSR_EYE002                 928- 930
 DXCCSR_EYE003                 931- 933
 DXCCSR_EYE004                 934- 936
 DXCCSR_EYE005                 937- 939
 DXCCSR_EYE006                 940- 942
 DXCCSR_EYE007                 943- 945
 DXCCSR_EYE008                 946- 948
 DXCCSR_EYE009                 949- 951
 DXCCSR_EYE010                 952- 954
 DXCCSR_EYE011                 955- 957
 DXCCSR_EYE012                 958- 960
 DXCCSR_FAC001                 961- 963
 DXCCSR_FAC002                 964- 966
 DXCCSR_FAC003                 967- 969
 DXCCSR_FAC004                 970- 972
 DXCCSR_FAC005                 973- 975
 DXCCSR_FAC006                 976- 978
 DXCCSR_FAC007                 979- 981
 DXCCSR_FAC008                 982- 984
 DXCCSR_FAC009                 985- 987
 DXCCSR_FAC010                 988- 990
 DXCCSR_FAC011                 991- 993
 DXCCSR_FAC012                 994- 996
 DXCCSR_FAC013                 997- 999
 DXCCSR_FAC014                1000-1002
 DXCCSR_FAC015                1003-1005
 DXCCSR_FAC016                1006-1008
 DXCCSR_FAC017                1009-1011
 DXCCSR_FAC018                1012-1014
 DXCCSR_FAC019                1015-1017
 DXCCSR_FAC020                1018-1020
 DXCCSR_FAC021                1021-1023
 DXCCSR_FAC022                1024-1026
 DXCCSR_FAC023                1027-1029
 DXCCSR_FAC024                1030-1032
 DXCCSR_FAC025                1033-1035
 DXCCSR_GEN001                1036-1038
 DXCCSR_GEN002                1039-1041
 DXCCSR_GEN003                1042-1044
 DXCCSR_GEN004                1045-1047
 DXCCSR_GEN005                1048-1050
 DXCCSR_GEN006                1051-1053
 DXCCSR_GEN007                1054-1056
 DXCCSR_GEN008                1057-1059
 DXCCSR_GEN009                1060-1062
 DXCCSR_GEN010                1063-1065
 DXCCSR_GEN011                1066-1068
 DXCCSR_GEN012                1069-1071
 DXCCSR_GEN013                1072-1074
 DXCCSR_GEN014                1075-1077
 DXCCSR_GEN015                1078-1080
 DXCCSR_GEN016                1081-1083
 DXCCSR_GEN017                1084-1086
 DXCCSR_GEN018                1087-1089
 DXCCSR_GEN019                1090-1092
 DXCCSR_GEN020                1093-1095
 DXCCSR_GEN021                1096-1098
 DXCCSR_GEN022                1099-1101
 DXCCSR_GEN023                1102-1104
 DXCCSR_GEN024                1105-1107
 DXCCSR_GEN025                1108-1110
 DXCCSR_GEN026                1111-1113
 DXCCSR_INF001                1114-1116
 DXCCSR_INF002                1117-1119
 DXCCSR_INF003                1120-1122
 DXCCSR_INF004                1123-1125
 DXCCSR_INF005                1126-1128
 DXCCSR_INF006                1129-1131
 DXCCSR_INF007                1132-1134
 DXCCSR_INF008                1135-1137
 DXCCSR_INF009                1138-1140
 DXCCSR_INF010                1141-1143
 DXCCSR_INF011                1144-1146
 DXCCSR_INF012                1147-1149
 DXCCSR_INJ001                1150-1152
 DXCCSR_INJ002                1153-1155
 DXCCSR_INJ003                1156-1158
 DXCCSR_INJ004                1159-1161
 DXCCSR_INJ005                1162-1164
 DXCCSR_INJ006                1165-1167
 DXCCSR_INJ007                1168-1170
 DXCCSR_INJ008                1171-1173
 DXCCSR_INJ009                1174-1176
 DXCCSR_INJ010                1177-1179
 DXCCSR_INJ011                1180-1182
 DXCCSR_INJ012                1183-1185
 DXCCSR_INJ013                1186-1188
 DXCCSR_INJ014                1189-1191
 DXCCSR_INJ015                1192-1194
 DXCCSR_INJ016                1195-1197
 DXCCSR_INJ017                1198-1200
 DXCCSR_INJ018                1201-1203
 DXCCSR_INJ019                1204-1206
 DXCCSR_INJ020                1207-1209
 DXCCSR_INJ021                1210-1212
 DXCCSR_INJ022                1213-1215
 DXCCSR_INJ023                1216-1218
 DXCCSR_INJ024                1219-1221
 DXCCSR_INJ025                1222-1224
 DXCCSR_INJ026                1225-1227
 DXCCSR_INJ027                1228-1230
 DXCCSR_INJ028                1231-1233
 DXCCSR_INJ029                1234-1236
 DXCCSR_INJ030                1237-1239
 DXCCSR_INJ031                1240-1242
 DXCCSR_INJ032                1243-1245
 DXCCSR_INJ033                1246-1248
 DXCCSR_INJ034                1249-1251
 DXCCSR_INJ035                1252-1254
 DXCCSR_INJ036                1255-1257
 DXCCSR_INJ037                1258-1260
 DXCCSR_INJ038                1261-1263
 DXCCSR_INJ039                1264-1266
 DXCCSR_INJ040                1267-1269
 DXCCSR_INJ041                1270-1272
 DXCCSR_INJ042                1273-1275
 DXCCSR_INJ043                1276-1278
 DXCCSR_INJ044                1279-1281
 DXCCSR_INJ045                1282-1284
 DXCCSR_INJ046                1285-1287
 DXCCSR_INJ047                1288-1290
 DXCCSR_INJ048                1291-1293
 DXCCSR_INJ049                1294-1296
 DXCCSR_INJ050                1297-1299
 DXCCSR_INJ051                1300-1302
 DXCCSR_INJ052                1303-1305
 DXCCSR_INJ053                1306-1308
 DXCCSR_INJ054                1309-1311
 DXCCSR_INJ055                1312-1314
 DXCCSR_INJ056                1315-1317
 DXCCSR_INJ057                1318-1320
 DXCCSR_INJ058                1321-1323
 DXCCSR_INJ059                1324-1326
 DXCCSR_INJ060                1327-1329
 DXCCSR_INJ061                1330-1332
 DXCCSR_INJ062                1333-1335
 DXCCSR_INJ063                1336-1338
 DXCCSR_INJ064                1339-1341
 DXCCSR_INJ065                1342-1344
 DXCCSR_INJ066                1345-1347
 DXCCSR_INJ067                1348-1350
 DXCCSR_INJ068                1351-1353
 DXCCSR_INJ069                1354-1356
 DXCCSR_INJ070                1357-1359
 DXCCSR_INJ071                1360-1362
 DXCCSR_INJ072                1363-1365
 DXCCSR_INJ073                1366-1368
 DXCCSR_INJ074                1369-1371
 DXCCSR_INJ075                1372-1374
 DXCCSR_INJ076                1375-1377
 DXCCSR_MAL001                1378-1380
 DXCCSR_MAL002                1381-1383
 DXCCSR_MAL003                1384-1386
 DXCCSR_MAL004                1387-1389
 DXCCSR_MAL005                1390-1392
 DXCCSR_MAL006                1393-1395
 DXCCSR_MAL007                1396-1398
 DXCCSR_MAL008                1399-1401
 DXCCSR_MAL009                1402-1404
 DXCCSR_MAL010                1405-1407
 DXCCSR_MBD001                1408-1410
 DXCCSR_MBD002                1411-1413
 DXCCSR_MBD003                1414-1416
 DXCCSR_MBD004                1417-1419
 DXCCSR_MBD005                1420-1422
 DXCCSR_MBD006                1423-1425
 DXCCSR_MBD007                1426-1428
 DXCCSR_MBD008                1429-1431
 DXCCSR_MBD009                1432-1434
 DXCCSR_MBD010                1435-1437
 DXCCSR_MBD011                1438-1440
 DXCCSR_MBD012                1441-1443
 DXCCSR_MBD013                1444-1446
 DXCCSR_MBD014                1447-1449
 DXCCSR_MBD017                1450-1452
 DXCCSR_MBD018                1453-1455
 DXCCSR_MBD019                1456-1458
 DXCCSR_MBD020                1459-1461
 DXCCSR_MBD021                1462-1464
 DXCCSR_MBD022                1465-1467
 DXCCSR_MBD023                1468-1470
 DXCCSR_MBD024                1471-1473
 DXCCSR_MBD025                1474-1476
 DXCCSR_MBD026                1477-1479
 DXCCSR_MBD027                1480-1482
 DXCCSR_MBD028                1483-1485
 DXCCSR_MBD029                1486-1488
 DXCCSR_MBD030                1489-1491
 DXCCSR_MBD031                1492-1494
 DXCCSR_MBD032                1495-1497
 DXCCSR_MBD033                1498-1500
 DXCCSR_MBD034                1501-1503
 DXCCSR_MUS001                1504-1506
 DXCCSR_MUS002                1507-1509
 DXCCSR_MUS003                1510-1512
 DXCCSR_MUS004                1513-1515
 DXCCSR_MUS005                1516-1518
 DXCCSR_MUS006                1519-1521
 DXCCSR_MUS007                1522-1524
 DXCCSR_MUS008                1525-1527
 DXCCSR_MUS009                1528-1530
 DXCCSR_MUS010                1531-1533
 DXCCSR_MUS011                1534-1536
 DXCCSR_MUS012                1537-1539
 DXCCSR_MUS013                1540-1542
 DXCCSR_MUS014                1543-1545
 DXCCSR_MUS015                1546-1548
 DXCCSR_MUS016                1549-1551
 DXCCSR_MUS017                1552-1554
 DXCCSR_MUS018                1555-1557
 DXCCSR_MUS019                1558-1560
 DXCCSR_MUS020                1561-1563
 DXCCSR_MUS021                1564-1566
 DXCCSR_MUS022                1567-1569
 DXCCSR_MUS023                1570-1572
 DXCCSR_MUS024                1573-1575
 DXCCSR_MUS025                1576-1578
 DXCCSR_MUS026                1579-1581
 DXCCSR_MUS027                1582-1584
 DXCCSR_MUS028                1585-1587
 DXCCSR_MUS029                1588-1590
 DXCCSR_MUS030                1591-1593
 DXCCSR_MUS031                1594-1596
 DXCCSR_MUS032                1597-1599
 DXCCSR_MUS033                1600-1602
 DXCCSR_MUS034                1603-1605
 DXCCSR_MUS035                1606-1608
 DXCCSR_MUS036                1609-1611
 DXCCSR_MUS037                1612-1614
 DXCCSR_MUS038                1615-1617
 DXCCSR_NEO001                1618-1620
 DXCCSR_NEO002                1621-1623
 DXCCSR_NEO003                1624-1626
 DXCCSR_NEO004                1627-1629
 DXCCSR_NEO005                1630-1632
 DXCCSR_NEO006                1633-1635
 DXCCSR_NEO007                1636-1638
 DXCCSR_NEO008                1639-1641
 DXCCSR_NEO009                1642-1644
 DXCCSR_NEO010                1645-1647
 DXCCSR_NEO011                1648-1650
 DXCCSR_NEO012                1651-1653
 DXCCSR_NEO013                1654-1656
 DXCCSR_NEO014                1657-1659
 DXCCSR_NEO015                1660-1662
 DXCCSR_NEO016                1663-1665
 DXCCSR_NEO017                1666-1668
 DXCCSR_NEO018                1669-1671
 DXCCSR_NEO019                1672-1674
 DXCCSR_NEO020                1675-1677
 DXCCSR_NEO021                1678-1680
 DXCCSR_NEO022                1681-1683
 DXCCSR_NEO023                1684-1686
 DXCCSR_NEO024                1687-1689
 DXCCSR_NEO025                1690-1692
 DXCCSR_NEO026                1693-1695
 DXCCSR_NEO027                1696-1698
 DXCCSR_NEO028                1699-1701
 DXCCSR_NEO029                1702-1704
 DXCCSR_NEO030                1705-1707
 DXCCSR_NEO031                1708-1710
 DXCCSR_NEO032                1711-1713
 DXCCSR_NEO033                1714-1716
 DXCCSR_NEO034                1717-1719
 DXCCSR_NEO035                1720-1722
 DXCCSR_NEO036                1723-1725
 DXCCSR_NEO037                1726-1728
 DXCCSR_NEO038                1729-1731
 DXCCSR_NEO039                1732-1734
 DXCCSR_NEO040                1735-1737
 DXCCSR_NEO041                1738-1740
 DXCCSR_NEO042                1741-1743
 DXCCSR_NEO043                1744-1746
 DXCCSR_NEO044                1747-1749
 DXCCSR_NEO045                1750-1752
 DXCCSR_NEO046                1753-1755
 DXCCSR_NEO047                1756-1758
 DXCCSR_NEO048                1759-1761
 DXCCSR_NEO049                1762-1764
 DXCCSR_NEO050                1765-1767
 DXCCSR_NEO051                1768-1770
 DXCCSR_NEO052                1771-1773
 DXCCSR_NEO053                1774-1776
 DXCCSR_NEO054                1777-1779
 DXCCSR_NEO055                1780-1782
 DXCCSR_NEO056                1783-1785
 DXCCSR_NEO057                1786-1788
 DXCCSR_NEO058                1789-1791
 DXCCSR_NEO059                1792-1794
 DXCCSR_NEO060                1795-1797
 DXCCSR_NEO061                1798-1800
 DXCCSR_NEO062                1801-1803
 DXCCSR_NEO063                1804-1806
 DXCCSR_NEO064                1807-1809
 DXCCSR_NEO065                1810-1812
 DXCCSR_NEO066                1813-1815
 DXCCSR_NEO067                1816-1818
 DXCCSR_NEO068                1819-1821
 DXCCSR_NEO069                1822-1824
 DXCCSR_NEO070                1825-1827
 DXCCSR_NEO071                1828-1830
 DXCCSR_NEO072                1831-1833
 DXCCSR_NEO073                1834-1836
 DXCCSR_NEO074                1837-1839
 DXCCSR_NVS001                1840-1842
 DXCCSR_NVS002                1843-1845
 DXCCSR_NVS003                1846-1848
 DXCCSR_NVS004                1849-1851
 DXCCSR_NVS005                1852-1854
 DXCCSR_NVS006                1855-1857
 DXCCSR_NVS007                1858-1860
 DXCCSR_NVS008                1861-1863
 DXCCSR_NVS009                1864-1866
 DXCCSR_NVS010                1867-1869
 DXCCSR_NVS011                1870-1872
 DXCCSR_NVS012                1873-1875
 DXCCSR_NVS013                1876-1878
 DXCCSR_NVS014                1879-1881
 DXCCSR_NVS015                1882-1884
 DXCCSR_NVS016                1885-1887
 DXCCSR_NVS017                1888-1890
 DXCCSR_NVS018                1891-1893
 DXCCSR_NVS019                1894-1896
 DXCCSR_NVS020                1897-1899
 DXCCSR_NVS021                1900-1902
 DXCCSR_NVS022                1903-1905
 DXCCSR_PNL001                1906-1908
 DXCCSR_PNL002                1909-1911
 DXCCSR_PNL003                1912-1914
 DXCCSR_PNL004                1915-1917
 DXCCSR_PNL005                1918-1920
 DXCCSR_PNL006                1921-1923
 DXCCSR_PNL007                1924-1926
 DXCCSR_PNL008                1927-1929
 DXCCSR_PNL009                1930-1932
 DXCCSR_PNL010                1933-1935
 DXCCSR_PNL011                1936-1938
 DXCCSR_PNL012                1939-1941
 DXCCSR_PNL013                1942-1944
 DXCCSR_PNL014                1945-1947
 DXCCSR_PNL015                1948-1950
 DXCCSR_PRG001                1951-1953
 DXCCSR_PRG002                1954-1956
 DXCCSR_PRG003                1957-1959
 DXCCSR_PRG004                1960-1962
 DXCCSR_PRG005                1963-1965
 DXCCSR_PRG006                1966-1968
 DXCCSR_PRG007                1969-1971
 DXCCSR_PRG008                1972-1974
 DXCCSR_PRG009                1975-1977
 DXCCSR_PRG010                1978-1980
 DXCCSR_PRG011                1981-1983
 DXCCSR_PRG012                1984-1986
 DXCCSR_PRG013                1987-1989
 DXCCSR_PRG014                1990-1992
 DXCCSR_PRG015                1993-1995
 DXCCSR_PRG016                1996-1998
 DXCCSR_PRG017                1999-2001
 DXCCSR_PRG018                2002-2004
 DXCCSR_PRG019                2005-2007
 DXCCSR_PRG020                2008-2010
 DXCCSR_PRG021                2011-2013
 DXCCSR_PRG022                2014-2016
 DXCCSR_PRG023                2017-2019
 DXCCSR_PRG024                2020-2022
 DXCCSR_PRG025                2023-2025
 DXCCSR_PRG026                2026-2028
 DXCCSR_PRG027                2029-2031
 DXCCSR_PRG028                2032-2034
 DXCCSR_PRG029                2035-2037
 DXCCSR_PRG030                2038-2040
 DXCCSR_RSP001                2041-2043
 DXCCSR_RSP002                2044-2046
 DXCCSR_RSP003                2047-2049
 DXCCSR_RSP004                2050-2052
 DXCCSR_RSP005                2053-2055
 DXCCSR_RSP006                2056-2058
 DXCCSR_RSP007                2059-2061
 DXCCSR_RSP008                2062-2064
 DXCCSR_RSP009                2065-2067
 DXCCSR_RSP010                2068-2070
 DXCCSR_RSP011                2071-2073
 DXCCSR_RSP012                2074-2076
 DXCCSR_RSP013                2077-2079
 DXCCSR_RSP014                2080-2082
 DXCCSR_RSP015                2083-2085
 DXCCSR_RSP016                2086-2088
 DXCCSR_RSP017                2089-2091
 DXCCSR_SKN001                2092-2094
 DXCCSR_SKN002                2095-2097
 DXCCSR_SKN003                2098-2100
 DXCCSR_SKN004                2101-2103
 DXCCSR_SKN005                2104-2106
 DXCCSR_SKN006                2107-2109
 DXCCSR_SKN007                2110-2112
 DXCCSR_SYM001                2113-2115
 DXCCSR_SYM002                2116-2118
 DXCCSR_SYM003                2119-2121
 DXCCSR_SYM004                2122-2124
 DXCCSR_SYM005                2125-2127
 DXCCSR_SYM006                2128-2130
 DXCCSR_SYM007                2131-2133
 DXCCSR_SYM008                2134-2136
 DXCCSR_SYM009                2137-2139
 DXCCSR_SYM010                2140-2142
 DXCCSR_SYM011                2143-2145
 DXCCSR_SYM012                2146-2148
 DXCCSR_SYM013                2149-2151
 DXCCSR_SYM014                2152-2154
 DXCCSR_SYM015                2155-2157
 DXCCSR_SYM016                2158-2160
 DXCCSR_SYM017                2161-2163
 DXCCSR_VERSION               2164-2169 (A)
 PRCCSR_ADM001                2170-2172
 PRCCSR_ADM002                2173-2175
 PRCCSR_ADM003                2176-2178
 PRCCSR_ADM004                2179-2181
 PRCCSR_ADM005                2182-2184
 PRCCSR_ADM006                2185-2187
 PRCCSR_ADM007                2188-2190
 PRCCSR_ADM008                2191-2193
 PRCCSR_ADM009                2194-2196
 PRCCSR_ADM010                2197-2199
 PRCCSR_ADM011                2200-2202
 PRCCSR_ADM012                2203-2205
 PRCCSR_ADM013                2206-2208
 PRCCSR_ADM014                2209-2211
 PRCCSR_ADM015                2212-2214
 PRCCSR_ADM016                2215-2217
 PRCCSR_ADM017                2218-2220
 PRCCSR_ADM018                2221-2223
 PRCCSR_ADM019                2224-2226
 PRCCSR_ADM020                2227-2229
 PRCCSR_ADM021                2230-2232
 PRCCSR_CAR001                2233-2235
 PRCCSR_CAR002                2236-2238
 PRCCSR_CAR003                2239-2241
 PRCCSR_CAR004                2242-2244
 PRCCSR_CAR005                2245-2247
 PRCCSR_CAR006                2248-2250
 PRCCSR_CAR007                2251-2253
 PRCCSR_CAR008                2254-2256
 PRCCSR_CAR009                2257-2259
 PRCCSR_CAR010                2260-2262
 PRCCSR_CAR011                2263-2265
 PRCCSR_CAR012                2266-2268
 PRCCSR_CAR013                2269-2271
 PRCCSR_CAR014                2272-2274
 PRCCSR_CAR015                2275-2277
 PRCCSR_CAR016                2278-2280
 PRCCSR_CAR017                2281-2283
 PRCCSR_CAR018                2284-2286
 PRCCSR_CAR019                2287-2289
 PRCCSR_CAR020                2290-2292
 PRCCSR_CAR021                2293-2295
 PRCCSR_CAR022                2296-2298
 PRCCSR_CAR023                2299-2301
 PRCCSR_CAR024                2302-2304
 PRCCSR_CAR025                2305-2307
 PRCCSR_CAR026                2308-2310
 PRCCSR_CAR027                2311-2313
 PRCCSR_CAR028                2314-2316
 PRCCSR_CAR029                2317-2319
 PRCCSR_CHP001                2320-2322
 PRCCSR_CNS001                2323-2325
 PRCCSR_CNS002                2326-2328
 PRCCSR_CNS003                2329-2331
 PRCCSR_CNS004                2332-2334
 PRCCSR_CNS005                2335-2337
 PRCCSR_CNS006                2338-2340
 PRCCSR_CNS007                2341-2343
 PRCCSR_CNS008                2344-2346
 PRCCSR_CNS009                2347-2349
 PRCCSR_CNS010                2350-2352
 PRCCSR_CNS011                2353-2355
 PRCCSR_CNS012                2356-2358
 PRCCSR_CNS013                2359-2361
 PRCCSR_CNS014                2362-2364
 PRCCSR_ENP001                2365-2367
 PRCCSR_ENP002                2368-2370
 PRCCSR_ENP003                2371-2373
 PRCCSR_ENP004                2374-2376
 PRCCSR_ENP005                2377-2379
 PRCCSR_ENP006                2380-2382
 PRCCSR_ENT001                2383-2385
 PRCCSR_ENT002                2386-2388
 PRCCSR_ENT003                2389-2391
 PRCCSR_ENT004                2392-2394
 PRCCSR_ENT005                2395-2397
 PRCCSR_ENT006                2398-2400
 PRCCSR_ENT007                2401-2403
 PRCCSR_ENT008                2404-2406
 PRCCSR_ENT009                2407-2409
 PRCCSR_ENT010                2410-2412
 PRCCSR_ENT011                2413-2415
 PRCCSR_ENT012                2416-2418
 PRCCSR_ENT013                2419-2421
 PRCCSR_ENT014                2422-2424
 PRCCSR_ENT015                2425-2427
 PRCCSR_ENT016                2428-2430
 PRCCSR_ENT017                2431-2433
 PRCCSR_ESA001                2434-2436
 PRCCSR_ESA002                2437-2439
 PRCCSR_ESA003                2440-2442
 PRCCSR_ESA004                2443-2445
 PRCCSR_ESA005                2446-2448
 PRCCSR_ESA006                2449-2451
 PRCCSR_ESA007                2452-2454
 PRCCSR_ESA008                2455-2457
 PRCCSR_ESA009                2458-2460
 PRCCSR_ESA010                2461-2463
 PRCCSR_ESA011                2464-2466
 PRCCSR_EST001                2467-2469
 PRCCSR_EST002                2470-2472
 PRCCSR_EST003                2473-2475
 PRCCSR_EST004                2476-2478
 PRCCSR_EST005                2479-2481
 PRCCSR_EYP001                2482-2484
 PRCCSR_EYP002                2485-2487
 PRCCSR_FRS001                2488-2490
 PRCCSR_FRS002                2491-2493
 PRCCSR_FRS003                2494-2496
 PRCCSR_FRS004                2497-2499
 PRCCSR_FRS005                2500-2502
 PRCCSR_FRS006                2503-2505
 PRCCSR_FRS007                2506-2508
 PRCCSR_FRS008                2509-2511
 PRCCSR_FRS009                2512-2514
 PRCCSR_FRS010                2515-2517
 PRCCSR_FRS011                2518-2520
 PRCCSR_FRS012                2521-2523
 PRCCSR_FRS013                2524-2526
 PRCCSR_FRS014                2527-2529
 PRCCSR_FRS015                2530-2532
 PRCCSR_GIS001                2533-2535
 PRCCSR_GIS002                2536-2538
 PRCCSR_GIS003                2539-2541
 PRCCSR_GIS004                2542-2544
 PRCCSR_GIS005                2545-2547
 PRCCSR_GIS006                2548-2550
 PRCCSR_GIS007                2551-2553
 PRCCSR_GIS008                2554-2556
 PRCCSR_GIS009                2557-2559
 PRCCSR_GIS010                2560-2562
 PRCCSR_GIS011                2563-2565
 PRCCSR_GIS012                2566-2568
 PRCCSR_GIS013                2569-2571
 PRCCSR_GIS014                2572-2574
 PRCCSR_GIS015                2575-2577
 PRCCSR_GIS016                2578-2580
 PRCCSR_GIS017                2581-2583
 PRCCSR_GIS018                2584-2586
 PRCCSR_GIS019                2587-2589
 PRCCSR_GIS020                2590-2592
 PRCCSR_GIS021                2593-2595
 PRCCSR_GIS022                2596-2598
 PRCCSR_GIS023                2599-2601
 PRCCSR_GIS024                2602-2604
 PRCCSR_GIS025                2605-2607
 PRCCSR_GIS026                2608-2610
 PRCCSR_GIS027                2611-2613
 PRCCSR_GIS028                2614-2616
 PRCCSR_GIS029                2617-2619
 PRCCSR_GNR001                2620-2622
 PRCCSR_GNR002                2623-2625
 PRCCSR_GNR003                2626-2628
 PRCCSR_GNR004                2629-2631
 PRCCSR_GNR005                2632-2634
 PRCCSR_GNR006                2635-2637
 PRCCSR_GNR007                2638-2640
 PRCCSR_GNR008                2641-2643
 PRCCSR_GNR009                2644-2646
 PRCCSR_GNR010                2647-2649
 PRCCSR_HEP001                2650-2652
 PRCCSR_HEP002                2653-2655
 PRCCSR_HEP003                2656-2658
 PRCCSR_HEP004                2659-2661
 PRCCSR_HEP005                2662-2664
 PRCCSR_HEP006                2665-2667
 PRCCSR_HEP007                2668-2670
 PRCCSR_HEP008                2671-2673
 PRCCSR_HEP009                2674-2676
 PRCCSR_HEP010                2677-2679
 PRCCSR_HEP011                2680-2682
 PRCCSR_HEP012                2683-2685
 PRCCSR_HEP013                2686-2688
 PRCCSR_IMG001                2689-2691
 PRCCSR_IMG002                2692-2694
 PRCCSR_IMG003                2695-2697
 PRCCSR_IMG004                2698-2700
 PRCCSR_IMG005                2701-2703
 PRCCSR_IMG006                2704-2706
 PRCCSR_IMG007                2707-2709
 PRCCSR_IMG008                2710-2712
 PRCCSR_IMG009                2713-2715
 PRCCSR_IMG010                2716-2718
 PRCCSR_LYM001                2719-2721
 PRCCSR_LYM002                2722-2724
 PRCCSR_LYM003                2725-2727
 PRCCSR_LYM004                2728-2730
 PRCCSR_LYM005                2731-2733
 PRCCSR_LYM006                2734-2736
 PRCCSR_LYM007                2737-2739
 PRCCSR_LYM008                2740-2742
 PRCCSR_LYM009                2743-2745
 PRCCSR_LYM010                2746-2748
 PRCCSR_LYM011                2749-2751
 PRCCSR_MAM001                2752-2754
 PRCCSR_MAM002                2755-2757
 PRCCSR_MAM003                2758-2760
 PRCCSR_MAM004                2761-2763
 PRCCSR_MAM005                2764-2766
 PRCCSR_MAM006                2767-2769
 PRCCSR_MAM007                2770-2772
 PRCCSR_MAM008                2773-2775
 PRCCSR_MAM009                2776-2778
 PRCCSR_MAM010                2779-2781
 PRCCSR_MAM011                2782-2784
 PRCCSR_MAM012                2785-2787
 PRCCSR_MAM013                2788-2790
 PRCCSR_MAM014                2791-2793
 PRCCSR_MAM015                2794-2796
 PRCCSR_MHT001                2797-2799
 PRCCSR_MHT002                2800-2802
 PRCCSR_MHT003                2803-2805
 PRCCSR_MHT004                2806-2808
 PRCCSR_MHT005                2809-2811
 PRCCSR_MRS001                2812-2814
 PRCCSR_MRS002                2815-2817
 PRCCSR_MRS003                2818-2820
 PRCCSR_MRS004                2821-2823
 PRCCSR_MRS005                2824-2826
 PRCCSR_MRS006                2827-2829
 PRCCSR_MRS007                2830-2832
 PRCCSR_MST001                2833-2835
 PRCCSR_MST002                2836-2838
 PRCCSR_MST003                2839-2841
 PRCCSR_MST004                2842-2844
 PRCCSR_MST005                2845-2847
 PRCCSR_MST006                2848-2850
 PRCCSR_MST007                2851-2853
 PRCCSR_MST008                2854-2856
 PRCCSR_MST009                2857-2859
 PRCCSR_MST010                2860-2862
 PRCCSR_MST011                2863-2865
 PRCCSR_MST012                2866-2868
 PRCCSR_MST013                2869-2871
 PRCCSR_MST014                2872-2874
 PRCCSR_MST015                2875-2877
 PRCCSR_MST016                2878-2880
 PRCCSR_MST017                2881-2883
 PRCCSR_MST018                2884-2886
 PRCCSR_MST019                2887-2889
 PRCCSR_MST020                2890-2892
 PRCCSR_MST021                2893-2895
 PRCCSR_MST022                2896-2898
 PRCCSR_MST023                2899-2901
 PRCCSR_MST024                2902-2904
 PRCCSR_MST025                2905-2907
 PRCCSR_MST026                2908-2910
 PRCCSR_MST027                2911-2913
 PRCCSR_MST028                2914-2916
 PRCCSR_MST029                2917-2919
 PRCCSR_MST030                2920-2922
 PRCCSR_NCM001                2923-2925
 PRCCSR_NCM002                2926-2928
 PRCCSR_NCM003                2929-2931
 PRCCSR_NCM004                2932-2934
 PRCCSR_OST001                2935-2937
 PRCCSR_OTR001                2938-2940
 PRCCSR_OTR002                2941-2943
 PRCCSR_OTR003                2944-2946
 PRCCSR_OTR004                2947-2949
 PRCCSR_OTR005                2950-2952
 PRCCSR_PGN001                2953-2955
 PRCCSR_PGN002                2956-2958
 PRCCSR_PGN003                2959-2961
 PRCCSR_PGN004                2962-2964
 PRCCSR_PGN005                2965-2967
 PRCCSR_PGN006                2968-2970
 PRCCSR_PGN007                2971-2973
 PRCCSR_PGN008                2974-2976
 PRCCSR_PGN009                2977-2979
 PRCCSR_PLC001                2980-2982
 PRCCSR_PLC002                2983-2985
 PRCCSR_PNS001                2986-2988
 PRCCSR_PNS002                2989-2991
 PRCCSR_PNS003                2992-2994
 PRCCSR_PNS004                2995-2997
 PRCCSR_PNS005                2998-3000
 PRCCSR_PNS006                3001-3003
 PRCCSR_RAD001                3004-3006
 PRCCSR_RAD002                3007-3009
 PRCCSR_RAD003                3010-3012
 PRCCSR_RAD004                3013-3015
 PRCCSR_RES001                3016-3018
 PRCCSR_RES002                3019-3021
 PRCCSR_RES003                3022-3024
 PRCCSR_RES004                3025-3027
 PRCCSR_RES005                3028-3030
 PRCCSR_RES006                3031-3033
 PRCCSR_RES007                3034-3036
 PRCCSR_RES008                3037-3039
 PRCCSR_RES009                3040-3042
 PRCCSR_RES010                3043-3045
 PRCCSR_RES011                3046-3048
 PRCCSR_RES012                3049-3051
 PRCCSR_RES013                3052-3054
 PRCCSR_RES014                3055-3057
 PRCCSR_RHB001                3058-3060
 PRCCSR_RHB002                3061-3063
 PRCCSR_RHB003                3064-3066
 PRCCSR_RHB004                3067-3069
 PRCCSR_SKB001                3070-3072
 PRCCSR_SKB002                3073-3075
 PRCCSR_SKB003                3076-3078
 PRCCSR_SKB004                3079-3081
 PRCCSR_SKB005                3082-3084
 PRCCSR_SKB006                3085-3087
 PRCCSR_SKB007                3088-3090
 PRCCSR_SKB008                3091-3093
 PRCCSR_SKB009                3094-3096
 PRCCSR_SKB010                3097-3099
 PRCCSR_SUD001                3100-3102
 PRCCSR_SUD002                3103-3105
 PRCCSR_SUD003                3106-3108
 PRCCSR_SUD004                3109-3111
 PRCCSR_URN001                3112-3114
 PRCCSR_URN002                3115-3117
 PRCCSR_URN003                3118-3120
 PRCCSR_URN004                3121-3123
 PRCCSR_URN005                3124-3126
 PRCCSR_URN006                3127-3129
 PRCCSR_URN007                3130-3132
 PRCCSR_URN008                3133-3135
 PRCCSR_URN009                3136-3138
 PRCCSR_URN010                3139-3141
 PRCCSR_URN011                3142-3144
 PRCCSR_URN012                3145-3147
 PRCCSR_VERSION               3148-3153 (A).


***  Specify write formats  ***.
FORMATS
 CMR_AIDS                     (F3.0) /
 CMR_ALCOHOL                  (F3.0) /
 CMR_ANEMDEF                  (F3.0) /
 CMR_ARTH                     (F3.0) /
 CMR_BLDLOSS                  (F3.0) /
 CMR_CANCER_LEUK              (F3.0) /
 CMR_CANCER_LYMPH             (F3.0) /
 CMR_CANCER_METS              (F3.0) /
 CMR_CANCER_NSITU             (F3.0) /
 CMR_CANCER_SOLID             (F3.0) /
 CMR_CBVD                     (F3.0) /
 CMR_CHF                      (F3.0) /
 CMR_COAG                     (F3.0) /
 CMR_DEMENTIA                 (F3.0) /
 CMR_DEPRESS                  (F3.0) /
 CMR_DIAB_CX                  (F3.0) /
 CMR_DIAB_UNCX                (F3.0) /
 CMR_DRUG_ABUSE               (F3.0) /
 CMR_HTN_CX                   (F3.0) /
 CMR_HTN_UNCX                 (F3.0) /
 CMR_LIVER_MLD                (F3.0) /
 CMR_LIVER_SEV                (F3.0) /
 CMR_LUNG_CHRONIC             (F3.0) /
 CMR_NEURO_MOVT               (F3.0) /
 CMR_NEURO_OTH                (F3.0) /
 CMR_NEURO_SEIZ               (F3.0) /
 CMR_OBESE                    (F3.0) /
 CMR_PARALYSIS                (F3.0) /
 CMR_PERIVASC                 (F3.0) /
 CMR_PSYCHOSES                (F3.0) /
 CMR_PULMCIRC                 (F3.0) /
 CMR_RENLFL_MOD               (F3.0) /
 CMR_RENLFL_SEV               (F3.0) /
 CMR_THYROID_HYPO             (F3.0) /
 CMR_THYROID_OTH              (F3.0) /
 CMR_ULCER_PEPTIC             (F3.0) /
 CMR_VALVE                    (F3.0) /
 CMR_WGHTLOSS                 (F3.0) /
 I10_INJURY                   (F3.0) /
 I10_INJURY_CUT               (F3.0) /
 I10_INJURY_DROWN             (F3.0) /
 I10_INJURY_FALL              (F3.0) /
 I10_INJURY_FIRE              (F3.0) /
 I10_INJURY_FIREARM           (F3.0) /
 I10_INJURY_MACHINERY         (F3.0) /
 I10_INJURY_MVT               (F3.0) /
 I10_INJURY_NATURE            (F3.0) /
 I10_INJURY_OVEREXERTION      (F3.0) /
 I10_INJURY_POISON            (F3.0) /
 I10_INJURY_STRUCK            (F3.0) /
 I10_INJURY_SUFFOCATION       (F3.0) /
 I10_INTENT_ASSAULT           (F3.0) /
 I10_INTENT_SELF_HARM         (F3.0) /
 I10_INTENT_UNINTENTIONAL     (F3.0) /
 I10_MULTINJURY               (F3.0) /
 KEY                          (F8.0) /
 PCLASS1                      (F3.0) /
 PCLASS2                      (F3.0) /
 PCLASS3                      (F3.0) /
 PCLASS4                      (F3.0) /
 PCLASS5                      (F3.0) /
 PCLASS6                      (F3.0) /
 PCLASS7                      (F3.0) /
 PCLASS8                      (F3.0) /
 PCLASS9                      (F3.0) /
 PCLASS10                     (F3.0) /
 PCLASS11                     (F3.0) /
 PCLASS12                     (F3.0) /
 PCLASS13                     (F3.0) /
 PCLASS14                     (F3.0) /
 PCLASS15                     (F3.0) /
 PCLASS16                     (F3.0) /
 PCLASS17                     (F3.0) /
 PCLASS18                     (F3.0) /
 PCLASS19                     (F3.0) /
 PCLASS20                     (F3.0) /
 PCLASS21                     (F3.0) /
 PCLASS22                     (F3.0) /
 PCLASS23                     (F3.0) /
 PCLASS24                     (F3.0) /
 PCLASS25                     (F3.0) /
 PCLASS26                     (F3.0) /
 PCLASS27                     (F3.0) /
 PCLASS28                     (F3.0) /
 PCLASS29                     (F3.0) /
 PCLASS30                     (F3.0) /
 PCLASS31                     (F3.0) /
 PCLASS32                     (F3.0) /
 PCLASS33                     (F3.0) /
 PCLASS34                     (F3.0) /
 PCLASS35                     (F3.0) /
 PCLASS36                     (F3.0) /
 PCLASS37                     (F3.0) /
 PCLASS38                     (F3.0) /
 PCLASS39                     (F3.0) /
 PCLASS40                     (F3.0) /
 PCLASS41                     (F3.0) /
 PCLASS42                     (F3.0) /
 PCLASS43                     (F3.0) /
 PCLASS44                     (F3.0) /
 PCLASS45                     (F3.0) /
 PCLASS46                     (F3.0) /
 PCLASS47                     (F3.0) /
 PCLASS48                     (F3.0) /
 PCLASS49                     (F3.0) /
 PCLASS50                     (F3.0) /
 PCLASS51                     (F3.0) /
 PCLASS52                     (F3.0) /
 PCLASS53                     (F3.0) /
 PCLASS54                     (F3.0) /
 PCLASS55                     (F3.0) /
 PCLASS56                     (F3.0) /
 PCLASS57                     (F3.0) /
 PCLASS58                     (F3.0) /
 PCLASS59                     (F3.0) /
 PCLASS60                     (F3.0) /
 PCLASS61                     (F3.0) /
 PCLASS62                     (F3.0) /
 PCLASS63                     (F3.0) /
 PCLASS64                     (F3.0) /
 PCLASS65                     (F3.0) /
 PCLASS66                     (F3.0) /
 PCLASS67                     (F3.0) /
 PCLASS68                     (F3.0) /
 PCLASS69                     (F3.0) /
 PCLASS70                     (F3.0) /
 PCLASS71                     (F3.0) /
 PCLASS72                     (F3.0) /
 PCLASS73                     (F3.0) /
 PCLASS74                     (F3.0) /
 PCLASS75                     (F3.0) /
 PCLASS76                     (F3.0) /
 PCLASS77                     (F3.0) /
 PCLASS78                     (F3.0) /
 PCLASS79                     (F3.0) /
 PCLASS80                     (F3.0) /
 PCLASS81                     (F3.0) /
 PCLASS82                     (F3.0) /
 PCLASS83                     (F3.0) /
 PCLASS84                     (F3.0) /
 PCLASS85                     (F3.0) /
 PCLASS86                     (F3.0) /
 PCLASS87                     (F3.0) /
 PCLASS88                     (F3.0) /
 PCLASS89                     (F3.0) /
 PCLASS90                     (F3.0) /
 PCLASS91                     (F3.0) /
 PCLASS92                     (F3.0) /
 PCLASS93                     (F3.0) /
 PCLASS94                     (F3.0) /
 PCLASS95                     (F3.0) /
 PCLASS96                     (F3.0) /
 PCLASS97                     (F3.0) /
 PCLASS98                     (F3.0) /
 PCLASS99                     (F3.0) /
 PCLASS100                    (F3.0) /
 PCLASS101                    (F3.0) /
 PCLASS102                    (F3.0) /
 PCLASS103                    (F3.0) /
 PCLASS104                    (F3.0) /
 PCLASS105                    (F3.0) /
 PCLASS106                    (F3.0) /
 PCLASS107                    (F3.0) /
 PCLASS108                    (F3.0) /
 PCLASS109                    (F3.0) /
 PCLASS110                    (F3.0) /
 PCLASS111                    (F3.0) /
 PCLASS112                    (F3.0) /
 PCLASS113                    (F3.0) /
 PCLASS114                    (F3.0) /
 PCLASS115                    (F3.0) /
 PCLASS116                    (F3.0) /
 PCLASS117                    (F3.0) /
 PCLASS118                    (F3.0) /
 PCLASS119                    (F3.0) /
 PCLASS120                    (F3.0) /
 PCLASS121                    (F3.0) /
 PCLASS122                    (F3.0) /
 PCLASS123                    (F3.0) /
 PCLASS124                    (F3.0) /
 PCLASS125                    (F3.0) /
 PCLASS126                    (F3.0) /
 PCLASS127                    (F3.0) /
 PCLASS128                    (F3.0) /
 PCLASS129                    (F3.0) /
 PCLASS130                    (F3.0) /
 PCLASS131                    (F3.0) /
 PCLASS132                    (F3.0) /
 PCLASS133                    (F3.0) /
 PCLASS134                    (F3.0) /
 PCLASS135                    (F3.0) /
 PCLASS136                    (F3.0) /
 PCLASS137                    (F3.0) /
 PCLASS138                    (F3.0) /
 PCLASS139                    (F3.0) /
 PCLASS140                    (F3.0) /
 PCLASS141                    (F3.0) /
 PCLASS142                    (F3.0) /
 PCLASS143                    (F3.0) /
 PCLASS144                    (F3.0) /
 PCLASS145                    (F3.0) /
 PCLASS146                    (F3.0) /
 PCLASS147                    (F3.0) /
 PCLASS148                    (F3.0) /
 PCLASS149                    (F3.0) /
 PCLASS150                    (F3.0) /
 PCLASS151                    (F3.0) /
 PCLASS152                    (F3.0) /
 PCLASS153                    (F3.0) /
 PCLASS154                    (F3.0) /
 PCLASS155                    (F3.0) /
 PCLASS156                    (F3.0) /
 PCLASS157                    (F3.0) /
 PCLASS158                    (F3.0) /
 PCLASS159                    (F3.0) /
 PCLASS160                    (F3.0) /
 PCLASS161                    (F3.0) /
 PCLASS162                    (F3.0) /
 PCLASS163                    (F3.0) /
 PCLASS164                    (F3.0) /
 PCLASS165                    (F3.0) /
 PCLASS166                    (F3.0) /
 PCLASS167                    (F3.0) /
 PCLASS168                    (F3.0) /
 PCLASS169                    (F3.0) /
 PCLASS170                    (F3.0) /
 PCLASS171                    (F3.0) /
 PCLASS172                    (F3.0) /
 PCLASS173                    (F3.0) /
 PCLASS174                    (F3.0) /
 PCLASS175                    (F3.0) /
 PCLASS176                    (F3.0) /
 PCLASS177                    (F3.0) /
 PCLASS178                    (F3.0) /
 PCLASS179                    (F3.0) /
 PCLASS180                    (F3.0) /
 PCLASS181                    (F3.0) /
 PCLASS182                    (F3.0) /
 PCLASS183                    (F3.0) /
 PCLASS184                    (F3.0) /
 PCLASS185                    (F3.0) /
 PCLASS186                    (F3.0) /
 PCLASS187                    (F3.0) /
 PCLASS188                    (F3.0) /
 PCLASS189                    (F3.0) /
 PCLASS190                    (F3.0) /
 PCLASS191                    (F3.0) /
 PCLASS192                    (F3.0) /
 PCLASS193                    (F3.0) /
 PCLASS194                    (F3.0) /
 PCLASS195                    (F3.0) /
 PCLASS196                    (F3.0) /
 PCLASS197                    (F3.0) /
 PCLASS198                    (F3.0) /
 PCLASS199                    (F3.0) /
 PCLASS200                    (F3.0) /
 DXCCSR_BLD001                (F3.0) /
 DXCCSR_BLD002                (F3.0) /
 DXCCSR_BLD003                (F3.0) /
 DXCCSR_BLD004                (F3.0) /
 DXCCSR_BLD005                (F3.0) /
 DXCCSR_BLD006                (F3.0) /
 DXCCSR_BLD007                (F3.0) /
 DXCCSR_BLD008                (F3.0) /
 DXCCSR_BLD009                (F3.0) /
 DXCCSR_BLD010                (F3.0) /
 DXCCSR_CIR001                (F3.0) /
 DXCCSR_CIR002                (F3.0) /
 DXCCSR_CIR003                (F3.0) /
 DXCCSR_CIR004                (F3.0) /
 DXCCSR_CIR005                (F3.0) /
 DXCCSR_CIR006                (F3.0) /
 DXCCSR_CIR007                (F3.0) /
 DXCCSR_CIR008                (F3.0) /
 DXCCSR_CIR009                (F3.0) /
 DXCCSR_CIR010                (F3.0) /
 DXCCSR_CIR011                (F3.0) /
 DXCCSR_CIR012                (F3.0) /
 DXCCSR_CIR013                (F3.0) /
 DXCCSR_CIR014                (F3.0) /
 DXCCSR_CIR015                (F3.0) /
 DXCCSR_CIR016                (F3.0) /
 DXCCSR_CIR017                (F3.0) /
 DXCCSR_CIR018                (F3.0) /
 DXCCSR_CIR019                (F3.0) /
 DXCCSR_CIR020                (F3.0) /
 DXCCSR_CIR021                (F3.0) /
 DXCCSR_CIR022                (F3.0) /
 DXCCSR_CIR023                (F3.0) /
 DXCCSR_CIR024                (F3.0) /
 DXCCSR_CIR025                (F3.0) /
 DXCCSR_CIR026                (F3.0) /
 DXCCSR_CIR027                (F3.0) /
 DXCCSR_CIR028                (F3.0) /
 DXCCSR_CIR029                (F3.0) /
 DXCCSR_CIR030                (F3.0) /
 DXCCSR_CIR031                (F3.0) /
 DXCCSR_CIR032                (F3.0) /
 DXCCSR_CIR033                (F3.0) /
 DXCCSR_CIR034                (F3.0) /
 DXCCSR_CIR035                (F3.0) /
 DXCCSR_CIR036                (F3.0) /
 DXCCSR_CIR037                (F3.0) /
 DXCCSR_CIR038                (F3.0) /
 DXCCSR_CIR039                (F3.0) /
 DXCCSR_DIG001                (F3.0) /
 DXCCSR_DIG002                (F3.0) /
 DXCCSR_DIG003                (F3.0) /
 DXCCSR_DIG004                (F3.0) /
 DXCCSR_DIG005                (F3.0) /
 DXCCSR_DIG006                (F3.0) /
 DXCCSR_DIG007                (F3.0) /
 DXCCSR_DIG008                (F3.0) /
 DXCCSR_DIG009                (F3.0) /
 DXCCSR_DIG010                (F3.0) /
 DXCCSR_DIG011                (F3.0) /
 DXCCSR_DIG012                (F3.0) /
 DXCCSR_DIG013                (F3.0) /
 DXCCSR_DIG014                (F3.0) /
 DXCCSR_DIG015                (F3.0) /
 DXCCSR_DIG016                (F3.0) /
 DXCCSR_DIG017                (F3.0) /
 DXCCSR_DIG018                (F3.0) /
 DXCCSR_DIG019                (F3.0) /
 DXCCSR_DIG020                (F3.0) /
 DXCCSR_DIG021                (F3.0) /
 DXCCSR_DIG022                (F3.0) /
 DXCCSR_DIG023                (F3.0) /
 DXCCSR_DIG024                (F3.0) /
 DXCCSR_DIG025                (F3.0) /
 DXCCSR_EAR001                (F3.0) /
 DXCCSR_EAR002                (F3.0) /
 DXCCSR_EAR003                (F3.0) /
 DXCCSR_EAR004                (F3.0) /
 DXCCSR_EAR005                (F3.0) /
 DXCCSR_EAR006                (F3.0) /
 DXCCSR_END001                (F3.0) /
 DXCCSR_END002                (F3.0) /
 DXCCSR_END003                (F3.0) /
 DXCCSR_END004                (F3.0) /
 DXCCSR_END005                (F3.0) /
 DXCCSR_END006                (F3.0) /
 DXCCSR_END007                (F3.0) /
 DXCCSR_END008                (F3.0) /
 DXCCSR_END009                (F3.0) /
 DXCCSR_END010                (F3.0) /
 DXCCSR_END011                (F3.0) /
 DXCCSR_END012                (F3.0) /
 DXCCSR_END013                (F3.0) /
 DXCCSR_END014                (F3.0) /
 DXCCSR_END015                (F3.0) /
 DXCCSR_END016                (F3.0) /
 DXCCSR_END017                (F3.0) /
 DXCCSR_EXT001                (F3.0) /
 DXCCSR_EXT002                (F3.0) /
 DXCCSR_EXT003                (F3.0) /
 DXCCSR_EXT004                (F3.0) /
 DXCCSR_EXT005                (F3.0) /
 DXCCSR_EXT006                (F3.0) /
 DXCCSR_EXT007                (F3.0) /
 DXCCSR_EXT008                (F3.0) /
 DXCCSR_EXT009                (F3.0) /
 DXCCSR_EXT010                (F3.0) /
 DXCCSR_EXT011                (F3.0) /
 DXCCSR_EXT012                (F3.0) /
 DXCCSR_EXT013                (F3.0) /
 DXCCSR_EXT014                (F3.0) /
 DXCCSR_EXT015                (F3.0) /
 DXCCSR_EXT016                (F3.0) /
 DXCCSR_EXT017                (F3.0) /
 DXCCSR_EXT018                (F3.0) /
 DXCCSR_EXT019                (F3.0) /
 DXCCSR_EXT020                (F3.0) /
 DXCCSR_EXT021                (F3.0) /
 DXCCSR_EXT022                (F3.0) /
 DXCCSR_EXT023                (F3.0) /
 DXCCSR_EXT024                (F3.0) /
 DXCCSR_EXT025                (F3.0) /
 DXCCSR_EXT026                (F3.0) /
 DXCCSR_EXT027                (F3.0) /
 DXCCSR_EXT028                (F3.0) /
 DXCCSR_EXT029                (F3.0) /
 DXCCSR_EXT030                (F3.0) /
 DXCCSR_EYE001                (F3.0) /
 DXCCSR_EYE002                (F3.0) /
 DXCCSR_EYE003                (F3.0) /
 DXCCSR_EYE004                (F3.0) /
 DXCCSR_EYE005                (F3.0) /
 DXCCSR_EYE006                (F3.0) /
 DXCCSR_EYE007                (F3.0) /
 DXCCSR_EYE008                (F3.0) /
 DXCCSR_EYE009                (F3.0) /
 DXCCSR_EYE010                (F3.0) /
 DXCCSR_EYE011                (F3.0) /
 DXCCSR_EYE012                (F3.0) /
 DXCCSR_FAC001                (F3.0) /
 DXCCSR_FAC002                (F3.0) /
 DXCCSR_FAC003                (F3.0) /
 DXCCSR_FAC004                (F3.0) /
 DXCCSR_FAC005                (F3.0) /
 DXCCSR_FAC006                (F3.0) /
 DXCCSR_FAC007                (F3.0) /
 DXCCSR_FAC008                (F3.0) /
 DXCCSR_FAC009                (F3.0) /
 DXCCSR_FAC010                (F3.0) /
 DXCCSR_FAC011                (F3.0) /
 DXCCSR_FAC012                (F3.0) /
 DXCCSR_FAC013                (F3.0) /
 DXCCSR_FAC014                (F3.0) /
 DXCCSR_FAC015                (F3.0) /
 DXCCSR_FAC016                (F3.0) /
 DXCCSR_FAC017                (F3.0) /
 DXCCSR_FAC018                (F3.0) /
 DXCCSR_FAC019                (F3.0) /
 DXCCSR_FAC020                (F3.0) /
 DXCCSR_FAC021                (F3.0) /
 DXCCSR_FAC022                (F3.0) /
 DXCCSR_FAC023                (F3.0) /
 DXCCSR_FAC024                (F3.0) /
 DXCCSR_FAC025                (F3.0) /
 DXCCSR_GEN001                (F3.0) /
 DXCCSR_GEN002                (F3.0) /
 DXCCSR_GEN003                (F3.0) /
 DXCCSR_GEN004                (F3.0) /
 DXCCSR_GEN005                (F3.0) /
 DXCCSR_GEN006                (F3.0) /
 DXCCSR_GEN007                (F3.0) /
 DXCCSR_GEN008                (F3.0) /
 DXCCSR_GEN009                (F3.0) /
 DXCCSR_GEN010                (F3.0) /
 DXCCSR_GEN011                (F3.0) /
 DXCCSR_GEN012                (F3.0) /
 DXCCSR_GEN013                (F3.0) /
 DXCCSR_GEN014                (F3.0) /
 DXCCSR_GEN015                (F3.0) /
 DXCCSR_GEN016                (F3.0) /
 DXCCSR_GEN017                (F3.0) /
 DXCCSR_GEN018                (F3.0) /
 DXCCSR_GEN019                (F3.0) /
 DXCCSR_GEN020                (F3.0) /
 DXCCSR_GEN021                (F3.0) /
 DXCCSR_GEN022                (F3.0) /
 DXCCSR_GEN023                (F3.0) /
 DXCCSR_GEN024                (F3.0) /
 DXCCSR_GEN025                (F3.0) /
 DXCCSR_GEN026                (F3.0) /
 DXCCSR_INF001                (F3.0) /
 DXCCSR_INF002                (F3.0) /
 DXCCSR_INF003                (F3.0) /
 DXCCSR_INF004                (F3.0) /
 DXCCSR_INF005                (F3.0) /
 DXCCSR_INF006                (F3.0) /
 DXCCSR_INF007                (F3.0) /
 DXCCSR_INF008                (F3.0) /
 DXCCSR_INF009                (F3.0) /
 DXCCSR_INF010                (F3.0) /
 DXCCSR_INF011                (F3.0) /
 DXCCSR_INF012                (F3.0) /
 DXCCSR_INJ001                (F3.0) /
 DXCCSR_INJ002                (F3.0) /
 DXCCSR_INJ003                (F3.0) /
 DXCCSR_INJ004                (F3.0) /
 DXCCSR_INJ005                (F3.0) /
 DXCCSR_INJ006                (F3.0) /
 DXCCSR_INJ007                (F3.0) /
 DXCCSR_INJ008                (F3.0) /
 DXCCSR_INJ009                (F3.0) /
 DXCCSR_INJ010                (F3.0) /
 DXCCSR_INJ011                (F3.0) /
 DXCCSR_INJ012                (F3.0) /
 DXCCSR_INJ013                (F3.0) /
 DXCCSR_INJ014                (F3.0) /
 DXCCSR_INJ015                (F3.0) /
 DXCCSR_INJ016                (F3.0) /
 DXCCSR_INJ017                (F3.0) /
 DXCCSR_INJ018                (F3.0) /
 DXCCSR_INJ019                (F3.0) /
 DXCCSR_INJ020                (F3.0) /
 DXCCSR_INJ021                (F3.0) /
 DXCCSR_INJ022                (F3.0) /
 DXCCSR_INJ023                (F3.0) /
 DXCCSR_INJ024                (F3.0) /
 DXCCSR_INJ025                (F3.0) /
 DXCCSR_INJ026                (F3.0) /
 DXCCSR_INJ027                (F3.0) /
 DXCCSR_INJ028                (F3.0) /
 DXCCSR_INJ029                (F3.0) /
 DXCCSR_INJ030                (F3.0) /
 DXCCSR_INJ031                (F3.0) /
 DXCCSR_INJ032                (F3.0) /
 DXCCSR_INJ033                (F3.0) /
 DXCCSR_INJ034                (F3.0) /
 DXCCSR_INJ035                (F3.0) /
 DXCCSR_INJ036                (F3.0) /
 DXCCSR_INJ037                (F3.0) /
 DXCCSR_INJ038                (F3.0) /
 DXCCSR_INJ039                (F3.0) /
 DXCCSR_INJ040                (F3.0) /
 DXCCSR_INJ041                (F3.0) /
 DXCCSR_INJ042                (F3.0) /
 DXCCSR_INJ043                (F3.0) /
 DXCCSR_INJ044                (F3.0) /
 DXCCSR_INJ045                (F3.0) /
 DXCCSR_INJ046                (F3.0) /
 DXCCSR_INJ047                (F3.0) /
 DXCCSR_INJ048                (F3.0) /
 DXCCSR_INJ049                (F3.0) /
 DXCCSR_INJ050                (F3.0) /
 DXCCSR_INJ051                (F3.0) /
 DXCCSR_INJ052                (F3.0) /
 DXCCSR_INJ053                (F3.0) /
 DXCCSR_INJ054                (F3.0) /
 DXCCSR_INJ055                (F3.0) /
 DXCCSR_INJ056                (F3.0) /
 DXCCSR_INJ057                (F3.0) /
 DXCCSR_INJ058                (F3.0) /
 DXCCSR_INJ059                (F3.0) /
 DXCCSR_INJ060                (F3.0) /
 DXCCSR_INJ061                (F3.0) /
 DXCCSR_INJ062                (F3.0) /
 DXCCSR_INJ063                (F3.0) /
 DXCCSR_INJ064                (F3.0) /
 DXCCSR_INJ065                (F3.0) /
 DXCCSR_INJ066                (F3.0) /
 DXCCSR_INJ067                (F3.0) /
 DXCCSR_INJ068                (F3.0) /
 DXCCSR_INJ069                (F3.0) /
 DXCCSR_INJ070                (F3.0) /
 DXCCSR_INJ071                (F3.0) /
 DXCCSR_INJ072                (F3.0) /
 DXCCSR_INJ073                (F3.0) /
 DXCCSR_INJ074                (F3.0) /
 DXCCSR_INJ075                (F3.0) /
 DXCCSR_INJ076                (F3.0) /
 DXCCSR_MAL001                (F3.0) /
 DXCCSR_MAL002                (F3.0) /
 DXCCSR_MAL003                (F3.0) /
 DXCCSR_MAL004                (F3.0) /
 DXCCSR_MAL005                (F3.0) /
 DXCCSR_MAL006                (F3.0) /
 DXCCSR_MAL007                (F3.0) /
 DXCCSR_MAL008                (F3.0) /
 DXCCSR_MAL009                (F3.0) /
 DXCCSR_MAL010                (F3.0) /
 DXCCSR_MBD001                (F3.0) /
 DXCCSR_MBD002                (F3.0) /
 DXCCSR_MBD003                (F3.0) /
 DXCCSR_MBD004                (F3.0) /
 DXCCSR_MBD005                (F3.0) /
 DXCCSR_MBD006                (F3.0) /
 DXCCSR_MBD007                (F3.0) /
 DXCCSR_MBD008                (F3.0) /
 DXCCSR_MBD009                (F3.0) /
 DXCCSR_MBD010                (F3.0) /
 DXCCSR_MBD011                (F3.0) /
 DXCCSR_MBD012                (F3.0) /
 DXCCSR_MBD013                (F3.0) /
 DXCCSR_MBD014                (F3.0) /
 DXCCSR_MBD017                (F3.0) /
 DXCCSR_MBD018                (F3.0) /
 DXCCSR_MBD019                (F3.0) /
 DXCCSR_MBD020                (F3.0) /
 DXCCSR_MBD021                (F3.0) /
 DXCCSR_MBD022                (F3.0) /
 DXCCSR_MBD023                (F3.0) /
 DXCCSR_MBD024                (F3.0) /
 DXCCSR_MBD025                (F3.0) /
 DXCCSR_MBD026                (F3.0) /
 DXCCSR_MBD027                (F3.0) /
 DXCCSR_MBD028                (F3.0) /
 DXCCSR_MBD029                (F3.0) /
 DXCCSR_MBD030                (F3.0) /
 DXCCSR_MBD031                (F3.0) /
 DXCCSR_MBD032                (F3.0) /
 DXCCSR_MBD033                (F3.0) /
 DXCCSR_MBD034                (F3.0) /
 DXCCSR_MUS001                (F3.0) /
 DXCCSR_MUS002                (F3.0) /
 DXCCSR_MUS003                (F3.0) /
 DXCCSR_MUS004                (F3.0) /
 DXCCSR_MUS005                (F3.0) /
 DXCCSR_MUS006                (F3.0) /
 DXCCSR_MUS007                (F3.0) /
 DXCCSR_MUS008                (F3.0) /
 DXCCSR_MUS009                (F3.0) /
 DXCCSR_MUS010                (F3.0) /
 DXCCSR_MUS011                (F3.0) /
 DXCCSR_MUS012                (F3.0) /
 DXCCSR_MUS013                (F3.0) /
 DXCCSR_MUS014                (F3.0) /
 DXCCSR_MUS015                (F3.0) /
 DXCCSR_MUS016                (F3.0) /
 DXCCSR_MUS017                (F3.0) /
 DXCCSR_MUS018                (F3.0) /
 DXCCSR_MUS019                (F3.0) /
 DXCCSR_MUS020                (F3.0) /
 DXCCSR_MUS021                (F3.0) /
 DXCCSR_MUS022                (F3.0) /
 DXCCSR_MUS023                (F3.0) /
 DXCCSR_MUS024                (F3.0) /
 DXCCSR_MUS025                (F3.0) /
 DXCCSR_MUS026                (F3.0) /
 DXCCSR_MUS027                (F3.0) /
 DXCCSR_MUS028                (F3.0) /
 DXCCSR_MUS029                (F3.0) /
 DXCCSR_MUS030                (F3.0) /
 DXCCSR_MUS031                (F3.0) /
 DXCCSR_MUS032                (F3.0) /
 DXCCSR_MUS033                (F3.0) /
 DXCCSR_MUS034                (F3.0) /
 DXCCSR_MUS035                (F3.0) /
 DXCCSR_MUS036                (F3.0) /
 DXCCSR_MUS037                (F3.0) /
 DXCCSR_MUS038                (F3.0) /
 DXCCSR_NEO001                (F3.0) /
 DXCCSR_NEO002                (F3.0) /
 DXCCSR_NEO003                (F3.0) /
 DXCCSR_NEO004                (F3.0) /
 DXCCSR_NEO005                (F3.0) /
 DXCCSR_NEO006                (F3.0) /
 DXCCSR_NEO007                (F3.0) /
 DXCCSR_NEO008                (F3.0) /
 DXCCSR_NEO009                (F3.0) /
 DXCCSR_NEO010                (F3.0) /
 DXCCSR_NEO011                (F3.0) /
 DXCCSR_NEO012                (F3.0) /
 DXCCSR_NEO013                (F3.0) /
 DXCCSR_NEO014                (F3.0) /
 DXCCSR_NEO015                (F3.0) /
 DXCCSR_NEO016                (F3.0) /
 DXCCSR_NEO017                (F3.0) /
 DXCCSR_NEO018                (F3.0) /
 DXCCSR_NEO019                (F3.0) /
 DXCCSR_NEO020                (F3.0) /
 DXCCSR_NEO021                (F3.0) /
 DXCCSR_NEO022                (F3.0) /
 DXCCSR_NEO023                (F3.0) /
 DXCCSR_NEO024                (F3.0) /
 DXCCSR_NEO025                (F3.0) /
 DXCCSR_NEO026                (F3.0) /
 DXCCSR_NEO027                (F3.0) /
 DXCCSR_NEO028                (F3.0) /
 DXCCSR_NEO029                (F3.0) /
 DXCCSR_NEO030                (F3.0) /
 DXCCSR_NEO031                (F3.0) /
 DXCCSR_NEO032                (F3.0) /
 DXCCSR_NEO033                (F3.0) /
 DXCCSR_NEO034                (F3.0) /
 DXCCSR_NEO035                (F3.0) /
 DXCCSR_NEO036                (F3.0) /
 DXCCSR_NEO037                (F3.0) /
 DXCCSR_NEO038                (F3.0) /
 DXCCSR_NEO039                (F3.0) /
 DXCCSR_NEO040                (F3.0) /
 DXCCSR_NEO041                (F3.0) /
 DXCCSR_NEO042                (F3.0) /
 DXCCSR_NEO043                (F3.0) /
 DXCCSR_NEO044                (F3.0) /
 DXCCSR_NEO045                (F3.0) /
 DXCCSR_NEO046                (F3.0) /
 DXCCSR_NEO047                (F3.0) /
 DXCCSR_NEO048                (F3.0) /
 DXCCSR_NEO049                (F3.0) /
 DXCCSR_NEO050                (F3.0) /
 DXCCSR_NEO051                (F3.0) /
 DXCCSR_NEO052                (F3.0) /
 DXCCSR_NEO053                (F3.0) /
 DXCCSR_NEO054                (F3.0) /
 DXCCSR_NEO055                (F3.0) /
 DXCCSR_NEO056                (F3.0) /
 DXCCSR_NEO057                (F3.0) /
 DXCCSR_NEO058                (F3.0) /
 DXCCSR_NEO059                (F3.0) /
 DXCCSR_NEO060                (F3.0) /
 DXCCSR_NEO061                (F3.0) /
 DXCCSR_NEO062                (F3.0) /
 DXCCSR_NEO063                (F3.0) /
 DXCCSR_NEO064                (F3.0) /
 DXCCSR_NEO065                (F3.0) /
 DXCCSR_NEO066                (F3.0) /
 DXCCSR_NEO067                (F3.0) /
 DXCCSR_NEO068                (F3.0) /
 DXCCSR_NEO069                (F3.0) /
 DXCCSR_NEO070                (F3.0) /
 DXCCSR_NEO071                (F3.0) /
 DXCCSR_NEO072                (F3.0) /
 DXCCSR_NEO073                (F3.0) /
 DXCCSR_NEO074                (F3.0) /
 DXCCSR_NVS001                (F3.0) /
 DXCCSR_NVS002                (F3.0) /
 DXCCSR_NVS003                (F3.0) /
 DXCCSR_NVS004                (F3.0) /
 DXCCSR_NVS005                (F3.0) /
 DXCCSR_NVS006                (F3.0) /
 DXCCSR_NVS007                (F3.0) /
 DXCCSR_NVS008                (F3.0) /
 DXCCSR_NVS009                (F3.0) /
 DXCCSR_NVS010                (F3.0) /
 DXCCSR_NVS011                (F3.0) /
 DXCCSR_NVS012                (F3.0) /
 DXCCSR_NVS013                (F3.0) /
 DXCCSR_NVS014                (F3.0) /
 DXCCSR_NVS015                (F3.0) /
 DXCCSR_NVS016                (F3.0) /
 DXCCSR_NVS017                (F3.0) /
 DXCCSR_NVS018                (F3.0) /
 DXCCSR_NVS019                (F3.0) /
 DXCCSR_NVS020                (F3.0) /
 DXCCSR_NVS021                (F3.0) /
 DXCCSR_NVS022                (F3.0) /
 DXCCSR_PNL001                (F3.0) /
 DXCCSR_PNL002                (F3.0) /
 DXCCSR_PNL003                (F3.0) /
 DXCCSR_PNL004                (F3.0) /
 DXCCSR_PNL005                (F3.0) /
 DXCCSR_PNL006                (F3.0) /
 DXCCSR_PNL007                (F3.0) /
 DXCCSR_PNL008                (F3.0) /
 DXCCSR_PNL009                (F3.0) /
 DXCCSR_PNL010                (F3.0) /
 DXCCSR_PNL011                (F3.0) /
 DXCCSR_PNL012                (F3.0) /
 DXCCSR_PNL013                (F3.0) /
 DXCCSR_PNL014                (F3.0) /
 DXCCSR_PNL015                (F3.0) /
 DXCCSR_PRG001                (F3.0) /
 DXCCSR_PRG002                (F3.0) /
 DXCCSR_PRG003                (F3.0) /
 DXCCSR_PRG004                (F3.0) /
 DXCCSR_PRG005                (F3.0) /
 DXCCSR_PRG006                (F3.0) /
 DXCCSR_PRG007                (F3.0) /
 DXCCSR_PRG008                (F3.0) /
 DXCCSR_PRG009                (F3.0) /
 DXCCSR_PRG010                (F3.0) /
 DXCCSR_PRG011                (F3.0) /
 DXCCSR_PRG012                (F3.0) /
 DXCCSR_PRG013                (F3.0) /
 DXCCSR_PRG014                (F3.0) /
 DXCCSR_PRG015                (F3.0) /
 DXCCSR_PRG016                (F3.0) /
 DXCCSR_PRG017                (F3.0) /
 DXCCSR_PRG018                (F3.0) /
 DXCCSR_PRG019                (F3.0) /
 DXCCSR_PRG020                (F3.0) /
 DXCCSR_PRG021                (F3.0) /
 DXCCSR_PRG022                (F3.0) /
 DXCCSR_PRG023                (F3.0) /
 DXCCSR_PRG024                (F3.0) /
 DXCCSR_PRG025                (F3.0) /
 DXCCSR_PRG026                (F3.0) /
 DXCCSR_PRG027                (F3.0) /
 DXCCSR_PRG028                (F3.0) /
 DXCCSR_PRG029                (F3.0) /
 DXCCSR_PRG030                (F3.0) /
 DXCCSR_RSP001                (F3.0) /
 DXCCSR_RSP002                (F3.0) /
 DXCCSR_RSP003                (F3.0) /
 DXCCSR_RSP004                (F3.0) /
 DXCCSR_RSP005                (F3.0) /
 DXCCSR_RSP006                (F3.0) /
 DXCCSR_RSP007                (F3.0) /
 DXCCSR_RSP008                (F3.0) /
 DXCCSR_RSP009                (F3.0) /
 DXCCSR_RSP010                (F3.0) /
 DXCCSR_RSP011                (F3.0) /
 DXCCSR_RSP012                (F3.0) /
 DXCCSR_RSP013                (F3.0) /
 DXCCSR_RSP014                (F3.0) /
 DXCCSR_RSP015                (F3.0) /
 DXCCSR_RSP016                (F3.0) /
 DXCCSR_RSP017                (F3.0) /
 DXCCSR_SKN001                (F3.0) /
 DXCCSR_SKN002                (F3.0) /
 DXCCSR_SKN003                (F3.0) /
 DXCCSR_SKN004                (F3.0) /
 DXCCSR_SKN005                (F3.0) /
 DXCCSR_SKN006                (F3.0) /
 DXCCSR_SKN007                (F3.0) /
 DXCCSR_SYM001                (F3.0) /
 DXCCSR_SYM002                (F3.0) /
 DXCCSR_SYM003                (F3.0) /
 DXCCSR_SYM004                (F3.0) /
 DXCCSR_SYM005                (F3.0) /
 DXCCSR_SYM006                (F3.0) /
 DXCCSR_SYM007                (F3.0) /
 DXCCSR_SYM008                (F3.0) /
 DXCCSR_SYM009                (F3.0) /
 DXCCSR_SYM010                (F3.0) /
 DXCCSR_SYM011                (F3.0) /
 DXCCSR_SYM012                (F3.0) /
 DXCCSR_SYM013                (F3.0) /
 DXCCSR_SYM014                (F3.0) /
 DXCCSR_SYM015                (F3.0) /
 DXCCSR_SYM016                (F3.0) /
 DXCCSR_SYM017                (F3.0) /
 PRCCSR_ADM001                (F3.0) /
 PRCCSR_ADM002                (F3.0) /
 PRCCSR_ADM003                (F3.0) /
 PRCCSR_ADM004                (F3.0) /
 PRCCSR_ADM005                (F3.0) /
 PRCCSR_ADM006                (F3.0) /
 PRCCSR_ADM007                (F3.0) /
 PRCCSR_ADM008                (F3.0) /
 PRCCSR_ADM009                (F3.0) /
 PRCCSR_ADM010                (F3.0) /
 PRCCSR_ADM011                (F3.0) /
 PRCCSR_ADM012                (F3.0) /
 PRCCSR_ADM013                (F3.0) /
 PRCCSR_ADM014                (F3.0) /
 PRCCSR_ADM015                (F3.0) /
 PRCCSR_ADM016                (F3.0) /
 PRCCSR_ADM017                (F3.0) /
 PRCCSR_ADM018                (F3.0) /
 PRCCSR_ADM019                (F3.0) /
 PRCCSR_ADM020                (F3.0) /
 PRCCSR_ADM021                (F3.0) /
 PRCCSR_CAR001                (F3.0) /
 PRCCSR_CAR002                (F3.0) /
 PRCCSR_CAR003                (F3.0) /
 PRCCSR_CAR004                (F3.0) /
 PRCCSR_CAR005                (F3.0) /
 PRCCSR_CAR006                (F3.0) /
 PRCCSR_CAR007                (F3.0) /
 PRCCSR_CAR008                (F3.0) /
 PRCCSR_CAR009                (F3.0) /
 PRCCSR_CAR010                (F3.0) /
 PRCCSR_CAR011                (F3.0) /
 PRCCSR_CAR012                (F3.0) /
 PRCCSR_CAR013                (F3.0) /
 PRCCSR_CAR014                (F3.0) /
 PRCCSR_CAR015                (F3.0) /
 PRCCSR_CAR016                (F3.0) /
 PRCCSR_CAR017                (F3.0) /
 PRCCSR_CAR018                (F3.0) /
 PRCCSR_CAR019                (F3.0) /
 PRCCSR_CAR020                (F3.0) /
 PRCCSR_CAR021                (F3.0) /
 PRCCSR_CAR022                (F3.0) /
 PRCCSR_CAR023                (F3.0) /
 PRCCSR_CAR024                (F3.0) /
 PRCCSR_CAR025                (F3.0) /
 PRCCSR_CAR026                (F3.0) /
 PRCCSR_CAR027                (F3.0) /
 PRCCSR_CAR028                (F3.0) /
 PRCCSR_CAR029                (F3.0) /
 PRCCSR_CHP001                (F3.0) /
 PRCCSR_CNS001                (F3.0) /
 PRCCSR_CNS002                (F3.0) /
 PRCCSR_CNS003                (F3.0) /
 PRCCSR_CNS004                (F3.0) /
 PRCCSR_CNS005                (F3.0) /
 PRCCSR_CNS006                (F3.0) /
 PRCCSR_CNS007                (F3.0) /
 PRCCSR_CNS008                (F3.0) /
 PRCCSR_CNS009                (F3.0) /
 PRCCSR_CNS010                (F3.0) /
 PRCCSR_CNS011                (F3.0) /
 PRCCSR_CNS012                (F3.0) /
 PRCCSR_CNS013                (F3.0) /
 PRCCSR_CNS014                (F3.0) /
 PRCCSR_ENP001                (F3.0) /
 PRCCSR_ENP002                (F3.0) /
 PRCCSR_ENP003                (F3.0) /
 PRCCSR_ENP004                (F3.0) /
 PRCCSR_ENP005                (F3.0) /
 PRCCSR_ENP006                (F3.0) /
 PRCCSR_ENT001                (F3.0) /
 PRCCSR_ENT002                (F3.0) /
 PRCCSR_ENT003                (F3.0) /
 PRCCSR_ENT004                (F3.0) /
 PRCCSR_ENT005                (F3.0) /
 PRCCSR_ENT006                (F3.0) /
 PRCCSR_ENT007                (F3.0) /
 PRCCSR_ENT008                (F3.0) /
 PRCCSR_ENT009                (F3.0) /
 PRCCSR_ENT010                (F3.0) /
 PRCCSR_ENT011                (F3.0) /
 PRCCSR_ENT012                (F3.0) /
 PRCCSR_ENT013                (F3.0) /
 PRCCSR_ENT014                (F3.0) /
 PRCCSR_ENT015                (F3.0) /
 PRCCSR_ENT016                (F3.0) /
 PRCCSR_ENT017                (F3.0) /
 PRCCSR_ESA001                (F3.0) /
 PRCCSR_ESA002                (F3.0) /
 PRCCSR_ESA003                (F3.0) /
 PRCCSR_ESA004                (F3.0) /
 PRCCSR_ESA005                (F3.0) /
 PRCCSR_ESA006                (F3.0) /
 PRCCSR_ESA007                (F3.0) /
 PRCCSR_ESA008                (F3.0) /
 PRCCSR_ESA009                (F3.0) /
 PRCCSR_ESA010                (F3.0) /
 PRCCSR_ESA011                (F3.0) /
 PRCCSR_EST001                (F3.0) /
 PRCCSR_EST002                (F3.0) /
 PRCCSR_EST003                (F3.0) /
 PRCCSR_EST004                (F3.0) /
 PRCCSR_EST005                (F3.0) /
 PRCCSR_EYP001                (F3.0) /
 PRCCSR_EYP002                (F3.0) /
 PRCCSR_FRS001                (F3.0) /
 PRCCSR_FRS002                (F3.0) /
 PRCCSR_FRS003                (F3.0) /
 PRCCSR_FRS004                (F3.0) /
 PRCCSR_FRS005                (F3.0) /
 PRCCSR_FRS006                (F3.0) /
 PRCCSR_FRS007                (F3.0) /
 PRCCSR_FRS008                (F3.0) /
 PRCCSR_FRS009                (F3.0) /
 PRCCSR_FRS010                (F3.0) /
 PRCCSR_FRS011                (F3.0) /
 PRCCSR_FRS012                (F3.0) /
 PRCCSR_FRS013                (F3.0) /
 PRCCSR_FRS014                (F3.0) /
 PRCCSR_FRS015                (F3.0) /
 PRCCSR_GIS001                (F3.0) /
 PRCCSR_GIS002                (F3.0) /
 PRCCSR_GIS003                (F3.0) /
 PRCCSR_GIS004                (F3.0) /
 PRCCSR_GIS005                (F3.0) /
 PRCCSR_GIS006                (F3.0) /
 PRCCSR_GIS007                (F3.0) /
 PRCCSR_GIS008                (F3.0) /
 PRCCSR_GIS009                (F3.0) /
 PRCCSR_GIS010                (F3.0) /
 PRCCSR_GIS011                (F3.0) /
 PRCCSR_GIS012                (F3.0) /
 PRCCSR_GIS013                (F3.0) /
 PRCCSR_GIS014                (F3.0) /
 PRCCSR_GIS015                (F3.0) /
 PRCCSR_GIS016                (F3.0) /
 PRCCSR_GIS017                (F3.0) /
 PRCCSR_GIS018                (F3.0) /
 PRCCSR_GIS019                (F3.0) /
 PRCCSR_GIS020                (F3.0) /
 PRCCSR_GIS021                (F3.0) /
 PRCCSR_GIS022                (F3.0) /
 PRCCSR_GIS023                (F3.0) /
 PRCCSR_GIS024                (F3.0) /
 PRCCSR_GIS025                (F3.0) /
 PRCCSR_GIS026                (F3.0) /
 PRCCSR_GIS027                (F3.0) /
 PRCCSR_GIS028                (F3.0) /
 PRCCSR_GIS029                (F3.0) /
 PRCCSR_GNR001                (F3.0) /
 PRCCSR_GNR002                (F3.0) /
 PRCCSR_GNR003                (F3.0) /
 PRCCSR_GNR004                (F3.0) /
 PRCCSR_GNR005                (F3.0) /
 PRCCSR_GNR006                (F3.0) /
 PRCCSR_GNR007                (F3.0) /
 PRCCSR_GNR008                (F3.0) /
 PRCCSR_GNR009                (F3.0) /
 PRCCSR_GNR010                (F3.0) /
 PRCCSR_HEP001                (F3.0) /
 PRCCSR_HEP002                (F3.0) /
 PRCCSR_HEP003                (F3.0) /
 PRCCSR_HEP004                (F3.0) /
 PRCCSR_HEP005                (F3.0) /
 PRCCSR_HEP006                (F3.0) /
 PRCCSR_HEP007                (F3.0) /
 PRCCSR_HEP008                (F3.0) /
 PRCCSR_HEP009                (F3.0) /
 PRCCSR_HEP010                (F3.0) /
 PRCCSR_HEP011                (F3.0) /
 PRCCSR_HEP012                (F3.0) /
 PRCCSR_HEP013                (F3.0) /
 PRCCSR_IMG001                (F3.0) /
 PRCCSR_IMG002                (F3.0) /
 PRCCSR_IMG003                (F3.0) /
 PRCCSR_IMG004                (F3.0) /
 PRCCSR_IMG005                (F3.0) /
 PRCCSR_IMG006                (F3.0) /
 PRCCSR_IMG007                (F3.0) /
 PRCCSR_IMG008                (F3.0) /
 PRCCSR_IMG009                (F3.0) /
 PRCCSR_IMG010                (F3.0) /
 PRCCSR_LYM001                (F3.0) /
 PRCCSR_LYM002                (F3.0) /
 PRCCSR_LYM003                (F3.0) /
 PRCCSR_LYM004                (F3.0) /
 PRCCSR_LYM005                (F3.0) /
 PRCCSR_LYM006                (F3.0) /
 PRCCSR_LYM007                (F3.0) /
 PRCCSR_LYM008                (F3.0) /
 PRCCSR_LYM009                (F3.0) /
 PRCCSR_LYM010                (F3.0) /
 PRCCSR_LYM011                (F3.0) /
 PRCCSR_MAM001                (F3.0) /
 PRCCSR_MAM002                (F3.0) /
 PRCCSR_MAM003                (F3.0) /
 PRCCSR_MAM004                (F3.0) /
 PRCCSR_MAM005                (F3.0) /
 PRCCSR_MAM006                (F3.0) /
 PRCCSR_MAM007                (F3.0) /
 PRCCSR_MAM008                (F3.0) /
 PRCCSR_MAM009                (F3.0) /
 PRCCSR_MAM010                (F3.0) /
 PRCCSR_MAM011                (F3.0) /
 PRCCSR_MAM012                (F3.0) /
 PRCCSR_MAM013                (F3.0) /
 PRCCSR_MAM014                (F3.0) /
 PRCCSR_MAM015                (F3.0) /
 PRCCSR_MHT001                (F3.0) /
 PRCCSR_MHT002                (F3.0) /
 PRCCSR_MHT003                (F3.0) /
 PRCCSR_MHT004                (F3.0) /
 PRCCSR_MHT005                (F3.0) /
 PRCCSR_MRS001                (F3.0) /
 PRCCSR_MRS002                (F3.0) /
 PRCCSR_MRS003                (F3.0) /
 PRCCSR_MRS004                (F3.0) /
 PRCCSR_MRS005                (F3.0) /
 PRCCSR_MRS006                (F3.0) /
 PRCCSR_MRS007                (F3.0) /
 PRCCSR_MST001                (F3.0) /
 PRCCSR_MST002                (F3.0) /
 PRCCSR_MST003                (F3.0) /
 PRCCSR_MST004                (F3.0) /
 PRCCSR_MST005                (F3.0) /
 PRCCSR_MST006                (F3.0) /
 PRCCSR_MST007                (F3.0) /
 PRCCSR_MST008                (F3.0) /
 PRCCSR_MST009                (F3.0) /
 PRCCSR_MST010                (F3.0) /
 PRCCSR_MST011                (F3.0) /
 PRCCSR_MST012                (F3.0) /
 PRCCSR_MST013                (F3.0) /
 PRCCSR_MST014                (F3.0) /
 PRCCSR_MST015                (F3.0) /
 PRCCSR_MST016                (F3.0) /
 PRCCSR_MST017                (F3.0) /
 PRCCSR_MST018                (F3.0) /
 PRCCSR_MST019                (F3.0) /
 PRCCSR_MST020                (F3.0) /
 PRCCSR_MST021                (F3.0) /
 PRCCSR_MST022                (F3.0) /
 PRCCSR_MST023                (F3.0) /
 PRCCSR_MST024                (F3.0) /
 PRCCSR_MST025                (F3.0) /
 PRCCSR_MST026                (F3.0) /
 PRCCSR_MST027                (F3.0) /
 PRCCSR_MST028                (F3.0) /
 PRCCSR_MST029                (F3.0) /
 PRCCSR_MST030                (F3.0) /
 PRCCSR_NCM001                (F3.0) /
 PRCCSR_NCM002                (F3.0) /
 PRCCSR_NCM003                (F3.0) /
 PRCCSR_NCM004                (F3.0) /
 PRCCSR_OST001                (F3.0) /
 PRCCSR_OTR001                (F3.0) /
 PRCCSR_OTR002                (F3.0) /
 PRCCSR_OTR003                (F3.0) /
 PRCCSR_OTR004                (F3.0) /
 PRCCSR_OTR005                (F3.0) /
 PRCCSR_PGN001                (F3.0) /
 PRCCSR_PGN002                (F3.0) /
 PRCCSR_PGN003                (F3.0) /
 PRCCSR_PGN004                (F3.0) /
 PRCCSR_PGN005                (F3.0) /
 PRCCSR_PGN006                (F3.0) /
 PRCCSR_PGN007                (F3.0) /
 PRCCSR_PGN008                (F3.0) /
 PRCCSR_PGN009                (F3.0) /
 PRCCSR_PLC001                (F3.0) /
 PRCCSR_PLC002                (F3.0) /
 PRCCSR_PNS001                (F3.0) /
 PRCCSR_PNS002                (F3.0) /
 PRCCSR_PNS003                (F3.0) /
 PRCCSR_PNS004                (F3.0) /
 PRCCSR_PNS005                (F3.0) /
 PRCCSR_PNS006                (F3.0) /
 PRCCSR_RAD001                (F3.0) /
 PRCCSR_RAD002                (F3.0) /
 PRCCSR_RAD003                (F3.0) /
 PRCCSR_RAD004                (F3.0) /
 PRCCSR_RES001                (F3.0) /
 PRCCSR_RES002                (F3.0) /
 PRCCSR_RES003                (F3.0) /
 PRCCSR_RES004                (F3.0) /
 PRCCSR_RES005                (F3.0) /
 PRCCSR_RES006                (F3.0) /
 PRCCSR_RES007                (F3.0) /
 PRCCSR_RES008                (F3.0) /
 PRCCSR_RES009                (F3.0) /
 PRCCSR_RES010                (F3.0) /
 PRCCSR_RES011                (F3.0) /
 PRCCSR_RES012                (F3.0) /
 PRCCSR_RES013                (F3.0) /
 PRCCSR_RES014                (F3.0) /
 PRCCSR_RHB001                (F3.0) /
 PRCCSR_RHB002                (F3.0) /
 PRCCSR_RHB003                (F3.0) /
 PRCCSR_RHB004                (F3.0) /
 PRCCSR_SKB001                (F3.0) /
 PRCCSR_SKB002                (F3.0) /
 PRCCSR_SKB003                (F3.0) /
 PRCCSR_SKB004                (F3.0) /
 PRCCSR_SKB005                (F3.0) /
 PRCCSR_SKB006                (F3.0) /
 PRCCSR_SKB007                (F3.0) /
 PRCCSR_SKB008                (F3.0) /
 PRCCSR_SKB009                (F3.0) /
 PRCCSR_SKB010                (F3.0) /
 PRCCSR_SUD001                (F3.0) /
 PRCCSR_SUD002                (F3.0) /
 PRCCSR_SUD003                (F3.0) /
 PRCCSR_SUD004                (F3.0) /
 PRCCSR_URN001                (F3.0) /
 PRCCSR_URN002                (F3.0) /
 PRCCSR_URN003                (F3.0) /
 PRCCSR_URN004                (F3.0) /
 PRCCSR_URN005                (F3.0) /
 PRCCSR_URN006                (F3.0) /
 PRCCSR_URN007                (F3.0) /
 PRCCSR_URN008                (F3.0) /
 PRCCSR_URN009                (F3.0) /
 PRCCSR_URN010                (F3.0) /
 PRCCSR_URN011                (F3.0) /
 PRCCSR_URN012                (F3.0) /
.


***  Assign labels to the variables ***.
VARIABLE LABELS 
 CMR_AIDS                     "Acquired immune deficiency syndrome"
 CMR_ALCOHOL                  "Alcohol abuse"
 CMR_ANEMDEF                  "Deficiency anemias"
 CMR_ARTH                     "Arthropathies"
 CMR_BLDLOSS                  "Chronic blood loss anemia"
 CMR_CANCER_LEUK              "Leukemia"
 CMR_CANCER_LYMPH             "Lymphoma"
 CMR_CANCER_METS              "Metastatic cancer"
 CMR_CANCER_NSITU             "Solid tumor without metastasis, in situ"
 CMR_CANCER_SOLID             "Solid tumor without metastasis, malignant"
 CMR_CBVD                     "Cerebrovascular disease"
 CMR_CHF                      "Congestive heart failure"
 CMR_COAG                     "Coagulopathy"
 CMR_DEMENTIA                 "Dementia"
 CMR_DEPRESS                  "Depression"
 CMR_DIAB_CX                  "Diabetes with chronic complications"
 CMR_DIAB_UNCX                "Diabetes without chronic complications"
 CMR_DRUG_ABUSE               "Drug abuse"
 CMR_HTN_CX                   "Hypertension, complicated"
 CMR_HTN_UNCX                 "Hypertension, uncomplicated"
 CMR_LIVER_MLD                "Liver disease, mild"
 CMR_LIVER_SEV                "Liver disease, moderate to severe"
 CMR_LUNG_CHRONIC             "Chronic pulmonary disease"
 CMR_NEURO_MOVT               "Neurological disorders affecting movement"
 CMR_NEURO_OTH                "Other neurological disorders"
 CMR_NEURO_SEIZ               "Seizures and epilepsy"
 CMR_OBESE                    "Obesity"
 CMR_PARALYSIS                "Paralysis"
 CMR_PERIVASC                 "Peripheral vascular disease"
 CMR_PSYCHOSES                "Psychoses"
 CMR_PULMCIRC                 "Pulmonary circulation disease"
 CMR_RENLFL_MOD               "Renal failure, moderate"
 CMR_RENLFL_SEV               "Renal failure, severe"
 CMR_THYROID_HYPO             "Hypothyroidism"
 CMR_THYROID_OTH              "Other thyroid disorders"
 CMR_ULCER_PEPTIC             "Peptic ulcer disease x bleeding"
 CMR_VALVE                    "Valvular disease"
 CMR_VERSION                  "Version of Elixhauser Comorbidity Software Refined for ICD-10-CM"
 CMR_WGHTLOSS                 "Weight loss"
 I10_INJURY

"Injury ICD-10-CM diagnosis reported on record (1: First-listed injury; 2: Other than first-listed injury; 0: No injury)
"
 I10_INJURY_CUT               "Mechanism of injury: cut or pierce"
 I10_INJURY_DROWN             "Mechanism of injury: drowning or submersion"
 I10_INJURY_FALL              "Mechanism of injury: fall"
 I10_INJURY_FIRE              "Mechanism of injury: fire, flame, hot object, or hot substance"
 I10_INJURY_FIREARM           "Mechanism of injury: firearm"
 I10_INJURY_MACHINERY         "Mechanism of injury: machinery"
 I10_INJURY_MVT

"Mechanism of injury: motor vehicle traffic, including the occupant of a car, motorcyclist, pedal cyclist, pedestrian, o
ther, or unspecified"
 I10_INJURY_NATURE
"Mechanism of injury: natural or environmental, included venomous and nonvenomous bites and stings"
 I10_INJURY_OVEREXERTION      "Mechanism of injury: overexertion"
 I10_INJURY_POISON            "Mechanism of injury: poisoning, including drugs and nondrugs"
 I10_INJURY_STRUCK            "Mechanism of injury: struck by or against"
 I10_INJURY_SUFFOCATION       "Mechanism of injury: suffocation"
 I10_INTENT_ASSAULT           "Intent of injury: assault"
 I10_INTENT_SELF_HARM         "Intent of injury: intentional self-harm"
 I10_INTENT_UNINTENTIONAL     "Intent of injury: unintentional"
 I10_MULTINJURY               "Multiple ICD-10-CM injuries reported on record"
 KEY                          "HCUP record identifier"
 PCLASS_VERSION               "Version of ICD-10-PCS Procedure class"
 PCLASS1                      "ICD-10-PCS Procedure class 1"
 PCLASS2                      "ICD-10-PCS Procedure class 2"
 PCLASS3                      "ICD-10-PCS Procedure class 3"
 PCLASS4                      "ICD-10-PCS Procedure class 4"
 PCLASS5                      "ICD-10-PCS Procedure class 5"
 PCLASS6                      "ICD-10-PCS Procedure class 6"
 PCLASS7                      "ICD-10-PCS Procedure class 7"
 PCLASS8                      "ICD-10-PCS Procedure class 8"
 PCLASS9                      "ICD-10-PCS Procedure class 9"
 PCLASS10                     "ICD-10-PCS Procedure class 10"
 PCLASS11                     "ICD-10-PCS Procedure class 11"
 PCLASS12                     "ICD-10-PCS Procedure class 12"
 PCLASS13                     "ICD-10-PCS Procedure class 13"
 PCLASS14                     "ICD-10-PCS Procedure class 14"
 PCLASS15                     "ICD-10-PCS Procedure class 15"
 PCLASS16                     "ICD-10-PCS Procedure class 16"
 PCLASS17                     "ICD-10-PCS Procedure class 17"
 PCLASS18                     "ICD-10-PCS Procedure class 18"
 PCLASS19                     "ICD-10-PCS Procedure class 19"
 PCLASS20                     "ICD-10-PCS Procedure class 20"
 PCLASS21                     "ICD-10-PCS Procedure class 21"
 PCLASS22                     "ICD-10-PCS Procedure class 22"
 PCLASS23                     "ICD-10-PCS Procedure class 23"
 PCLASS24                     "ICD-10-PCS Procedure class 24"
 PCLASS25                     "ICD-10-PCS Procedure class 25"
 PCLASS26                     "ICD-10-PCS Procedure class 26"
 PCLASS27                     "ICD-10-PCS Procedure class 27"
 PCLASS28                     "ICD-10-PCS Procedure class 28"
 PCLASS29                     "ICD-10-PCS Procedure class 29"
 PCLASS30                     "ICD-10-PCS Procedure class 30"
 PCLASS31                     "ICD-10-PCS Procedure class 31"
 PCLASS32                     "ICD-10-PCS Procedure class 32"
 PCLASS33                     "ICD-10-PCS Procedure class 33"
 PCLASS34                     "ICD-10-PCS Procedure class 34"
 PCLASS35                     "ICD-10-PCS Procedure class 35"
 PCLASS36                     "ICD-10-PCS Procedure class 36"
 PCLASS37                     "ICD-10-PCS Procedure class 37"
 PCLASS38                     "ICD-10-PCS Procedure class 38"
 PCLASS39                     "ICD-10-PCS Procedure class 39"
 PCLASS40                     "ICD-10-PCS Procedure class 40"
 PCLASS41                     "ICD-10-PCS Procedure class 41"
 PCLASS42                     "ICD-10-PCS Procedure class 42"
 PCLASS43                     "ICD-10-PCS Procedure class 43"
 PCLASS44                     "ICD-10-PCS Procedure class 44"
 PCLASS45                     "ICD-10-PCS Procedure class 45"
 PCLASS46                     "ICD-10-PCS Procedure class 46"
 PCLASS47                     "ICD-10-PCS Procedure class 47"
 PCLASS48                     "ICD-10-PCS Procedure class 48"
 PCLASS49                     "ICD-10-PCS Procedure class 49"
 PCLASS50                     "ICD-10-PCS Procedure class 50"
 PCLASS51                     "ICD-10-PCS Procedure class 51"
 PCLASS52                     "ICD-10-PCS Procedure class 52"
 PCLASS53                     "ICD-10-PCS Procedure class 53"
 PCLASS54                     "ICD-10-PCS Procedure class 54"
 PCLASS55                     "ICD-10-PCS Procedure class 55"
 PCLASS56                     "ICD-10-PCS Procedure class 56"
 PCLASS57                     "ICD-10-PCS Procedure class 57"
 PCLASS58                     "ICD-10-PCS Procedure class 58"
 PCLASS59                     "ICD-10-PCS Procedure class 59"
 PCLASS60                     "ICD-10-PCS Procedure class 60"
 PCLASS61                     "ICD-10-PCS Procedure class 61"
 PCLASS62                     "ICD-10-PCS Procedure class 62"
 PCLASS63                     "ICD-10-PCS Procedure class 63"
 PCLASS64                     "ICD-10-PCS Procedure class 64"
 PCLASS65                     "ICD-10-PCS Procedure class 65"
 PCLASS66                     "ICD-10-PCS Procedure class 66"
 PCLASS67                     "ICD-10-PCS Procedure class 67"
 PCLASS68                     "ICD-10-PCS Procedure class 68"
 PCLASS69                     "ICD-10-PCS Procedure class 69"
 PCLASS70                     "ICD-10-PCS Procedure class 70"
 PCLASS71                     "ICD-10-PCS Procedure class 71"
 PCLASS72                     "ICD-10-PCS Procedure class 72"
 PCLASS73                     "ICD-10-PCS Procedure class 73"
 PCLASS74                     "ICD-10-PCS Procedure class 74"
 PCLASS75                     "ICD-10-PCS Procedure class 75"
 PCLASS76                     "ICD-10-PCS Procedure class 76"
 PCLASS77                     "ICD-10-PCS Procedure class 77"
 PCLASS78                     "ICD-10-PCS Procedure class 78"
 PCLASS79                     "ICD-10-PCS Procedure class 79"
 PCLASS80                     "ICD-10-PCS Procedure class 80"
 PCLASS81                     "ICD-10-PCS Procedure class 81"
 PCLASS82                     "ICD-10-PCS Procedure class 82"
 PCLASS83                     "ICD-10-PCS Procedure class 83"
 PCLASS84                     "ICD-10-PCS Procedure class 84"
 PCLASS85                     "ICD-10-PCS Procedure class 85"
 PCLASS86                     "ICD-10-PCS Procedure class 86"
 PCLASS87                     "ICD-10-PCS Procedure class 87"
 PCLASS88                     "ICD-10-PCS Procedure class 88"
 PCLASS89                     "ICD-10-PCS Procedure class 89"
 PCLASS90                     "ICD-10-PCS Procedure class 90"
 PCLASS91                     "ICD-10-PCS Procedure class 91"
 PCLASS92                     "ICD-10-PCS Procedure class 92"
 PCLASS93                     "ICD-10-PCS Procedure class 93"
 PCLASS94                     "ICD-10-PCS Procedure class 94"
 PCLASS95                     "ICD-10-PCS Procedure class 95"
 PCLASS96                     "ICD-10-PCS Procedure class 96"
 PCLASS97                     "ICD-10-PCS Procedure class 97"
 PCLASS98                     "ICD-10-PCS Procedure class 98"
 PCLASS99                     "ICD-10-PCS Procedure class 99"
 PCLASS100                    "ICD-10-PCS Procedure class 100"
 PCLASS101                    "ICD-10-PCS Procedure class 101"
 PCLASS102                    "ICD-10-PCS Procedure class 102"
 PCLASS103                    "ICD-10-PCS Procedure class 103"
 PCLASS104                    "ICD-10-PCS Procedure class 104"
 PCLASS105                    "ICD-10-PCS Procedure class 105"
 PCLASS106                    "ICD-10-PCS Procedure class 106"
 PCLASS107                    "ICD-10-PCS Procedure class 107"
 PCLASS108                    "ICD-10-PCS Procedure class 108"
 PCLASS109                    "ICD-10-PCS Procedure class 109"
 PCLASS110                    "ICD-10-PCS Procedure class 110"
 PCLASS111                    "ICD-10-PCS Procedure class 111"
 PCLASS112                    "ICD-10-PCS Procedure class 112"
 PCLASS113                    "ICD-10-PCS Procedure class 113"
 PCLASS114                    "ICD-10-PCS Procedure class 114"
 PCLASS115                    "ICD-10-PCS Procedure class 115"
 PCLASS116                    "ICD-10-PCS Procedure class 116"
 PCLASS117                    "ICD-10-PCS Procedure class 117"
 PCLASS118                    "ICD-10-PCS Procedure class 118"
 PCLASS119                    "ICD-10-PCS Procedure class 119"
 PCLASS120                    "ICD-10-PCS Procedure class 120"
 PCLASS121                    "ICD-10-PCS Procedure class 121"
 PCLASS122                    "ICD-10-PCS Procedure class 122"
 PCLASS123                    "ICD-10-PCS Procedure class 123"
 PCLASS124                    "ICD-10-PCS Procedure class 124"
 PCLASS125                    "ICD-10-PCS Procedure class 125"
 PCLASS126                    "ICD-10-PCS Procedure class 126"
 PCLASS127                    "ICD-10-PCS Procedure class 127"
 PCLASS128                    "ICD-10-PCS Procedure class 128"
 PCLASS129                    "ICD-10-PCS Procedure class 129"
 PCLASS130                    "ICD-10-PCS Procedure class 130"
 PCLASS131                    "ICD-10-PCS Procedure class 131"
 PCLASS132                    "ICD-10-PCS Procedure class 132"
 PCLASS133                    "ICD-10-PCS Procedure class 133"
 PCLASS134                    "ICD-10-PCS Procedure class 134"
 PCLASS135                    "ICD-10-PCS Procedure class 135"
 PCLASS136                    "ICD-10-PCS Procedure class 136"
 PCLASS137                    "ICD-10-PCS Procedure class 137"
 PCLASS138                    "ICD-10-PCS Procedure class 138"
 PCLASS139                    "ICD-10-PCS Procedure class 139"
 PCLASS140                    "ICD-10-PCS Procedure class 140"
 PCLASS141                    "ICD-10-PCS Procedure class 141"
 PCLASS142                    "ICD-10-PCS Procedure class 142"
 PCLASS143                    "ICD-10-PCS Procedure class 143"
 PCLASS144                    "ICD-10-PCS Procedure class 144"
 PCLASS145                    "ICD-10-PCS Procedure class 145"
 PCLASS146                    "ICD-10-PCS Procedure class 146"
 PCLASS147                    "ICD-10-PCS Procedure class 147"
 PCLASS148                    "ICD-10-PCS Procedure class 148"
 PCLASS149                    "ICD-10-PCS Procedure class 149"
 PCLASS150                    "ICD-10-PCS Procedure class 150"
 PCLASS151                    "ICD-10-PCS Procedure class 151"
 PCLASS152                    "ICD-10-PCS Procedure class 152"
 PCLASS153                    "ICD-10-PCS Procedure class 153"
 PCLASS154                    "ICD-10-PCS Procedure class 154"
 PCLASS155                    "ICD-10-PCS Procedure class 155"
 PCLASS156                    "ICD-10-PCS Procedure class 156"
 PCLASS157                    "ICD-10-PCS Procedure class 157"
 PCLASS158                    "ICD-10-PCS Procedure class 158"
 PCLASS159                    "ICD-10-PCS Procedure class 159"
 PCLASS160                    "ICD-10-PCS Procedure class 160"
 PCLASS161                    "ICD-10-PCS Procedure class 161"
 PCLASS162                    "ICD-10-PCS Procedure class 162"
 PCLASS163                    "ICD-10-PCS Procedure class 163"
 PCLASS164                    "ICD-10-PCS Procedure class 164"
 PCLASS165                    "ICD-10-PCS Procedure class 165"
 PCLASS166                    "ICD-10-PCS Procedure class 166"
 PCLASS167                    "ICD-10-PCS Procedure class 167"
 PCLASS168                    "ICD-10-PCS Procedure class 168"
 PCLASS169                    "ICD-10-PCS Procedure class 169"
 PCLASS170                    "ICD-10-PCS Procedure class 170"
 PCLASS171                    "ICD-10-PCS Procedure class 171"
 PCLASS172                    "ICD-10-PCS Procedure class 172"
 PCLASS173                    "ICD-10-PCS Procedure class 173"
 PCLASS174                    "ICD-10-PCS Procedure class 174"
 PCLASS175                    "ICD-10-PCS Procedure class 175"
 PCLASS176                    "ICD-10-PCS Procedure class 176"
 PCLASS177                    "ICD-10-PCS Procedure class 177"
 PCLASS178                    "ICD-10-PCS Procedure class 178"
 PCLASS179                    "ICD-10-PCS Procedure class 179"
 PCLASS180                    "ICD-10-PCS Procedure class 180"
 PCLASS181                    "ICD-10-PCS Procedure class 181"
 PCLASS182                    "ICD-10-PCS Procedure class 182"
 PCLASS183                    "ICD-10-PCS Procedure class 183"
 PCLASS184                    "ICD-10-PCS Procedure class 184"
 PCLASS185                    "ICD-10-PCS Procedure class 185"
 PCLASS186                    "ICD-10-PCS Procedure class 186"
 PCLASS187                    "ICD-10-PCS Procedure class 187"
 PCLASS188                    "ICD-10-PCS Procedure class 188"
 PCLASS189                    "ICD-10-PCS Procedure class 189"
 PCLASS190                    "ICD-10-PCS Procedure class 190"
 PCLASS191                    "ICD-10-PCS Procedure class 191"
 PCLASS192                    "ICD-10-PCS Procedure class 192"
 PCLASS193                    "ICD-10-PCS Procedure class 193"
 PCLASS194                    "ICD-10-PCS Procedure class 194"
 PCLASS195                    "ICD-10-PCS Procedure class 195"
 PCLASS196                    "ICD-10-PCS Procedure class 196"
 PCLASS197                    "ICD-10-PCS Procedure class 197"
 PCLASS198                    "ICD-10-PCS Procedure class 198"
 PCLASS199                    "ICD-10-PCS Procedure class 199"
 PCLASS200                    "ICD-10-PCS Procedure class 200"
 DXCCSR_Default_DX1           "Default CCSR for principal/first-listed ICD-10-CM diagnosis"
 DXCCSR_BLD001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD001"
 DXCCSR_BLD002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD002"
 DXCCSR_BLD003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD003"
 DXCCSR_BLD004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD004"
 DXCCSR_BLD005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD005"
 DXCCSR_BLD006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD006"
 DXCCSR_BLD007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD007"
 DXCCSR_BLD008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD008"
 DXCCSR_BLD009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD009"
 DXCCSR_BLD010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR BLD010"
 DXCCSR_CIR001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR001"
 DXCCSR_CIR002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR002"
 DXCCSR_CIR003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR003"
 DXCCSR_CIR004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR004"
 DXCCSR_CIR005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR005"
 DXCCSR_CIR006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR006"
 DXCCSR_CIR007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR007"
 DXCCSR_CIR008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR008"
 DXCCSR_CIR009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR009"
 DXCCSR_CIR010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR010"
 DXCCSR_CIR011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR011"
 DXCCSR_CIR012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR012"
 DXCCSR_CIR013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR013"
 DXCCSR_CIR014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR014"
 DXCCSR_CIR015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR015"
 DXCCSR_CIR016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR016"
 DXCCSR_CIR017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR017"
 DXCCSR_CIR018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR018"
 DXCCSR_CIR019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR019"
 DXCCSR_CIR020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR020"
 DXCCSR_CIR021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR021"
 DXCCSR_CIR022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR022"
 DXCCSR_CIR023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR023"
 DXCCSR_CIR024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR024"
 DXCCSR_CIR025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR025"
 DXCCSR_CIR026
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR026"
 DXCCSR_CIR027
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR027"
 DXCCSR_CIR028
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR028"
 DXCCSR_CIR029
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR029"
 DXCCSR_CIR030
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR030"
 DXCCSR_CIR031
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR031"
 DXCCSR_CIR032
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR032"
 DXCCSR_CIR033
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR033"
 DXCCSR_CIR034
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR034"
 DXCCSR_CIR035
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR035"
 DXCCSR_CIR036
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR036"
 DXCCSR_CIR037
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR037"
 DXCCSR_CIR038
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR038"
 DXCCSR_CIR039
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR CIR039"
 DXCCSR_DIG001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG001"
 DXCCSR_DIG002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG002"
 DXCCSR_DIG003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG003"
 DXCCSR_DIG004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG004"
 DXCCSR_DIG005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG005"
 DXCCSR_DIG006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG006"
 DXCCSR_DIG007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG007"
 DXCCSR_DIG008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG008"
 DXCCSR_DIG009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG009"
 DXCCSR_DIG010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG010"
 DXCCSR_DIG011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG011"
 DXCCSR_DIG012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG012"
 DXCCSR_DIG013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG013"
 DXCCSR_DIG014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG014"
 DXCCSR_DIG015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG015"
 DXCCSR_DIG016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG016"
 DXCCSR_DIG017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG017"
 DXCCSR_DIG018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG018"
 DXCCSR_DIG019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG019"
 DXCCSR_DIG020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG020"
 DXCCSR_DIG021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG021"
 DXCCSR_DIG022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG022"
 DXCCSR_DIG023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG023"
 DXCCSR_DIG024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG024"
 DXCCSR_DIG025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR DIG025"
 DXCCSR_EAR001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR001"
 DXCCSR_EAR002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR002"
 DXCCSR_EAR003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR003"
 DXCCSR_EAR004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR004"
 DXCCSR_EAR005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR005"
 DXCCSR_EAR006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EAR006"
 DXCCSR_END001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END001"
 DXCCSR_END002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END002"
 DXCCSR_END003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END003"
 DXCCSR_END004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END004"
 DXCCSR_END005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END005"
 DXCCSR_END006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END006"
 DXCCSR_END007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END007"
 DXCCSR_END008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END008"
 DXCCSR_END009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END009"
 DXCCSR_END010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END010"
 DXCCSR_END011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END011"
 DXCCSR_END012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END012"
 DXCCSR_END013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END013"
 DXCCSR_END014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END014"
 DXCCSR_END015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END015"
 DXCCSR_END016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END016"
 DXCCSR_END017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR END017"
 DXCCSR_EXT001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT001"
 DXCCSR_EXT002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT002"
 DXCCSR_EXT003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT003"
 DXCCSR_EXT004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT004"
 DXCCSR_EXT005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT005"
 DXCCSR_EXT006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT006"
 DXCCSR_EXT007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT007"
 DXCCSR_EXT008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT008"
 DXCCSR_EXT009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT009"
 DXCCSR_EXT010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT010"
 DXCCSR_EXT011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT011"
 DXCCSR_EXT012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT012"
 DXCCSR_EXT013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT013"
 DXCCSR_EXT014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT014"
 DXCCSR_EXT015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT015"
 DXCCSR_EXT016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT016"
 DXCCSR_EXT017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT017"
 DXCCSR_EXT018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT018"
 DXCCSR_EXT019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT019"
 DXCCSR_EXT020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT020"
 DXCCSR_EXT021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT021"
 DXCCSR_EXT022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT022"
 DXCCSR_EXT023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT023"
 DXCCSR_EXT024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT024"
 DXCCSR_EXT025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT025"
 DXCCSR_EXT026
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT026"
 DXCCSR_EXT027
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT027"
 DXCCSR_EXT028
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT028"
 DXCCSR_EXT029
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT029"
 DXCCSR_EXT030
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EXT030"
 DXCCSR_EYE001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE001"
 DXCCSR_EYE002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE002"
 DXCCSR_EYE003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE003"
 DXCCSR_EYE004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE004"
 DXCCSR_EYE005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE005"
 DXCCSR_EYE006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE006"
 DXCCSR_EYE007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE007"
 DXCCSR_EYE008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE008"
 DXCCSR_EYE009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE009"
 DXCCSR_EYE010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE010"
 DXCCSR_EYE011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE011"
 DXCCSR_EYE012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR EYE012"
 DXCCSR_FAC001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC001"
 DXCCSR_FAC002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC002"
 DXCCSR_FAC003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC003"
 DXCCSR_FAC004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC004"
 DXCCSR_FAC005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC005"
 DXCCSR_FAC006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC006"
 DXCCSR_FAC007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC007"
 DXCCSR_FAC008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC008"
 DXCCSR_FAC009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC009"
 DXCCSR_FAC010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC010"
 DXCCSR_FAC011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC011"
 DXCCSR_FAC012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC012"
 DXCCSR_FAC013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC013"
 DXCCSR_FAC014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC014"
 DXCCSR_FAC015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC015"
 DXCCSR_FAC016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC016"
 DXCCSR_FAC017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC017"
 DXCCSR_FAC018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC018"
 DXCCSR_FAC019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC019"
 DXCCSR_FAC020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC020"
 DXCCSR_FAC021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC021"
 DXCCSR_FAC022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC022"
 DXCCSR_FAC023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC023"
 DXCCSR_FAC024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC024"
 DXCCSR_FAC025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR FAC025"
 DXCCSR_GEN001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN001"
 DXCCSR_GEN002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN002"
 DXCCSR_GEN003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN003"
 DXCCSR_GEN004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN004"
 DXCCSR_GEN005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN005"
 DXCCSR_GEN006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN006"
 DXCCSR_GEN007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN007"
 DXCCSR_GEN008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN008"
 DXCCSR_GEN009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN009"
 DXCCSR_GEN010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN010"
 DXCCSR_GEN011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN011"
 DXCCSR_GEN012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN012"
 DXCCSR_GEN013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN013"
 DXCCSR_GEN014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN014"
 DXCCSR_GEN015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN015"
 DXCCSR_GEN016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN016"
 DXCCSR_GEN017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN017"
 DXCCSR_GEN018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN018"
 DXCCSR_GEN019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN019"
 DXCCSR_GEN020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN020"
 DXCCSR_GEN021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN021"
 DXCCSR_GEN022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN022"
 DXCCSR_GEN023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN023"
 DXCCSR_GEN024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN024"
 DXCCSR_GEN025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN025"
 DXCCSR_GEN026
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR GEN026"
 DXCCSR_INF001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF001"
 DXCCSR_INF002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF002"
 DXCCSR_INF003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF003"
 DXCCSR_INF004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF004"
 DXCCSR_INF005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF005"
 DXCCSR_INF006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF006"
 DXCCSR_INF007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF007"
 DXCCSR_INF008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF008"
 DXCCSR_INF009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF009"
 DXCCSR_INF010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF010"
 DXCCSR_INF011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF011"
 DXCCSR_INF012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INF012"
 DXCCSR_INJ001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ001"
 DXCCSR_INJ002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ002"
 DXCCSR_INJ003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ003"
 DXCCSR_INJ004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ004"
 DXCCSR_INJ005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ005"
 DXCCSR_INJ006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ006"
 DXCCSR_INJ007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ007"
 DXCCSR_INJ008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ008"
 DXCCSR_INJ009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ009"
 DXCCSR_INJ010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ010"
 DXCCSR_INJ011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ011"
 DXCCSR_INJ012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ012"
 DXCCSR_INJ013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ013"
 DXCCSR_INJ014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ014"
 DXCCSR_INJ015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ015"
 DXCCSR_INJ016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ016"
 DXCCSR_INJ017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ017"
 DXCCSR_INJ018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ018"
 DXCCSR_INJ019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ019"
 DXCCSR_INJ020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ020"
 DXCCSR_INJ021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ021"
 DXCCSR_INJ022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ022"
 DXCCSR_INJ023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ023"
 DXCCSR_INJ024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ024"
 DXCCSR_INJ025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ025"
 DXCCSR_INJ026
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ026"
 DXCCSR_INJ027
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ027"
 DXCCSR_INJ028
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ028"
 DXCCSR_INJ029
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ029"
 DXCCSR_INJ030
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ030"
 DXCCSR_INJ031
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ031"
 DXCCSR_INJ032
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ032"
 DXCCSR_INJ033
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ033"
 DXCCSR_INJ034
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ034"
 DXCCSR_INJ035
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ035"
 DXCCSR_INJ036
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ036"
 DXCCSR_INJ037
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ037"
 DXCCSR_INJ038
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ038"
 DXCCSR_INJ039
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ039"
 DXCCSR_INJ040
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ040"
 DXCCSR_INJ041
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ041"
 DXCCSR_INJ042
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ042"
 DXCCSR_INJ043
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ043"
 DXCCSR_INJ044
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ044"
 DXCCSR_INJ045
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ045"
 DXCCSR_INJ046
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ046"
 DXCCSR_INJ047
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ047"
 DXCCSR_INJ048
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ048"
 DXCCSR_INJ049
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ049"
 DXCCSR_INJ050
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ050"
 DXCCSR_INJ051
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ051"
 DXCCSR_INJ052
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ052"
 DXCCSR_INJ053
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ053"
 DXCCSR_INJ054
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ054"
 DXCCSR_INJ055
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ055"
 DXCCSR_INJ056
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ056"
 DXCCSR_INJ057
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ057"
 DXCCSR_INJ058
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ058"
 DXCCSR_INJ059
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ059"
 DXCCSR_INJ060
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ060"
 DXCCSR_INJ061
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ061"
 DXCCSR_INJ062
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ062"
 DXCCSR_INJ063
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ063"
 DXCCSR_INJ064
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ064"
 DXCCSR_INJ065
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ065"
 DXCCSR_INJ066
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ066"
 DXCCSR_INJ067
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ067"
 DXCCSR_INJ068
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ068"
 DXCCSR_INJ069
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ069"
 DXCCSR_INJ070
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ070"
 DXCCSR_INJ071
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ071"
 DXCCSR_INJ072
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ072"
 DXCCSR_INJ073
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ073"
 DXCCSR_INJ074
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ074"
 DXCCSR_INJ075
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ075"
 DXCCSR_INJ076
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR INJ076"
 DXCCSR_MAL001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL001"
 DXCCSR_MAL002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL002"
 DXCCSR_MAL003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL003"
 DXCCSR_MAL004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL004"
 DXCCSR_MAL005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL005"
 DXCCSR_MAL006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL006"
 DXCCSR_MAL007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL007"
 DXCCSR_MAL008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL008"
 DXCCSR_MAL009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL009"
 DXCCSR_MAL010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MAL010"
 DXCCSR_MBD001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD001"
 DXCCSR_MBD002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD002"
 DXCCSR_MBD003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD003"
 DXCCSR_MBD004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD004"
 DXCCSR_MBD005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD005"
 DXCCSR_MBD006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD006"
 DXCCSR_MBD007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD007"
 DXCCSR_MBD008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD008"
 DXCCSR_MBD009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD009"
 DXCCSR_MBD010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD010"
 DXCCSR_MBD011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD011"
 DXCCSR_MBD012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD012"
 DXCCSR_MBD013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD013"
 DXCCSR_MBD014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD014"
 DXCCSR_MBD017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD017"
 DXCCSR_MBD018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD018"
 DXCCSR_MBD019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD019"
 DXCCSR_MBD020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD020"
 DXCCSR_MBD021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD021"
 DXCCSR_MBD022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD022"
 DXCCSR_MBD023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD023"
 DXCCSR_MBD024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD024"
 DXCCSR_MBD025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD025"
 DXCCSR_MBD026
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD026"
 DXCCSR_MBD027
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD027"
 DXCCSR_MBD028
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD028"
 DXCCSR_MBD029
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD029"
 DXCCSR_MBD030
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD030"
 DXCCSR_MBD031
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD031"
 DXCCSR_MBD032
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD032"
 DXCCSR_MBD033
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD033"
 DXCCSR_MBD034
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MBD034"
 DXCCSR_MUS001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS001"
 DXCCSR_MUS002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS002"
 DXCCSR_MUS003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS003"
 DXCCSR_MUS004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS004"
 DXCCSR_MUS005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS005"
 DXCCSR_MUS006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS006"
 DXCCSR_MUS007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS007"
 DXCCSR_MUS008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS008"
 DXCCSR_MUS009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS009"
 DXCCSR_MUS010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS010"
 DXCCSR_MUS011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS011"
 DXCCSR_MUS012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS012"
 DXCCSR_MUS013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS013"
 DXCCSR_MUS014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS014"
 DXCCSR_MUS015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS015"
 DXCCSR_MUS016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS016"
 DXCCSR_MUS017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS017"
 DXCCSR_MUS018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS018"
 DXCCSR_MUS019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS019"
 DXCCSR_MUS020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS020"
 DXCCSR_MUS021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS021"
 DXCCSR_MUS022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS022"
 DXCCSR_MUS023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS023"
 DXCCSR_MUS024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS024"
 DXCCSR_MUS025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS025"
 DXCCSR_MUS026
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS026"
 DXCCSR_MUS027
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS027"
 DXCCSR_MUS028
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS028"
 DXCCSR_MUS029
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS029"
 DXCCSR_MUS030
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS030"
 DXCCSR_MUS031
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS031"
 DXCCSR_MUS032
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS032"
 DXCCSR_MUS033
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS033"
 DXCCSR_MUS034
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS034"
 DXCCSR_MUS035
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS035"
 DXCCSR_MUS036
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS036"
 DXCCSR_MUS037
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS037"
 DXCCSR_MUS038
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR MUS038"
 DXCCSR_NEO001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO001"
 DXCCSR_NEO002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO002"
 DXCCSR_NEO003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO003"
 DXCCSR_NEO004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO004"
 DXCCSR_NEO005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO005"
 DXCCSR_NEO006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO006"
 DXCCSR_NEO007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO007"
 DXCCSR_NEO008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO008"
 DXCCSR_NEO009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO009"
 DXCCSR_NEO010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO010"
 DXCCSR_NEO011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO011"
 DXCCSR_NEO012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO012"
 DXCCSR_NEO013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO013"
 DXCCSR_NEO014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO014"
 DXCCSR_NEO015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO015"
 DXCCSR_NEO016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO016"
 DXCCSR_NEO017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO017"
 DXCCSR_NEO018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO018"
 DXCCSR_NEO019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO019"
 DXCCSR_NEO020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO020"
 DXCCSR_NEO021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO021"
 DXCCSR_NEO022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO022"
 DXCCSR_NEO023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO023"
 DXCCSR_NEO024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO024"
 DXCCSR_NEO025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO025"
 DXCCSR_NEO026
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO026"
 DXCCSR_NEO027
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO027"
 DXCCSR_NEO028
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO028"
 DXCCSR_NEO029
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO029"
 DXCCSR_NEO030
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO030"
 DXCCSR_NEO031
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO031"
 DXCCSR_NEO032
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO032"
 DXCCSR_NEO033
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO033"
 DXCCSR_NEO034
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO034"
 DXCCSR_NEO035
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO035"
 DXCCSR_NEO036
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO036"
 DXCCSR_NEO037
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO037"
 DXCCSR_NEO038
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO038"
 DXCCSR_NEO039
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO039"
 DXCCSR_NEO040
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO040"
 DXCCSR_NEO041
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO041"
 DXCCSR_NEO042
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO042"
 DXCCSR_NEO043
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO043"
 DXCCSR_NEO044
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO044"
 DXCCSR_NEO045
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO045"
 DXCCSR_NEO046
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO046"
 DXCCSR_NEO047
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO047"
 DXCCSR_NEO048
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO048"
 DXCCSR_NEO049
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO049"
 DXCCSR_NEO050
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO050"
 DXCCSR_NEO051
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO051"
 DXCCSR_NEO052
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO052"
 DXCCSR_NEO053
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO053"
 DXCCSR_NEO054
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO054"
 DXCCSR_NEO055
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO055"
 DXCCSR_NEO056
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO056"
 DXCCSR_NEO057
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO057"
 DXCCSR_NEO058
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO058"
 DXCCSR_NEO059
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO059"
 DXCCSR_NEO060
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO060"
 DXCCSR_NEO061
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO061"
 DXCCSR_NEO062
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO062"
 DXCCSR_NEO063
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO063"
 DXCCSR_NEO064
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO064"
 DXCCSR_NEO065
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO065"
 DXCCSR_NEO066
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO066"
 DXCCSR_NEO067
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO067"
 DXCCSR_NEO068
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO068"
 DXCCSR_NEO069
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO069"
 DXCCSR_NEO070
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO070"
 DXCCSR_NEO071
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO071"
 DXCCSR_NEO072
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO072"
 DXCCSR_NEO073
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO073"
 DXCCSR_NEO074
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NEO074"
 DXCCSR_NVS001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS001"
 DXCCSR_NVS002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS002"
 DXCCSR_NVS003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS003"
 DXCCSR_NVS004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS004"
 DXCCSR_NVS005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS005"
 DXCCSR_NVS006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS006"
 DXCCSR_NVS007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS007"
 DXCCSR_NVS008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS008"
 DXCCSR_NVS009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS009"
 DXCCSR_NVS010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS010"
 DXCCSR_NVS011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS011"
 DXCCSR_NVS012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS012"
 DXCCSR_NVS013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS013"
 DXCCSR_NVS014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS014"
 DXCCSR_NVS015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS015"
 DXCCSR_NVS016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS016"
 DXCCSR_NVS017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS017"
 DXCCSR_NVS018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS018"
 DXCCSR_NVS019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS019"
 DXCCSR_NVS020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS020"
 DXCCSR_NVS021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS021"
 DXCCSR_NVS022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR NVS022"
 DXCCSR_PNL001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL001"
 DXCCSR_PNL002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL002"
 DXCCSR_PNL003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL003"
 DXCCSR_PNL004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL004"
 DXCCSR_PNL005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL005"
 DXCCSR_PNL006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL006"
 DXCCSR_PNL007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL007"
 DXCCSR_PNL008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL008"
 DXCCSR_PNL009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL009"
 DXCCSR_PNL010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL010"
 DXCCSR_PNL011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL011"
 DXCCSR_PNL012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL012"
 DXCCSR_PNL013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL013"
 DXCCSR_PNL014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL014"
 DXCCSR_PNL015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PNL015"
 DXCCSR_PRG001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG001"
 DXCCSR_PRG002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG002"
 DXCCSR_PRG003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG003"
 DXCCSR_PRG004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG004"
 DXCCSR_PRG005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG005"
 DXCCSR_PRG006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG006"
 DXCCSR_PRG007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG007"
 DXCCSR_PRG008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG008"
 DXCCSR_PRG009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG009"
 DXCCSR_PRG010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG010"
 DXCCSR_PRG011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG011"
 DXCCSR_PRG012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG012"
 DXCCSR_PRG013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG013"
 DXCCSR_PRG014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG014"
 DXCCSR_PRG015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG015"
 DXCCSR_PRG016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG016"
 DXCCSR_PRG017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG017"
 DXCCSR_PRG018
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG018"
 DXCCSR_PRG019
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG019"
 DXCCSR_PRG020
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG020"
 DXCCSR_PRG021
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG021"
 DXCCSR_PRG022
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG022"
 DXCCSR_PRG023
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG023"
 DXCCSR_PRG024
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG024"
 DXCCSR_PRG025
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG025"
 DXCCSR_PRG026
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG026"
 DXCCSR_PRG027
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG027"
 DXCCSR_PRG028
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG028"
 DXCCSR_PRG029
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG029"
 DXCCSR_PRG030
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR PRG030"
 DXCCSR_RSP001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP001"
 DXCCSR_RSP002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP002"
 DXCCSR_RSP003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP003"
 DXCCSR_RSP004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP004"
 DXCCSR_RSP005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP005"
 DXCCSR_RSP006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP006"
 DXCCSR_RSP007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP007"
 DXCCSR_RSP008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP008"
 DXCCSR_RSP009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP009"
 DXCCSR_RSP010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP010"
 DXCCSR_RSP011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP011"
 DXCCSR_RSP012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP012"
 DXCCSR_RSP013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP013"
 DXCCSR_RSP014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP014"
 DXCCSR_RSP015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP015"
 DXCCSR_RSP016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP016"
 DXCCSR_RSP017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR RSP017"
 DXCCSR_SKN001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN001"
 DXCCSR_SKN002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN002"
 DXCCSR_SKN003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN003"
 DXCCSR_SKN004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN004"
 DXCCSR_SKN005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN005"
 DXCCSR_SKN006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN006"
 DXCCSR_SKN007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SKN007"
 DXCCSR_SYM001
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM001"
 DXCCSR_SYM002
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM002"
 DXCCSR_SYM003
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM003"
 DXCCSR_SYM004
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM004"
 DXCCSR_SYM005
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM005"
 DXCCSR_SYM006
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM006"
 DXCCSR_SYM007
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM007"
 DXCCSR_SYM008
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM008"
 DXCCSR_SYM009
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM009"
 DXCCSR_SYM010
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM010"
 DXCCSR_SYM011
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM011"
 DXCCSR_SYM012
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM012"
 DXCCSR_SYM013
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM013"
 DXCCSR_SYM014
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM014"
 DXCCSR_SYM015
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM015"
 DXCCSR_SYM016
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM016"
 DXCCSR_SYM017
"Indication that at least one ICD-10-CM diagnosis on the record is included in CCSR SYM017"
 DXCCSR_VERSION               "Version of CCSR for ICD-10-CM diagnoses"
 PRCCSR_ADM001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM001"
 PRCCSR_ADM002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM002"
 PRCCSR_ADM003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM003"
 PRCCSR_ADM004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM004"
 PRCCSR_ADM005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM005"
 PRCCSR_ADM006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM006"
 PRCCSR_ADM007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM007"
 PRCCSR_ADM008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM008"
 PRCCSR_ADM009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM009"
 PRCCSR_ADM010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM010"
 PRCCSR_ADM011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM011"
 PRCCSR_ADM012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM012"
 PRCCSR_ADM013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM013"
 PRCCSR_ADM014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM014"
 PRCCSR_ADM015
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM015"
 PRCCSR_ADM016
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM016"
 PRCCSR_ADM017
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM017"
 PRCCSR_ADM018
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM018"
 PRCCSR_ADM019
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM019"
 PRCCSR_ADM020
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM020"
 PRCCSR_ADM021
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ADM021"
 PRCCSR_CAR001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR001"
 PRCCSR_CAR002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR002"
 PRCCSR_CAR003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR003"
 PRCCSR_CAR004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR004"
 PRCCSR_CAR005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR005"
 PRCCSR_CAR006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR006"
 PRCCSR_CAR007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR007"
 PRCCSR_CAR008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR008"
 PRCCSR_CAR009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR009"
 PRCCSR_CAR010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR010"
 PRCCSR_CAR011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR011"
 PRCCSR_CAR012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR012"
 PRCCSR_CAR013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR013"
 PRCCSR_CAR014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR014"
 PRCCSR_CAR015
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR015"
 PRCCSR_CAR016
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR016"
 PRCCSR_CAR017
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR017"
 PRCCSR_CAR018
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR018"
 PRCCSR_CAR019
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR019"
 PRCCSR_CAR020
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR020"
 PRCCSR_CAR021
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR021"
 PRCCSR_CAR022
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR022"
 PRCCSR_CAR023
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR023"
 PRCCSR_CAR024
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR024"
 PRCCSR_CAR025
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR025"
 PRCCSR_CAR026
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR026"
 PRCCSR_CAR027
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR027"
 PRCCSR_CAR028
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR028"
 PRCCSR_CAR029
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CAR029"
 PRCCSR_CHP001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CHP001"
 PRCCSR_CNS001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS001"
 PRCCSR_CNS002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS002"
 PRCCSR_CNS003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS003"
 PRCCSR_CNS004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS004"
 PRCCSR_CNS005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS005"
 PRCCSR_CNS006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS006"
 PRCCSR_CNS007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS007"
 PRCCSR_CNS008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS008"
 PRCCSR_CNS009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS009"
 PRCCSR_CNS010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS010"
 PRCCSR_CNS011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS011"
 PRCCSR_CNS012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS012"
 PRCCSR_CNS013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS013"
 PRCCSR_CNS014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR CNS014"
 PRCCSR_ENP001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP001"
 PRCCSR_ENP002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP002"
 PRCCSR_ENP003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP003"
 PRCCSR_ENP004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP004"
 PRCCSR_ENP005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP005"
 PRCCSR_ENP006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENP006"
 PRCCSR_ENT001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT001"
 PRCCSR_ENT002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT002"
 PRCCSR_ENT003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT003"
 PRCCSR_ENT004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT004"
 PRCCSR_ENT005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT005"
 PRCCSR_ENT006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT006"
 PRCCSR_ENT007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT007"
 PRCCSR_ENT008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT008"
 PRCCSR_ENT009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT009"
 PRCCSR_ENT010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT010"
 PRCCSR_ENT011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT011"
 PRCCSR_ENT012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT012"
 PRCCSR_ENT013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT013"
 PRCCSR_ENT014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT014"
 PRCCSR_ENT015
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT015"
 PRCCSR_ENT016
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT016"
 PRCCSR_ENT017
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ENT017"
 PRCCSR_ESA001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA001"
 PRCCSR_ESA002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA002"
 PRCCSR_ESA003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA003"
 PRCCSR_ESA004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA004"
 PRCCSR_ESA005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA005"
 PRCCSR_ESA006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA006"
 PRCCSR_ESA007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA007"
 PRCCSR_ESA008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA008"
 PRCCSR_ESA009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA009"
 PRCCSR_ESA010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA010"
 PRCCSR_ESA011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR ESA011"
 PRCCSR_EST001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST001"
 PRCCSR_EST002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST002"
 PRCCSR_EST003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST003"
 PRCCSR_EST004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST004"
 PRCCSR_EST005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EST005"
 PRCCSR_EYP001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EYP001"
 PRCCSR_EYP002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR EYP002"
 PRCCSR_FRS001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS001"
 PRCCSR_FRS002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS002"
 PRCCSR_FRS003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS003"
 PRCCSR_FRS004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS004"
 PRCCSR_FRS005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS005"
 PRCCSR_FRS006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS006"
 PRCCSR_FRS007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS007"
 PRCCSR_FRS008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS008"
 PRCCSR_FRS009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS009"
 PRCCSR_FRS010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS010"
 PRCCSR_FRS011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS011"
 PRCCSR_FRS012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS012"
 PRCCSR_FRS013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS013"
 PRCCSR_FRS014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS014"
 PRCCSR_FRS015
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR FRS015"
 PRCCSR_GIS001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS001"
 PRCCSR_GIS002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS002"
 PRCCSR_GIS003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS003"
 PRCCSR_GIS004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS004"
 PRCCSR_GIS005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS005"
 PRCCSR_GIS006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS006"
 PRCCSR_GIS007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS007"
 PRCCSR_GIS008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS008"
 PRCCSR_GIS009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS009"
 PRCCSR_GIS010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS010"
 PRCCSR_GIS011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS011"
 PRCCSR_GIS012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS012"
 PRCCSR_GIS013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS013"
 PRCCSR_GIS014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS014"
 PRCCSR_GIS015
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS015"
 PRCCSR_GIS016
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS016"
 PRCCSR_GIS017
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS017"
 PRCCSR_GIS018
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS018"
 PRCCSR_GIS019
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS019"
 PRCCSR_GIS020
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS020"
 PRCCSR_GIS021
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS021"
 PRCCSR_GIS022
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS022"
 PRCCSR_GIS023
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS023"
 PRCCSR_GIS024
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS024"
 PRCCSR_GIS025
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS025"
 PRCCSR_GIS026
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS026"
 PRCCSR_GIS027
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS027"
 PRCCSR_GIS028
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS028"
 PRCCSR_GIS029
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GIS029"
 PRCCSR_GNR001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR001"
 PRCCSR_GNR002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR002"
 PRCCSR_GNR003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR003"
 PRCCSR_GNR004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR004"
 PRCCSR_GNR005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR005"
 PRCCSR_GNR006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR006"
 PRCCSR_GNR007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR007"
 PRCCSR_GNR008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR008"
 PRCCSR_GNR009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR009"
 PRCCSR_GNR010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR GNR010"
 PRCCSR_HEP001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP001"
 PRCCSR_HEP002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP002"
 PRCCSR_HEP003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP003"
 PRCCSR_HEP004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP004"
 PRCCSR_HEP005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP005"
 PRCCSR_HEP006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP006"
 PRCCSR_HEP007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP007"
 PRCCSR_HEP008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP008"
 PRCCSR_HEP009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP009"
 PRCCSR_HEP010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP010"
 PRCCSR_HEP011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP011"
 PRCCSR_HEP012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP012"
 PRCCSR_HEP013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR HEP013"
 PRCCSR_IMG001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG001"
 PRCCSR_IMG002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG002"
 PRCCSR_IMG003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG003"
 PRCCSR_IMG004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG004"
 PRCCSR_IMG005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG005"
 PRCCSR_IMG006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG006"
 PRCCSR_IMG007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG007"
 PRCCSR_IMG008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG008"
 PRCCSR_IMG009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG009"
 PRCCSR_IMG010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR IMG010"
 PRCCSR_LYM001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM001"
 PRCCSR_LYM002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM002"
 PRCCSR_LYM003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM003"
 PRCCSR_LYM004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM004"
 PRCCSR_LYM005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM005"
 PRCCSR_LYM006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM006"
 PRCCSR_LYM007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM007"
 PRCCSR_LYM008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM008"
 PRCCSR_LYM009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM009"
 PRCCSR_LYM010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM010"
 PRCCSR_LYM011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR LYM011"
 PRCCSR_MAM001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM001"
 PRCCSR_MAM002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM002"
 PRCCSR_MAM003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM003"
 PRCCSR_MAM004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM004"
 PRCCSR_MAM005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM005"
 PRCCSR_MAM006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM006"
 PRCCSR_MAM007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM007"
 PRCCSR_MAM008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM008"
 PRCCSR_MAM009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM009"
 PRCCSR_MAM010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM010"
 PRCCSR_MAM011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM011"
 PRCCSR_MAM012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM012"
 PRCCSR_MAM013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM013"
 PRCCSR_MAM014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM014"
 PRCCSR_MAM015
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MAM015"
 PRCCSR_MHT001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT001"
 PRCCSR_MHT002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT002"
 PRCCSR_MHT003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT003"
 PRCCSR_MHT004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT004"
 PRCCSR_MHT005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MHT005"
 PRCCSR_MRS001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS001"
 PRCCSR_MRS002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS002"
 PRCCSR_MRS003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS003"
 PRCCSR_MRS004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS004"
 PRCCSR_MRS005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS005"
 PRCCSR_MRS006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS006"
 PRCCSR_MRS007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MRS007"
 PRCCSR_MST001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST001"
 PRCCSR_MST002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST002"
 PRCCSR_MST003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST003"
 PRCCSR_MST004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST004"
 PRCCSR_MST005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST005"
 PRCCSR_MST006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST006"
 PRCCSR_MST007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST007"
 PRCCSR_MST008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST008"
 PRCCSR_MST009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST009"
 PRCCSR_MST010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST010"
 PRCCSR_MST011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST011"
 PRCCSR_MST012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST012"
 PRCCSR_MST013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST013"
 PRCCSR_MST014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST014"
 PRCCSR_MST015
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST015"
 PRCCSR_MST016
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST016"
 PRCCSR_MST017
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST017"
 PRCCSR_MST018
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST018"
 PRCCSR_MST019
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST019"
 PRCCSR_MST020
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST020"
 PRCCSR_MST021
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST021"
 PRCCSR_MST022
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST022"
 PRCCSR_MST023
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST023"
 PRCCSR_MST024
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST024"
 PRCCSR_MST025
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST025"
 PRCCSR_MST026
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST026"
 PRCCSR_MST027
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST027"
 PRCCSR_MST028
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST028"
 PRCCSR_MST029
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST029"
 PRCCSR_MST030
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR MST030"
 PRCCSR_NCM001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR NCM001"
 PRCCSR_NCM002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR NCM002"
 PRCCSR_NCM003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR NCM003"
 PRCCSR_NCM004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR NCM004"
 PRCCSR_OST001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OST001"
 PRCCSR_OTR001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR001"
 PRCCSR_OTR002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR002"
 PRCCSR_OTR003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR003"
 PRCCSR_OTR004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR004"
 PRCCSR_OTR005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR OTR005"
 PRCCSR_PGN001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN001"
 PRCCSR_PGN002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN002"
 PRCCSR_PGN003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN003"
 PRCCSR_PGN004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN004"
 PRCCSR_PGN005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN005"
 PRCCSR_PGN006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN006"
 PRCCSR_PGN007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN007"
 PRCCSR_PGN008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN008"
 PRCCSR_PGN009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PGN009"
 PRCCSR_PLC001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PLC001"
 PRCCSR_PLC002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PLC002"
 PRCCSR_PNS001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS001"
 PRCCSR_PNS002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS002"
 PRCCSR_PNS003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS003"
 PRCCSR_PNS004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS004"
 PRCCSR_PNS005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS005"
 PRCCSR_PNS006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR PNS006"
 PRCCSR_RAD001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RAD001"
 PRCCSR_RAD002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RAD002"
 PRCCSR_RAD003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RAD003"
 PRCCSR_RAD004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RAD004"
 PRCCSR_RES001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES001"
 PRCCSR_RES002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES002"
 PRCCSR_RES003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES003"
 PRCCSR_RES004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES004"
 PRCCSR_RES005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES005"
 PRCCSR_RES006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES006"
 PRCCSR_RES007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES007"
 PRCCSR_RES008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES008"
 PRCCSR_RES009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES009"
 PRCCSR_RES010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES010"
 PRCCSR_RES011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES011"
 PRCCSR_RES012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES012"
 PRCCSR_RES013
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES013"
 PRCCSR_RES014
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RES014"
 PRCCSR_RHB001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RHB001"
 PRCCSR_RHB002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RHB002"
 PRCCSR_RHB003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RHB003"
 PRCCSR_RHB004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR RHB004"
 PRCCSR_SKB001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB001"
 PRCCSR_SKB002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB002"
 PRCCSR_SKB003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB003"
 PRCCSR_SKB004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB004"
 PRCCSR_SKB005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB005"
 PRCCSR_SKB006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB006"
 PRCCSR_SKB007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB007"
 PRCCSR_SKB008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB008"
 PRCCSR_SKB009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB009"
 PRCCSR_SKB010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SKB010"
 PRCCSR_SUD001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SUD001"
 PRCCSR_SUD002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SUD002"
 PRCCSR_SUD003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SUD003"
 PRCCSR_SUD004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR SUD004"
 PRCCSR_URN001
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN001"
 PRCCSR_URN002
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN002"
 PRCCSR_URN003
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN003"
 PRCCSR_URN004
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN004"
 PRCCSR_URN005
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN005"
 PRCCSR_URN006
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN006"
 PRCCSR_URN007
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN007"
 PRCCSR_URN008
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN008"
 PRCCSR_URN009
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN009"
 PRCCSR_URN010
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN010"
 PRCCSR_URN011
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN011"
 PRCCSR_URN012
"Indication that at least one ICD-10-PCS procedure on the record is included in CCSR URN012"
 PRCCSR_VERSION               "Version of CCSR for ICD-10-PCS procedures" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CMR_AIDS
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_ALCOHOL
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_ANEMDEF
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_ARTH
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_BLDLOSS
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_CANCER_LEUK
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_CANCER_LYMPH
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_CANCER_METS
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_CANCER_NSITU
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_CANCER_SOLID
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_CBVD
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_CHF
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_COAG
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_DEMENTIA
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_DEPRESS
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_DIAB_CX
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_DIAB_UNCX
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_DRUG_ABUSE
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_HTN_CX
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_HTN_UNCX
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_LIVER_MLD
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_LIVER_SEV
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_LUNG_CHRONIC
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_NEURO_MOVT
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_NEURO_OTH
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_NEURO_SEIZ
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_OBESE
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_PARALYSIS
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_PERIVASC
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_PSYCHOSES
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_PULMCIRC
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_RENLFL_MOD
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_RENLFL_SEV
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_THYROID_HYPO
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_THYROID_OTH
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_ULCER_PEPTIC
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_VALVE
 (-9,-8,-6,-5=SYSMIS).
RECODE CMR_WGHTLOSS
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_CUT
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_DROWN
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_FALL
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_FIRE
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_FIREARM
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_MACHINERY
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_MVT
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_NATURE
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_OVEREXERTION
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_POISON
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_STRUCK
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INJURY_SUFFOCATION
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INTENT_ASSAULT
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INTENT_SELF_HARM
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_INTENT_UNINTENTIONAL
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_MULTINJURY
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS1
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS2
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS3
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS4
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS5
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS6
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS7
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS8
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS9
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS10
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS11
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS12
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS13
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS14
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS15
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS16
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS17
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS18
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS19
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS20
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS21
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS22
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS23
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS24
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS25
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS26
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS27
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS28
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS29
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS30
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS31
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS32
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS33
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS34
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS35
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS36
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS37
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS38
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS39
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS40
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS41
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS42
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS43
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS44
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS45
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS46
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS47
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS48
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS49
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS50
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS51
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS52
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS53
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS54
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS55
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS56
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS57
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS58
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS59
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS60
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS61
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS62
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS63
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS64
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS65
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS66
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS67
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS68
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS69
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS70
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS71
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS72
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS73
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS74
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS75
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS76
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS77
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS78
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS79
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS80
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS81
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS82
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS83
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS84
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS85
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS86
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS87
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS88
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS89
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS90
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS91
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS92
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS93
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS94
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS95
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS96
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS97
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS98
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS99
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS100
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS101
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS102
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS103
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS104
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS105
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS106
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS107
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS108
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS109
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS110
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS111
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS112
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS113
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS114
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS115
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS116
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS117
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS118
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS119
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS120
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS121
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS122
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS123
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS124
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS125
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS126
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS127
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS128
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS129
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS130
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS131
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS132
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS133
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS134
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS135
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS136
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS137
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS138
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS139
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS140
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS141
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS142
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS143
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS144
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS145
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS146
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS147
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS148
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS149
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS150
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS151
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS152
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS153
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS154
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS155
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS156
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS157
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS158
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS159
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS160
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS161
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS162
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS163
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS164
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS165
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS166
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS167
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS168
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS169
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS170
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS171
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS172
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS173
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS174
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS175
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS176
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS177
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS178
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS179
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS180
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS181
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS182
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS183
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS184
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS185
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS186
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS187
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS188
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS189
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS190
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS191
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS192
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS193
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS194
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS195
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS196
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS197
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS198
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS199
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS200
 (-9,-8,-6,-5=SYSMIS).
RECODE DXCCSR_BLD001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_BLD010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR026
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR027
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR028
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR029
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR030
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR031
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR032
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR033
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR034
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR035
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR036
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR037
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR038
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_CIR039
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_DIG025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EAR001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EAR002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EAR003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EAR004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EAR005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EAR006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_END017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT026
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT027
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT028
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT029
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EXT030
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_EYE012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_FAC025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_GEN026
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INF012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ026
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ027
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ028
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ029
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ030
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ031
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ032
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ033
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ034
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ035
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ036
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ037
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ038
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ039
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ040
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ041
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ042
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ043
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ044
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ045
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ046
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ047
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ048
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ049
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ050
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ051
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ052
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ053
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ054
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ055
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ056
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ057
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ058
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ059
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ060
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ061
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ062
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ063
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ064
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ065
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ066
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ067
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ068
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ069
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ070
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ071
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ072
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ073
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ074
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ075
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_INJ076
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MAL010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD026
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD027
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD028
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD029
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD030
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD031
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD032
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD033
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MBD034
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS026
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS027
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS028
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS029
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS030
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS031
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS032
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS033
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS034
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS035
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS036
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS037
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_MUS038
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO026
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO027
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO028
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO029
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO030
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO031
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO032
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO033
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO034
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO035
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO036
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO037
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO038
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO039
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO040
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO041
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO042
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO043
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO044
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO045
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO046
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO047
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO048
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO049
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO050
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO051
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO052
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO053
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO054
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO055
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO056
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO057
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO058
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO059
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO060
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO061
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO062
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO063
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO064
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO065
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO066
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO067
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO068
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO069
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO070
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO071
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO072
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO073
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NEO074
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_NVS022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PNL015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG018
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG019
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG020
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG021
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG022
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG023
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG024
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG025
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG026
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG027
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG028
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG029
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_PRG030
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_RSP017
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SKN001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SKN002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SKN003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SKN004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SKN005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SKN006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SKN007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM001
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM002
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM003
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM004
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM005
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM006
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM007
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM008
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM009
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM010
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM011
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM012
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM013
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM014
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM015
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM016
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCSR_SYM017
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM015
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM016
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM017
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM018
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM019
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM020
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ADM021
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR015
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR016
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR017
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR018
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR019
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR020
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR021
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR022
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR023
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR024
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR025
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR026
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR027
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR028
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CAR029
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CHP001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_CNS014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENP001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENP002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENP003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENP004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENP005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENP006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT015
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT016
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ENT017
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_ESA011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_EST001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_EST002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_EST003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_EST004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_EST005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_EYP001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_EYP002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_FRS015
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS015
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS016
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS017
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS018
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS019
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS020
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS021
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS022
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS023
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS024
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS025
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS026
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS027
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS028
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GIS029
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_GNR010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_HEP013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_IMG010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_LYM011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MAM015
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MHT001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MHT002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MHT003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MHT004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MHT005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MRS001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MRS002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MRS003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MRS004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MRS005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MRS006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MRS007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST015
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST016
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST017
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST018
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST019
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST020
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST021
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST022
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST023
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST024
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST025
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST026
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST027
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST028
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST029
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_MST030
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_NCM001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_NCM002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_NCM003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_NCM004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_OST001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_OTR001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_OTR002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_OTR003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_OTR004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_OTR005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PGN009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PLC001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PLC002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PNS001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PNS002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PNS003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PNS004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PNS005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_PNS006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RAD001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RAD002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RAD003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RAD004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES012
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES013
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RES014
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RHB001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RHB002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RHB003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_RHB004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SKB010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SUD001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SUD002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SUD003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_SUD004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN001
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN002
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN003
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN004
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN005
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN006
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN007
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN008
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN009
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN010
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN011
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCSR_URN012
 (-99,-88,-66,-55=SYSMIS).



SAVE OUTFILE = 'GA_SID_2020_DX_PR_GRPS.SAV' /COMPRESSED.
